pro acoord
;
;  A widget system for celestial coordinate transformation
;
common acoord_wids, base1, w1_1, w1_2, w1_3, $ ; J2000 HMS DMS
                    base2, w2_1, w2_2, w2_3, $ ; J2000 Decimal deg
                    base3, w3_1, w3_2, w3_3, $ ; J2000 Dec. hour deg
                    base4, w4_1, w4_2, w4_3, $ ; B1950 HMS DMS
                    base5, w5_1, w5_2, w5_3, $ ; B1950 Decimal deg
                    base6, w6_1, w6_2, w6_3, $ ; B1950 Dec. hour deg
                    base7, w7_1, w7_2, w7_3    ; Gal. long/lat

common acoord_data, j2000hms, j2000dms, $
                    j2000radd, j2000dcdd, $
                    j2000radh, $
                    b1950hms, b1950dms, $
                    b1950radd, b1950dcdd, $
                    b1950radh, $
                    gallon, gallat

if !version.os eq 'sunos' then begin
   width=500
   wlabel = 250
   wtxt=12
   wfont = 'helvetica*14'
endif
if !version.os eq 'linux' then begin
   width=350
   wlabel = 150
   wtxt=12
   wfont = ''
endif
if !version.os eq 'Win32' then begin
   wicth=500
   wlabel = 170
   wtxt=12
   wfont = wfont
endif
;
;  Highest level base:
;
base = widget_base(title='Coordinate transformation', $
                  column=1,xsize=width)
;
;  Base for J2000 HMS DMS:
;
base1 = widget_base(base,row=1)
w1_1 = widget_label(base1,value='J2000 HMS DMS:', $
                xsize=wlabel,font=wfont)
w1_2 = widget_text(base1,/editable,value='',uvalue='W1_2', $
               font=wfont,xsize=wtxt)
w1_3 = widget_text(base1,/editable,value='',uvalue='W1_3', $
                font=wfont,xsize=wtxt)
;
;  Base for J2000 Dec. degrees:
;
base2 = widget_base(base,row=1)
w2_1 = widget_label(base2,value='J2000 Decimal deg:', $
               xsize=wlabel,font=wfont)
w2_2 = widget_text(base2,/editable,value='',uvalue='W2_2', $
               font=wfont,xsize=wtxt)
w2_3 = widget_text(base2,/editable,value='',uvalue='W2_3', $
               font=wfont,xsize=wtxt)
;
;  Base for J2000 Dec. hours, degrees:
;
base3 = widget_base(base,row=1)
w3_1 = widget_label(base3,value='J2000 Dec. hours/deg.:', $
               xsize=wlabel,font=wfont)
w3_2 = widget_text(base3,/editable,value='',uvalue='W3_2', $
               font=wfont,xsize=wtxt)
w3_3 = widget_text(base3,/editable,value='',uvalue='W3_3', $
               font=wfont,xsize=wtxt)
;
;  Base for B1950 HMS DMS:
;
base4 = widget_base(base,row=1)
w4_1 = widget_label(base4,value='B1950 HMS DMS:', $
               xsize=wlabel,font=wfont)
w4_2 = widget_text(base4,/editable,value='',uvalue='W4_2', $
               font=wfont,xsize=wtxt)
w4_3 = widget_text(base4,/editable,value='',uvalue='W4_3', $
               font=wfont,xsize=wtxt)
;
;  Base for B1950 Dec. degrees:
;
base5 = widget_base(base,row=1)
w5_1 = widget_label(base5,value='B1950 Decimal deg:', $
               xsize=wlabel,font=wfont)
w5_2 = widget_text(base5,/editable,value='',uvalue='W5_2', $
               font=wfont,xsize=wtxt)
w5_3 = widget_text(base5,/editable,value='',uvalue='W5_3', $
               font=wfont,xsize=wtxt)
;
;  Base for B1950 Dec. hours, degrees:
;
base6 = widget_base(base,row=1)
w6_1 = widget_label(base6,value='B1950 Dec. hours/deg.:', $
                xsize=wlabel,font=wfont)
w6_2 = widget_text(base6,/editable,value='',uvalue='W6_2', $
               font=wfont,xsize=wtxt)
w6_3 = widget_text(base6,/editable,value='',uvalue='W6_3', $
               font=wfont,xsize=wtxt)
;
;  Base for Galactic longitude and latitude:
;
base7 = widget_base(base,row=1)
w7_1 = widget_label(base7,value='Galactic lon/lat:', $
               xsize=wlabel,font=wfont)
w7_2 = widget_text(base7,/editable,value='',uvalue='W7_2', $
               font=wfont,xsize=wtxt)
w7_3 = widget_text(base7,/editable,value='',uvalue='W7_3', $
               font=wfont,xsize=wtxt)

base8 = widget_button(base,value='Dump to file: acoord.txt',uvalue='DUMP')
base9 = widget_button(base,value='Done',uvalue='DONE')

widget_control, base, /realize
xmanager, 'acoord', base

end
