pro acoord_event, ev
;
; The 'event' function for procedure 'acoord'
;
common acoord_wids, base1, w1_1, w1_2, w1_3, $ ; J2000 HMS DMS
                    base2, w2_1, w2_2, w2_3, $ ; J2000 Decimal deg
                    base3, w3_1, w3_2, w3_3, $ ; J2000 Dec. hour deg
                    base4, w4_1, w4_2, w4_3, $ ; B1950 HMS DMS
                    base5, w5_1, w5_2, w5_3, $ ; B1950 Decimal deg
                    base6, w6_1, w6_2, w6_3, $ ; B1950 Dec. hour deg
                    base7, w7_1, w7_2, w7_3    ; Gal. long/lat

common acoord_data, j2000hms, j2000dms, $
                    j2000radd, j2000dcdd, $
                    j2000radh, $
                    b1950hms, b1950dms, $
                    b1950radd, b1950dcdd, $
                    b1950radh, $
                    gallon, gallat


widget_control, ev.id, get_uvalue=userval

;   When a DUMP has been requested:

if userval eq 'DUMP' then begin

   openw,lun,'acoord.txt',/get_lun,/append
   printf,lun,'// j2000hms = ',adstring(j2000radh)
   printf,lun,'// j2000dms = ',adstring(j2000dcdd)
   printf,lun,'// j2000radd =          ',j2000radd
   printf,lun,'// j2000dcdd =          ',j2000dcdd
   printf,lun,'// j2000radh =          ',j2000radh
   printf,lun,'// j2000dcdd =          ',j2000dcdd
   printf,lun,'// b1950hms = ',adstring(b1950radh)
   printf,lun,'// b1950dms = ',adstring(b1950dcdd)
   printf,lun,'// b1950radd =          ',b1950radd
   printf,lun,'// b1950dcdd =          ',b1950dcdd
   printf,lun,'// b1950radh =          ',b1950radh
   printf,lun,'// b1950dcdd =          ',b1950dcdd
   printf,lun,'// gallon =          ',gallon
   printf,lun,'// gallat =          ',gallat
   free_lun,lun

   return

endif






; Input from J2000 HMS/DMS

if userval eq 'W1_2' or userval eq 'W1_3' then begin
   widget_control,w1_2,get_value=j2000hms
   widget_control,w1_3,get_value=j2000dms
   j2000radd = str2dd(j2000hms(0)) * 15.
   j2000dcdd = str2dd(j2000dms(0))
endif

; Input from J2000 Dec. degrees

if userval eq 'W2_2' or userval eq 'W2_3' then begin
   widget_control,w2_2,get_value=strj2000radd
   widget_control,w2_3,get_value=strj2000dcdd
   j2000radd = float(strj2000radd(0))
   j2000dcdd = float(strj2000dcdd(0))
endif
; Input from J2000 Decimal hours, degrees

if userval eq 'W3_2' or userval eq 'W3_3' then begin
   widget_control,w3_2,get_value=strj2000radh
   widget_control,w3_3,get_value=strj2000dcdd
   j2000radd = float(strj2000radh(0)) * 15.
   j2000dcdd = float(strj2000dcdd(0))
endif


; Input from B1950 HMS/DMS

if userval eq 'W4_2' or userval eq 'W4_3' then begin
   widget_control,w4_2,get_value=b1950hms
   widget_control,w4_3,get_value=b1950dms
   j2000radd = str2dd(b1950hms(0)) * 15.
   j2000dcdd = str2dd(b1950dms(0))
   precess, j2000radd,j2000dcdd, 1950, 2000
endif

; Input from B1950 Dec. degrees

if userval eq 'W5_2' or userval eq 'W5_3' then begin
   widget_control,w5_2,get_value=strb1950radd
   widget_control,w5_3,get_value=strb1950dcdd
   j2000radd = float(strb1950radd(0))
   j2000dcdd = float(strb1950dcdd(0))
   precess, j2000radd,j2000dcdd, 1950, 2000
endif
; Input from B1950 Decimal hours, degrees

if userval eq 'W6_2' or userval eq 'W6_3' then begin
   widget_control,w6_2,get_value=strb1950radh
   widget_control,w6_3,get_value=strb1950dcdd
   j2000radd = float(strb1950radh(0)) * 15.
   j2000dcdd = float(strb1950dcdd(0))
   precess, j2000radd,j2000dcdd, 1950, 2000
endif

; Input from Galactic lon/lat

if userval eq 'W7_2' or userval eq 'W7_3' then begin
   widget_control,w7_2,get_value=strgallon
   widget_control,w7_3,get_value=strgallat
   gallon = float(strgallon(0))
   gallat = float(strgallat(0))
   glactc,j2000radh,j2000dcdd,2000,gallon,gallat,2
   j2000radd = j2000radh * 15.
endif

if userval eq 'DONE' then begin
   widget_control, ev.top, /destroy
endif else begin

   j2000radh = j2000radd / 15.
   b1950radd = j2000radd
   b1950dcdd = j2000dcdd
   precess, b1950radd, b1950dcdd, 2000, 1950
   b1950radh = b1950radd / 15.
   glactc, j2000radh, j2000dcdd, 2000, gallon, gallat, 1
   
   fma = '(f10.5)'
   fmd = '(f9.4)'
   
   widget_control,w1_2,set_value=adstring(j2000radh)
   widget_control,w1_3,set_value=adstring(j2000dcdd)
   widget_control,w2_2,set_value=string(j2000radd,f=fma)
   widget_control,w2_3,set_value=string(j2000dcdd,f=fmd)
   widget_control,w3_2,set_value=string(j2000radh,f=fma)
   widget_control,w3_3,set_value=string(j2000dcdd,f=fmd)
   widget_control,w4_2,set_value=adstring(b1950radh)
   widget_control,w4_3,set_value=adstring(b1950dcdd)
   widget_control,w5_2,set_value=string(b1950radd,f=fma)
   widget_control,w5_3,set_value=string(b1950dcdd,f=fmd)
   widget_control,w6_2,set_value=string(b1950radh,f=fma)
   widget_control,w6_3,set_value=string(b1950dcdd,f=fmd)
   widget_control,w7_2,set_value=string(gallon,f=fmd)
   widget_control,w7_3,set_value=string(gallat,f=fmd)

endelse


end
