pro ad2yz, a, d, omega, crpix, cdelt, y, z

; Calculate S/C coordinates for EQ position (a,d) when
; transformation matrix omega is given

;  a (RA) and d (DEC) in degrees
;  y and z will be in pixels

agemo = invert(omega)
f = 0.0174533
s_eq = [cos(a*f)*cos(d*f), sin(a*f)*cos(d*f), sin(d*f)]
s_sc = agemo # s_eq

y = s_sc(1)/(cdelt(0)*f) + crpix(0)
z = s_sc(2)/(cdelt(1)*f) + crpix(1)

return
end
