pro add_cat_ref
;
;  Add a reference to the 'DSRI_CAT_REF.fits'
;


file_dsri_cat_ref = '/home/njw/jsim/Catalogs/DSRI_CAT_REF.fits[1]'
file_dsri_cat_cref = '/home/njw/jsim/Catalogs/DSRI_CAT_CREF.fits[1]'


get_exten_no, file_dsri_cat_ref, filename, extno
get_exten_no, file_dsri_cat_cref, cfilename, cextno

fxbopen,unit,filename,extno,hdr
fxbclose,unit
numrows = fxpar(hdr,'NAXIS2')

fxbopen,unit,cfilename,cextno,chdr
fxbclose,unit
cnumrows = fxpar(chdr,'NAXIS2')



errmsg = ''

rdfitscol,file_dsri_cat_ref,refernce,'REFERNCE',err=errmsg,/silent

max_ref = max(refernce)

next = max_ref + 1

print,'The reference number will be: ', next
print
print,'The input continues until you enter an empty string'
print,'  If the string length exceeds 80 it will be cut at an arbitrary place'
print


cont = 1
num_new_lines = 0
textarr = strarr(100)
reftext = ''
while cont do begin
   read,'Enter text: ... ', reftext
   if reftext ne '' then begin
      len = strlen(reftext)
      print,'##0## len(reftext) = ', len
      while len gt 80 do begin
	 textarr(num_new_lines) = strmid(reftext,0,80)
         print,'##1## num_new_lines = ', num_new_lines
         print,'##2## textarr(num_new_lines) = ', textarr(num_new_lines)
	 num_new_lines = num_new_lines + 1
         print,'##3## num_new_lines = ', num_new_lines
	 reftext = strmid(reftext,80,9999)
         print,'##4## reftext is now: ', reftext
	 len = strlen(reftext)
         print,'##5## len(reftext) = ', len
      endwhile
      textarr(num_new_lines) = reftext
      print,'##6## num_new_lines = ', num_new_lines
      print,'##7## textarr(num_new_lines) = ', textarr(num_new_lines)
      num_new_lines = num_new_lines + 1
      print,'##8## num_new_lines = ', num_new_lines
   endif else begin
      cont = 0
   endelse
endwhile

print,'Going to add ', num_new_lines,' rows to file: DSRI_CAT_REF.fits'
arg = '/home/njw/jsim/add_rows/add_rows '
arg = arg + '"' + file_dsri_cat_ref + '" '
arg = arg + strtrim(num_new_lines,2)
spawn,arg

fxbopen,unit,filename,extno,hdr,access='RW'
colnum_ref = fxbcolnum( unit, 'REFERNCE', err=errmsg)
if errmsg ne '' then print,'##9## errmsg: ', errmsg
colnum_sub = fxbcolnum( unit, 'SUBENTRY', err=errmsg)
if errmsg ne '' then print,'##10## errmsg: ', errmsg
colnum_txt = fxbcolnum( unit, 'REFTEXT', err=errmsg)
if errmsg ne '' then print,'##11## errmsg: ', errmsg


for row = 1, num_new_lines do begin

   print,'##12## writing next = ', next,' to row# ', numrows+row
   fxbwrite, unit, next, colnum_ref, numrows+row, err=errmsg
   if errmsg ne '' then print,'##13## errmsg: ', errmsg

   print,'##14## writing row-1 = ', row-1,' to row# ', numrows+row
   fxbwrite, unit, row-1, colnum_sub, numrows+row, err=errmsg
   if errmsg ne '' then print,'##15## errmsg: ', errmsg

   print,'##16## writing textarr(row-1) = ', textarr(row-1),' to row# ', numrows+row
   buffer = textarr(row-1)
   fxbwrite, unit, buffer, colnum_txt, numrows+row, err=errmsg
   if errmsg ne '' then print,'##17## errmsg: ', errmsg

endfor

fxbfinish, unit, err=errmsg

;-------------------------------------

; Update cross reference list

;-------------------------------------

list = ''
print,'Enter list of pertinent sources (serial numbers) for this reference.'
print,'   The list is a single entry, blank or comma separated'
read,' : ... ', list

if list eq '' then return

tokens = str_sep(list,',')          ; split where there are commas
list = strjoin(tokens,' ',/single)  ; join with spaces
list = strcompress(strtrim(list,2)) ; reduce to single spaces
tokens = str_sep(list,' ')          ; split into numbers
n_tokens = n_elements(tokens)

print,'Going to add ', num_new_lines,' rows to file: DSRI_CAT_CREF.fits'
arg = '/home/njw/jsim/add_rows/add_rows '
arg = arg + '"' + file_dsri_cat_cref + '" '
arg = arg + strtrim(n_tokens,2)
spawn,arg

fxbopen,unit,cfilename,cextno,chdr,access='RW'
colnum_ref = fxbcolnum( unit, 'REFERNCE', err=errmsg)
if errmsg ne '' then print,'##9## errmsg: ', errmsg
colnum_ser = fxbcolnum( unit, 'SERIAL', err=errmsg)
if errmsg ne '' then print,'##10## errmsg: ', errmsg

for row = 1, n_tokens do begin

   serial_num = long(tokens(row-1))
   print,'##12## writing serial = ', serial_num,' to row# ', cnumrows+row
   fxbwrite, unit, serial_num, colnum_ser, cnumrows+row, err=errmsg
   if errmsg ne '' then print,'##13## errmsg: ', errmsg

   print,'##14## writing refernce = ', next,' to row# ', cnumrows+row
   fxbwrite, unit, next, colnum_ref, cnumrows+row, err=errmsg
   if errmsg ne '' then print,'##15## errmsg: ', errmsg


endfor

fxbfinish, unit, err=errmsg


end
