function add_peak,im,fact,x,y,sigma
;
; Add gaussian peak to image in 'im' at pixel position (x,y)
; with a standard deviation of 'sigma'
; The image returned is same size and type as 'im'
;
;    NJW/1997-01-09
;
if n_params() lt 5 then begin
   print,'Syntax: newimage = add_peak( image, factor, x, y, sigma)'
   return, -1.
endif

si = size(im)
imr = make_array(size=size(im))
s2 = sigma^2
u = findgen(si(1)) - x
v = findgen(si(2)) - y
fu = exp(-0.5*u^2/s2)
fv = exp(-0.5*v^2/s2)
imr(*) = im(*) + (fu # fv) * fact
return,imr
end
