pro add_plot_extra, new=new
;
;  Add extra indications on a plot
;
;      ca. 2004-07-07/NJW
;
common add_pl_extra, id_number

sz = size(id_number)
if sz(0)+sz(1) eq 0 then begin
   id_number = 1
endif

if keyword_set(new) then begin
   id_number = id_number + 1
endif

print,'The ID number is '+stri(id_number)
filename = 'add_plot_extra_'+string(id_number,format='(i4.4)')+'.dat'
print,' and the plot elements are saved in '+filename

openw,lun,filename,/get_lun,/append

repeat begin

   print,'The options are:'
   print,'    Open polygon     1'
   print,'    Closed polygon   2'
   print,'    Arrow            3'
   print,'    Text             4'
   print,'    Horizontal line  5'
   print,'    Vertical line    6'
   print,'    Box              7'
   print,'    Terminate        0'
   sel = 0
   read,'  Enter selection : ... ', sel

   case sel of
	1 : begin     ;  OPEN POLYGON
	    ss = ''
	    read,'Enter thickness and style : ... ', ss
	    ss = strcompress(strtrim(ss,2))
	    tok = strsplit(ss,' ',/extract)
	    thick = fix(tok(0))
	    listy = fix(tok(1))
	    curmark,r,npoints=n,col=255
	    elem = 'p_polygon,'+stri(thick)+','+stri(listy)
	    for i = 0,n-1 do begin
	       elem = elem+','+stri(r(0,i))+','+stri(r(1,i))
            endfor
	    printf,lun,elem
	    oplot,r(0,*),r(1,*),thick=thick,li=listy
	    end
	2 : begin     ;  CLOSED POLYGON
	    ss = ''
	    read,'Enter thickness and style : ... ', ss
	    ss = strcompress(strtrim(ss,2))
	    tok = strsplit(ss,' ',/extract)
	    thick = fix(tok(0))
	    listy = fix(tok(1))
	    curmark,r,npoints=n,col=255
	    elem = 'p_cpolygon,'+stri(thick)+','+stri(listy)
	    for i = 0,n-1 do begin
	       elem = elem+','+stri(r(0,i))+','+stri(r(1,i))
            endfor
	    printf,lun,elem
            expand_array,r,n+1,2
            r(*,n) = r(*,0)
	    oplot,r(0,*),r(1,*),thick=thick,li=listy
	    end
	3 : begin     ; ARROW
	    ss = ''
	    read,'Enter head width and length ... ', ss
	    ss = strcompress(strtrim(ss,2))
	    tok = strsplit(ss,' ',/extract)
	    hw = float(tok(0))
	    hl = float(tok(1))
	    curmark,r,maxnum=2
	    elem = 'p_arrow,'+stri(hw)+','+stri(hl)
	    for i = 0,1 do begin
	       elem = elem+','+stri(r(0,i))+','+stri(r(1,i))
            endfor
	    printf,lun,elem
	    draw_arrow,r(0,0),r(1,0),r(0,1),r(1,1),0,hw,hl
	    end
	4 : begin     ; TEXT
	    ss = ''
	    str = ''
	    read,'Enter text string ... ', str
	    read,'Enter alignment and charsize ... ', ss
	    ss = strcompress(strtrim(ss,2))
	    tok = strsplit(ss,' ',/extract)
	    align = float(tok(0))
	    chsz = float(tok(1))
	    curmark1,r
	    elem = 'p_text,'+stri(align)+','+stri(chsz)
	    elem = elem+','+stri(r(0))+','+stri(r(1))
	    ;* elem = elem+','''+str+''''
	    elem = elem+','+str
	    printf,lun,elem
	    xyouts,r(0),r(1),str,align=align,charsize=chsz
	    end
	5 : begin     ;  HORIZONTAL LINE
	    ss = ''
	    read,'Enter thickness and style : ... ', ss
	    ss = strcompress(strtrim(ss,2))
	    tok = strsplit(ss,' ',/extract)
	    thick = fix(tok(0))
	    listy = fix(tok(1))
	    curmark1,rb
	    curmark1,re
	    elem = 'p_polygon,'+stri(thick)+','+stri(listy)
	    elem = elem+','+stri(rb(0))+','+stri(rb(1))
	    elem = elem+','+stri(re(0))+','+stri(rb(1))
	    printf,lun,elem
	    oplot,[rb(0),re(0)],[rb(1),rb(1)],thick=thick,li=listy
	    end
	6 : begin     ;  VERTICAL LINE
	    ss = ''
	    read,'Enter thickness and style : ... ', ss
	    ss = strcompress(strtrim(ss,2))
	    tok = strsplit(ss,' ',/extract)
	    thick = fix(tok(0))
	    listy = fix(tok(1))
	    curmark1,rb
	    curmark1,re
	    elem = 'p_polygon,'+stri(thick)+','+stri(listy)
	    elem = elem+','+stri(rb(0))+','+stri(rb(1))
	    elem = elem+','+stri(rb(0))+','+stri(re(1))
	    printf,lun,elem
	    oplot,[rb(0),rb(0)],[rb(1),re(1)],thick=thick,li=listy
	    end
	7 : begin     ;  BOX
	    ss = ''
	    read,'Enter thickness and style : ... ', ss
	    ss = strcompress(strtrim(ss,2))
	    tok = strsplit(ss,' ',/extract)
	    thick = fix(tok(0))
	    listy = fix(tok(1))
            print,'Define upper left corner ...'
	    curmark1,rb
            print,'Define lower right corner ...'
	    curmark1,re
            r = fltarr(2,5)
            r(0,0) = rb(0)
            r(0,1:2) = re(0)
            r(0,3:4) = rb(0)
            r(1,0:1) = rb(1)
            r(1,2:3) = re(1)
            r(1,4) = rb(1)
	    elem = 'p_cpolygon,'+stri(thick)+','+stri(listy)
            for i = 0, 3 do begin
	       elem = elem+','+stri(r(0,i))+','+stri(r(1,i))
            endfor
	    printf,lun,elem
	    oplot,r(0,*),r(1,*),thick=thick,li=listy
	    end
       0 :
   endcase

endrep until sel eq 0

free_lun, lun

print
print,'Script in '+filename
print

end
