pro adjust_range, x, half, lolim, hilim, x1, x2
;
;   2004-09-09/NJW
;
;  Returns two values: x1 and x2 that encloses 'x' as symmetrically
;  as possible between limits lolim and hilim. The difference x2 - x1
;  is kept equal to 2*half
;
if n_params() lt 6 then begin
   print,'Syntax: adjust_range, x, half, lolim, hilim, x1, x2'
   return
endif
if hilim - lolim lt 2*half then begin
   print,'adjust_range error: no solution'
   return
endif
if x lt lolim or x gt hilim then begin
   print,'adjust_range error: x outside range'
   return
endif
x1 = x - half
x2 = x + half
if x1 lt lolim then begin
   x1 = lolim
   x2 = x1 + 2*half
endif
if x2 gt hilim then begin
   x2 = hilim
   x1 = x2 - 2*half
endif
end
