pro aitoff_gridm, help=help,dlon=dlon, dlat=dlat,linestyle=linestyle,ppos=ppos
;
;   Start plot window for Aitoff projection (full range) with gridlines
;
;   2004-03-27/NJW
;

if keyword_set(help) then begin
   print,'Syntax:  aitoff_gridm[,/help][,dlon=][,dlat][,linestyle=][,ppos=]'
   print,'   Keyword      help   :   print this text'
   print,'                dlon   :   step in longitude [default 60 deg]'
   print,'                dlat   :   step in latitude [default 30 deg]'
   print,'             linestyle :   usual IDL definition'
   print,'                ppos   :   override IDL !p.position'
   return
endif

; Save old definition
ppos_old = !p.position
if keyword_set(ppos) then $
   !p.position = ppos else !p.position = [0.01,0.01,0.99,0.99]

plot,[1],xr=[180,-180],yr=[-90,90],xsty=5,ysty=21,/nodata

if not keyword_set(linestyle) then linestyle = 1
if not keyword_set(dlon) then dlon = 60.
if not keyword_set(dlat) then dlat = 30.
step_lon = dlon - 0.011/fix(360./dlon)

; Gridlines with constant longitude

b = xlingen(100,-90,90)
for lon = -179.99, 180.1, step_lon do begin
   l = fltarr(100) + lon
   aitoff, l, b, x, y
   listy = linestyle
   if lon lt -179 or lon gt 179 then listy = 0
   oplot, x, y, li=listy
endfor

; Gridlines with constant latitude

l = xlingen(100,-179.999,180)
for lat = -90.+dlat,90.01-dlat,dlat do begin
   b = fltarr(100) + lat
   aitoff, l, b, x, y
   oplot,x,y,li=linestyle
endfor

end
