function array_gauss, x, a
;
;   Return a gauss function
;
;   Unknown original date
;   2006-02-17/NJW updated
;
if n_params() lt 2 then begin
   print,'Syntax: res = array_gauss( x, coefs )'
   print,'  coefs: [ampl, x0, sigma] or'
   print,'         [ampl, x0, sigma, background]'
   return, -1
endif

n = n_elements(a)
if n ne 3 and n ne 4 then begin
  print,'Array ''coefs'' does not have length 3'
  return,-1
endif

y = x * 0.0
arg = abs((x-a(1))/ a(2))
w = where( arg lt 7.0 , nw )
if nw gt 0 then y(w) = a(0) * exp(-0.5*arg(w)^2)
if n_elements(a) eq 4 then return, y + a(3) else return, y

end
