function arrinsert, arr_in, piece, pos
;
;  Insert piece (array or scalar) in 1D array after position 'pos'
;  So pos eq -1 will put piece in start of new array
;
;  2004-10-27/NJW
;
sz = size(arr_in)
if sz(0) ne 1 then begin
   print,'ARRINSERT error, arr_in is not a 1D array'
   return, -1
endif
type = sz(sz(0)+1)

szp = size(piece)
if szp(0) gt 1 then begin
   print,'ARRINSERT error, piece has too many dimensions'
   return, -1
endif
typep = szp(szp(0)+1)

if type eq 7 and typep ne 7 then begin
   print,'ARRINSERT error, piece must also be of type string'
   return, -1
endif

len = n_elements(arr_in)
lenp = n_elements(piece)
arr_out = replicate(arr_in(0),len+lenp)
if pos gt len-1 then pos = len-1
if pos lt -1 then pos = -1
if pos eq -1 then begin
   arr_out(0:lenp-1) = piece
   arr_out(lenp:*) = arr_in
   return, arr_out
endif
if pos eq len-1 then begin
   arr_out(0:len-1) = arr_in
   arr_out(len:*) = piece
   return, arr_out
endif

arr_out(0:pos) = arr_in(0:pos)
arr_out(pos+1:pos+lenp) = piece
arr_out(pos+lenp+1:*) = arr_in(pos+1:*)
return, arr_out

end
