pro ascii_gti2fits, gti_table, fitsfile
;
;  Main program to convert ASCII GTIs in IJD to
;  a standard ISDC GTI FITS file: user_gti.fits
;
;    2003-10-10/NJW
;    2004-05-25/NJW, updated with new light curve from Diana
;
if n_params() ne 2 then begin
   print,'Syntax: asc_gti2fits, gti_table, fitsfile'
   return
endif

rscol,gti_table,gti_beg,1,/dble
rscol,gti_table,gti_end,2,/dble

ngt = n_elements(gti_beg)

bhdr = headfits('/home/njw/jemx/grs1915/user_gti_template.fits',exten=1)

out_file = fitsfile
fits_make_prim, out_file

fxaddpar,bhdr,'NAXIS2', ngt, 'Number of GTIs'
fxaddpar,bhdr,'DATE',systime(),'Date of creation'
fxaddpar,bhdr,'ORIGFILE',fullpath(gti_table),'Original data file'
fxaddpar,bhdr,'PROGRAM','Produced by IDL program: ascii_gti2fits.pro'
fxaddpar,bhdr,'RESPONSI','Niels J. Westergaard, DNSC'

fxbcreate,unit,out_file,bhdr
col_beg = fxbcolnum(unit,'IJD_START')
col_end = fxbcolnum(unit,'IJD_END')
col_utbeg = fxbcolnum(unit,'UTC_START')
col_utend = fxbcolnum(unit,'UTC_END')

for i = 0, ngt-1 do begin
	fxbwrite,unit,gti_beg(i),col_beg,i+1
	fxbwrite,unit,gti_end(i),col_end,i+1
        ijd2dattim, gti_beg(i), utbeg
        ijd2dattim, gti_end(i), utend
	fxbwrite,unit,utbeg,col_utbeg,i+1
	fxbwrite,unit,utend,col_utend,i+1
endfor

fxbfinish, unit

end
