pro assign_rad_err_cat, dol_of_cat
;
;   2006-01-13/NJW
;
;   Assign ERR_RAD to JEM-X source catalog
;
if n_params() ne 1 then begin
   print,'Syntax: assign_rad_err_cat, dol_of_cat'
   return
endif

rdfitscol,dol_of_cat,detsig,'detsig'
rdfitscol,dol_of_cat,offaxis,'offaxis'
w = wherenan( detsig, nw)
if nw gt 0 then detsig(w) = 0.1

d = (detsig < 40.0) > 1.0
err_rad_1 = (4.08205 - 0.08205*d) / 60.0 ; converting to degrees

err_rad_2 = (offaxis *4. / 6.) / 60. ; converting to degrees

err_rad = sqrt(err_rad_1^2 + err_rad_2^2)

; Find out if column ERR_RAD already exists in the file

get_exten_no, dol_of_cat, file_cat, extno
fxbopen, unit, file_cat, extno
errmsg = ''
colnum = fxbcolnum( unit, 'ERR_RAD', errmsg=errmsg )
fxbclose, unit
if errmsg ne '' then
   print,'Column ERR_RAD not found - then add it!'
   wrnewfitscol, dol_of_cat, 'ERR_RAD', err_rad
endif else begin
   print,'Column ERR_RAD was indeed found - replace the contents!'
   fits_replace_col, dol_of_cat, 'ERR_RAD', err_rad
endelse

end
