function bkg_subtract, image, bkg, fac=fac, kres=kres
;
;  Make least square adjustment of bkg to image and subtract
;
;  return result
;
if n_params() lt 2 then begin
   print,'BKG_SUBTRACT, image, bkg'
   return, -1.
endif
szi = size(image)
szb = size(bkg)
if n_elements(image) ne n_elements(bkg) then begin
   print,'BKG_SUBTRACT error - n_elements do not match'
   return,-1.
endif

; Find the best factor 'k' for the bkg

ksug = total(image*bkg) / total(bkg*bkg)
if keyword_set(fac) then begin
   k = fac
   print,'Factor k suggested = ', ksug
endif else begin
   k = ksug
endelse
print,'Factor k used = ', k
kres = k
return, image - k * bkg

end
