function boxoverlap, box1, box2
;
;   Returns 1 if there is an overlap between box1 and box2
;
;   'box' is an array of 4 numbers [x1,y1,x2,y2]
;
if n_params() ne 2 then begin
   print,'Call: boxoverlap,[x1,y1,x2,y2],[p1,q1,p2,q2]
   return,-1
endif

if n_elements(box1) ne 4 then begin
   print,'BOXOVERLAP first argument must have 4 elements'
   return,-1
endif

if n_elements(box2) ne 4 then begin
   print,'BOXOVERLAP second argument must have 4 elements'
   return,-1
endif

; Test for one corner of a box inside the other box

if box1(0) ge box2(0) and box1(0) le box2(2) and $
   box1(1) ge box2(1) and box1(1) le box2(3)      then return, 1

if box1(0) ge box2(0) and box1(0) le box2(2) and $
   box1(3) ge box2(1) and box1(3) le box2(3)      then return, 1

if box1(2) ge box2(0) and box1(2) le box2(2) and $
   box1(1) ge box2(1) and box1(1) le box2(3)      then return, 1

if box1(2) ge box2(0) and box1(2) le box2(2) and $
   box1(3) ge box2(1) and box1(3) le box2(3)      then return, 1

if box2(0) ge box1(0) and box2(0) le box1(2) and $
   box2(1) ge box1(1) and box2(1) le box1(3)      then return, 1

if box2(0) ge box1(0) and box2(0) le box1(2) and $
   box2(3) ge box1(1) and box2(3) le box1(3)      then return, 1

if box2(2) ge box1(0) and box2(2) le box1(2) and $
   box2(1) ge box1(1) and box2(1) le box1(3)      then return, 1

if box2(2) ge box1(0) and box2(2) le box1(2) and $
   box2(3) ge box1(1) and box2(3) le box1(3)      then return, 1

; Test for overlap with no points inside

if box1(0) lt box2(0) and box1(2) gt box2(2) and $
   box2(1) lt box1(1) and box2(3) gt box1(3)      then return, 1

if box2(0) lt box1(0) and box2(2) gt box1(2) and $
   box1(1) lt box2(1) and box1(3) gt box2(3)      then return, 1

return, 0

end
