pro bprintf, lun, array, nperline, fmt=fmt
;
;  Print an array to a file with several numbers on each line and
;  comma separated
;
if n_params() lt 3 then begin
   print,'Syntax: bprintf, lun, array, nperline[,fmt=]'
   return
endif

n = n_elements(array)

if not keyword_set(fmt) then fmt = '(e13.4)'

; strip parentheses

fmt = strtrim(fmt,2)
if strmid(fmt,0,1) eq '(' then fmt = strmid(fmt,1,999)
len = strlen(fmt)
if strmid(fmt,len-1,1) eq ')' then fmt = strmid(fmt,0,len-1)

nlines = (n - 1) / nperline + 1

for i = 0, nlines-1 do begin

   i1 = i*nperline
   i2 = ((i+1)*nperline < n)-1
   nout = i2 - i1 + 1
   fmtu = '('+stri(nout)+'('+fmt+',","'+'))'
   printf,lun,array(i1:i2),format=fmtu

endfor

end

