pro button_init, pos, text, charsize=charsize, _extra=e
;
;  Define a button on a graphics window
;
;  'pos' is [xloleft,yloleft,xupright,yupright]
;  'text' is text on button
;  'id' is an identifcation number
;

common button_com, button_arr

button_struct = { xll: 0.0, yll: 0.0, xur: 0.0, yur: 0.0, $
           text: '', chsiz: 0.0, id: 0L }

;
;  Include the new button in the array of buttons
;
sz = size(button_arr)
if sz(0)+sz(1) eq 0 then begin  ;  First button defined
   button_arr = replicate(button_struct,1)
   n = 0
   button_arr(0).id = 1
endif else begin
   n = n_elements(button_arr)
   button_arr = [button_arr, button_struct]
   button_arr(n).id = 1 + max(button_arr.id)
endelse
button_arr(n).xll = pos(0)
button_arr(n).yll = pos(1)
button_arr(n).xur = pos(2)
button_arr(n).yur = pos(3)
button_arr(n).text = text
if keyword_set(charsize) then begin
   button_arr(n).chsiz = charsize
endif else begin
   button_arr(n).chsiz = 1.0
endelse
print,'New button got id = ', button_arr(n).id
;
;  Add the button to the plot
;
oplot, [pos(0),pos(2),pos(2),pos(0),pos(0)], $
       [pos(1),pos(1),pos(3),pos(3),pos(1)]
xyouts,0.5*(pos(0)+pos(2)),pos(1)+0.2*(pos(3)-pos(1)), text,$
       align=0.5, charsize=charsize, _extra=e

end
