pro carlimage_fs2skycoord, swid, posx, posy, ra_src, dec_src, verb=verb
;
;  2003-02-05/NJW
;
;  Calculate the celestial coordinates for a position in
;  the skyimage from Carl's reconstruction
;
if n_params() ne 5 then begin
   print,'Syntax: carlimage_fs2skycoord, swid, posx, posy, >ra_src, >dec_src[,/verb]'
   print,'   ''swid'' is a 12 character string such as 001900890010'
   print,'   ''posx,posy'' as e.g. returned from ''find_sources'''
   print,'   Keyword ''verb'' is for verbose'
   return
endif

if strlen(swid) eq 8 then swid = swid+'0010'
get_pointing_for_swid, swid, ra_scx, dec_scx, roll

; Note that the directions are interchanged because
; of the convention of image direction in refined_recon

; NB  'minus' because of JMX2

dposx = -1.08
dposy = -2.40
posx = posx - dposx
posy = posy - dposy
cosx_jmx = -sin(((posx - 131)/131.)*6.55 * !pi / 180.0)
cosy_jmx = -sin(((posy - 131)/131.)*6.55 * !pi / 180.0)

jconv_coord, ra_scx, dec_scx, roll, ra_src, $
    dec_src, cosx_jmx, cosy_jmx, /to_eq

if keyword_set(verb) then begin
   print,'ra_scx = ', ra_scx,'   dec_scx = ', dec_scx
   print,'roll = ', roll
   print,'cosx = ', cosx_jmx,'   cosy = ', cosy_jmx
   print,'ra_src = ', ra_src,'    dec_src = ', dec_src
endif

return

end
