pro cat_com_update, clog=clog, force=force, chat=chat
;
;  Check if an update of the X-ray catalog in common
;  cat_com_v2 is required and do the reading if so.
;
;    2006-01-12/NJW
;
;  If 'clog' is a number then it will be interpreted as the
;  version number of the gnrl_refr_cat by ISDC
;
common cat_com_v2, cat, number_of_entries, dol_cat_com

dol_cat = '/r6/jemx/catalogs/gnrl_refr_cat_latest.fits+1'

if keyword_set(clog) then begin
   sd = size(clog)
   if sd(sd(0)+1) eq 7 then begin
      dol_cat = fullpath(clog)
   endif else begin
      str = string(clog,format='(i3.3)')
      dol_cat = '/r6/jemx/catalogs/gnrl_refr_cat_0'+str+'.fits+1'
   endelse
endif

if keyword_set(force) then begin ; force the reading of the catalog
   if keyword_set(chat) then print,'Reading catalog has been forced!'
   read_catalog, dol_cat, num
   number_of_entries = num
   dol_cat_com = dol_cat
   return
endif

; reading is not forced, see if requested catalog is already in place

sz = size(cat)

if sz(0)+sz(1) eq 0 then begin ; no catalog exists in common
   if keyword_set(chat) then $
      print,'Reading catalog because none was found in common.'
   read_catalog, dol_cat, num
   number_of_entries = num
   dol_cat_com = dol_cat
   return
endif else begin ; conditional reading
   if dol_cat ne dol_cat_com then begin
      if keyword_set(chat) then $
          print,'Reading catalog because different one was requested.'
      read_catalog, dol_cat, num
      number_of_entries = num
      dol_cat_com = dol_cat
      return
   endif else begin
      if keyword_set(chat) then $
       print,'No reading of catalog requested one already existed in common.'
   endelse
endelse

end
