pro change_arfh, numjemx, e0, lambda, mult=mult, div=div
;
;  Change the ARF in jmxi_srcl_arf.fits+1
;
;   2003-05-07/NJW
;
; Get the old data and energy values

if n_params() lt 3 then begin
   print,'Syntax: change_arfh, numjemx, e0, lambda'
   return
endif

strj = stri(numjemx)
arffile_orig = 'jmx'+strj+'_srcl_arf.fits.001'
lo = file_search(arffile_orig,/test_regular,count=nlo)
arffile = 'jmx'+strj+'_srcl_arf.fits'
l = file_search(arffile,/test_regular,count=nl)

if nl ne 1 then begin
   print,'No action - result spectral file not found'
   return
endif

if nlo eq 1 then begin

   dolarf_orig = arffile_orig+'+1'
   rdfitscol,dolarf_orig,elo,'ENERG_LO',nrows=narf,/sil
   rdfitscol,dolarf_orig,ehi,'ENERG_HI',/sil
   rdfitscol,dolarf_orig,arfold,'SPECRESP',/sil
   sz = size(arfold)
   e = 0.5*(elo(*,0) + ehi(*,0))
   
   if sz(0) eq 1 then n_spectra = 1 else n_spectra = sz(2)
   
   
   ; Get the suggested efilter table
   
   eflt = sost(e, e0, lambda)
   
   arfnew = arfold
   for i = 0, n_spectra-1 do begin
      if keyword_set(div) then begin
         arfnew(*,i) = arfold(*,i) / eflt
      endif else begin
         arfnew(*,i) = arfold(*,i) * eflt
      endelse
   endfor
   
   ; Open the ARF and write new values
   
   fxbopen, unit, arffile, 1, access='RW'
   
   for i = 0, n_spectra-1 do begin
      fxbwrite, unit, arfnew(*,i), 4, i+1
   endfor
   
   fxbfinish, unit

endif else print,'No action - original spectral file not found'




end

