pro change_slew2pointing, rootdir
;
;    2006-02-01/NJW
;

; Initiate the log file
openw,lun,'c.log',/get_lun

; Make the tmpfil required by ftool: fmodhead
openw,lp,'tmpfil',/get_lun
printf,lp,'SW_TYPE = ''POINTING''  / ScW of pointing type'
free_lun,lp

list = file_search( rootdir, 'swg.fits', /test_reg, count=nlist)

donelist = read_slist('done.list')

list = filter_done( donelist, list )
nlist = n_elements(list)

for i = 0, nlist-1 do begin
   print,'Checking file: '+list(i)
   printf,lun,'Checking file: '+list(i)
   nmax = nfits_extens(list(i))
   was_modified = 0
   for j = 0, nmax do begin
      hdr = headfits(list(i),ext=j)
      sw_type = stri(fxpar(hdr,'sw_type',count=m))
      if m gt 0 then begin
         print,'Found SW_TYPE in extension #'+stri(j)+' with value: '+sw_type
         printf,lun,'Found SW_TYPE in extension #'+stri(j)+' with value: '+sw_type
         if strlowcase(sw_type) eq 'slew' then begin
            print,'  Call fmodhead ...'
            printf,lun,'  Call fmodhead ...'
            spawn,'fmodhead '+list(i)+'\['+stri(j)+'] tmpfil=tmpfil'
            was_modified = 1
         endif
      endif
   endfor
   ; if was_modified then begin
   ;    printf,lun,'Updating checksums of '+list(i)
   ;    spawn,'fchecksum '+list(i)+' update=yes datasum=no'
   ; endif

   openw, don, 'done.list', /get_lun, /append
   printf,don,list(i)
   free_lun, don

endfor

free_lun, lun

end
