function chi2, model, y, dy
;
; Evaluate chi-square
;
if n_params() lt 3 then begin
   print,'Syntax: res = chi2(model, y, dy)'
   return,-1.
endif

nm = n_elements(model)
if( nm ne n_elements(y) or nm ne n_elements(dy) ) then begin
   print,'The arrays have different dimensions !'
   return,-1.
endif
;
notz = where( dy gt 0.0, n_notz )
if n_notz gt 0 then begin
   d = (y(notz) - model(notz)) / dy(notz)
endif else begin
   print,'chi2 error! dy has only illegal values'
   d = 0.
endelse
return,total(d*d)
end
