function chi2rel, model, y, dy, factor=factor
;
; Evaluate chi-square (independent of factor)
;
;  ~1995/NJW
;  2004-09-28/NJW updated to return factor
;
if n_params() lt 3 then begin
   print,'Syntax: res = chi2rel( model, y, dy[,factor=])'
   print,'  Find best normalization before evaluating chi2'
   print,'  Keyword factor returns best factor between data and model'
   return,-1.
endif

nm = n_elements(model)
if( nm ne n_elements(y) or nm ne n_elements(dy) ) then begin
   print,'The arrays have different dimensions !'
   return,-1.
endif
;
dy2 = dy * dy
factor = total(y*model/dy2) / total(model*model/dy2)
d = (y - factor*model) / dy
return,total(d*d)
end
