function circle,im,xc,yc,radius,value=value,blank=blank
;
; function circle,im,xc,yc,radius,value=value, blank=blank
;
; Return image 'im' updated with circle with center (xc,yc) and
; radius 'radius' at intensity = 'value' if this keyword is
; present else the maximum of 'im' is used.
;  the unit is one pixel
; If keyword 'blank' is set then everything outside the circle is
; set to maximum in image (or 'value')
;
na = n_params()
sz = size(im)
limx = sz(1) - 1
limy = sz(2) - 1
if not keyword_set(value) then value = max(im)
step = 1./radius
jm = im
for angle = 0., 2*!pi, step do begin
   x = fix(xc + radius*cos(angle) + 0.5)
   y = fix(yc + radius*sin(angle) + 0.5)
   jm( (x > 0) < limx, (y > 0) < limy ) = value
endfor
if keyword_set(blank) then begin
   dd = distances(limx+1,limy+1,xc,yc)
   idd = where(dd gt radius, count)
   if count gt 0 then jm(idd) = value
endif
return,jm
end
