function circle_fill, im, xc, yc, radius, value
;
;
; Return image 'im' updated with circle with center (xc,yc) and
; radius 'radius' filled at intensity = 'value' if this argument is
; present else the maximum of 'im' is used.
;  the unit is one pixel
;
na = n_params()
sz = size(im)
limx = sz(1) - 1
limy = sz(2) - 1
if na eq 5 then mm = value else mm = max(im)
step = 1./radius
jm = im
for angle = 0., !pi/2, step do begin
   x = xc + radius*cos(angle)
   y = yc + radius*sin(angle)
   xmir = 2*xc-x
   ymir = 2*yc-y
   x = x < limx
   xmir = xmir > 0
   y = y < limy
   ymir = ymir > 0
   jm(xmir:x, y) = mm
   jm(xmir:x, ymir) = mm
endfor
return,jm
end
