function circle_sel, x, y, _extra=e, out=out, count=count

if n_params() lt 2 then begin
	print,'Syntax: sel = circle_sel(x,y[,/out][,count=][,extra keywds])'
	return,-1
endif

plot,x,y,_extra=e,ps=3

print,'Define the circle center first and then a '
print,'             point on the circumference with the cursor ...'

curmark,res,npoints=npoints
if npoints eq 2 then begin ; The center and circumference have been chosen
	center = res(*,0)
	radius = sqrt((center(0)-res(0,1))^2 + (center(1)-res(1,1))^2)

	; show circle

	v = xlingen(100,0.,2*!pi)
	xv = center(0) + radius*cos(v)
	yv = center(1) + radius*sin(v)
	oplot,xv,yv

   n_events = n_elements(x)
   sel = lonarr(n_events)
   outsel = lonarr(n_events)
   jsel = 0L
   ksel = 0L
   r = sqrt((x - center(0))^2 + (y - center(1))^2)
   sel = where(r le radius, jsel)
   outsel = where(r gt radius, ksel)

   if keyword_set(out) then begin
   	count = ksel
   endif else begin
		count = jsel
	endelse

   if count eq 0 then begin
      print,'No events selected - return with -1'
      return, -1
   endif else begin
   	print,count,' events selected'
   	if keyword_set(out) then begin
   		sel = outsel
   	endif
      oplot,x(sel),y(sel),ps=3,col=100  ;  Show effect of selection
      return, sel
   endelse
endif else begin
	print,'Selection given up, returns -1'
	count = 0
	return, -1
endelse

end
