pro cnvrt_raw2afits, njmx, swid_list, nmax=nmax
;
;  Procedure to convert a series of raw JEMX data files to afits format
;
;  2004-08-27/NJW
;
;   JMX? version
;
if n_params() lt 2 then begin
   print,'Syntax: cnvrt_raw2afits, njmx, swid_list[,nmax=]'
   print,'    keyword ''nmax'' for max number of SWIDs to include'
   return
endif

sj = stri(njmx)

listfile = swid_list
if swid_list eq 'blank' then $
   listfile = '/home/njw/jemx/survey/j'+sj+'_swids_w0_srcs.scm'
list0 = read_slist(listfile,count=nlist0)

if not keyword_set(nmax) then nmax = 999999L

kount = 0L
for i = 0L, nlist0-1 do begin
   if kount eq nmax then break
   swid = strmid(list0(i),0,4)
   if swid lt '0010' then begin
      print,'Skip '+list0(i)
      continue
   endif
   fname = '/r6/jemx/sci_data/arc/rev_1/scw/'+swid+'/'+list0(i)+$
        '.001/jmx'+sj+'/raw/jmx'+sj+'_raw.fits'
   print,fname
   oname = '/r6/jemx/njw/survey/j'+sj+'_afits/jmx'+sj+'_'+list0(i)+'.afits'
   print,oname
   if file_test(fname,/reg) then begin
      fits_tab2ascii, fname+'+2', oname
      kount = kount + 1
   endif else print,'File not found'
endfor
 
print,kount,' files have been converted'
   
end
