function coast_define_islands, p, b
;
;  Part of 'coast' package
;
;  2005-07-25/NJW
;
sz = size(p)
isl = intarr(sz(1),sz(2)) ; island enumeration

num_island = 0

repeat begin

num_island = num_island + 1

; Search for new island
found = 0
for i = 0, sz(1)-1 do begin
for j = 0, sz(2)-1 do begin
   if p(i,j) eq 1 and isl(i,j) eq 0 then begin
      isl(i,j) = num_island
      found = 1
      print,'New island found at ', i, j
      break
   endif
endfor
if found then break
endfor

if not found then begin
   print,'No new island could be found, terminate!'
   return, isl
endif

add_one = 1

while add_one do begin
   add_one = 0
   for i = 0, sz(1)-1 do begin
   for j = 0, sz(2)-1 do begin
      if p(i,j) eq 1 and isl(i,j) eq 0 then begin
         ; check if neighbor belongs to an already defined island
         if coast_mask(b(i,j),1) then begin
            if isl(i+1,j) eq num_island then begin
               isl(i,j) = num_island
               add_one = 1
            endif
         endif
         if coast_mask(b(i,j),2) then begin
            if isl(i,j+1) eq num_island then begin
               isl(i,j) = num_island
               add_one = 1
            endif
         endif
         if coast_mask(b(i,j),4) then begin
            if isl(i-1,j) eq num_island then begin
               isl(i,j) = num_island
               add_one = 1
            endif
         endif
         if coast_mask(b(i,j),8) then begin
            if isl(i,j-1) eq num_island then begin
               isl(i,j) = num_island
               add_one = 1
            endif
         endif
      endif
   endfor
   endfor
endwhile

endrep until not found

return, isl

end
