function coast_pix, p
;
;  Part of 'coast' package
;
;  2005-07-25/NJW
;
;  Analyze p == 1 pixels
;  Returns array that describes to what side of the pixels
;  there are 'friends' and edges
;
sz = size(p)
b = intarr(sz(1),sz(2))

for i = 0, sz(1)-1 do begin
for j = 0, sz(2)-1 do begin
   if p(i,j) eq 1 then begin

      if i eq 0 then b(i,j) = b(i,j) + 64 ; means at left edge
      if j eq 0 then b(i,j) = b(i,j) + 128 ; means at bottom edge
      if i eq sz(1)-1 then b(i,j) = b(i,j) + 16 ; means at right edge
      if j eq sz(2)-1 then b(i,j) = b(i,j) + 32 ; means at top edge

      if i lt sz(1)-1 then $
      if p(i+1,j) eq 1 then b(i,j) = b(i,j) + 1 ; means friend to the right
      if i gt 0 then $
      if p(i-1,j) eq 1 then b(i,j) = b(i,j) + 4 ; means friend to the left
      if j lt sz(2)-1 then $
      if p(i,j+1) eq 1 then b(i,j) = b(i,j) + 2 ; means friend above
      if j gt 0 then $
      if p(i,j-1) eq 1 then b(i,j) = b(i,j) + 8 ; means friend below

   endif
endfor
endfor

return, b

end
