function collate_path, string_array, init=init
;
;   Ca. 2001 /NJW
;   Updated 2003-06-14/NJW to include linux as OS
;
; Assume that 'string_array' contains the parts for a
; file path; Return collated name
; The keyword 'init' causes a preceding slash
;
; This version is for Windows (and DOS) path names
;
sz = size(string_array)
if sz(1+sz(0)) ne 7 then begin
   print,'%COLLATE_PATH error - argument is not a string (array)'
   return,''
endif

n = n_elements(string_array)

; Mirror value if path has only one component
sa = string_array

if !version.os eq 'sunos' or !version.os eq 'linux' then begin

   if keyword_set(init) then sa(0) = '/'+sa(0)
   if n eq 1 then return, sa(0) else begin
      str = sa(0)
      for i = 1,n-1 do str = str+'/'+sa(i)
      return,str
   endelse

endif else if !version.os eq 'Win32' then begin

   if keyword_set(init) then sa(0) = 'c:\'+sa(0)
   if n eq 1 then return, sa(0) else begin
      str = sa(0)
      for i = 1,n-1 do str = str+'\'+sa(i)
      return,str
   endelse

endif else begin

   print,'collate_path error, unknown OS'
   return,''

endelse

end
