pro comadd, file, keyword, new_arr, time=time
;
; Add to an ASCII file 'file' with lines beginning with '//'
; followed by 'keyword' (the keyword) = xx.xx   e.g. :
;
;   // pressure = 1.3489e-11
;
;   IDL> comadd,'myfile', 'pressure', new_arr[ , /time]
;
;      The keyword 'time' gives a timestamp for the keyword
;
if n_params() lt 4 then begin
   print,'Syntax: COMADD, file, keyword, value(s)[, /time]'
   return
endif
sz = size(new_arr)
nn = n_elements(new_arr)
openw,lun,file,/append,/get_lun
if keyword_set(time) then begin
   if nn gt 1 then st = 'lines' else st = 'line'
   printf,lun,'// The '+st+' with keyword '+keyword+' added '+systime()
endif
for i = 0, nn-1 do printf,lun,'// '+keyword+' = '+string(new_arr(i))

free_lun,lun
end
