pro comblock, file, nblock, ln_begin, ln_end
;
; Reads an ASCII file 'file' searching for lines beginning with '//'
; followed by 'block = nnnnn'  e.g. :
;
;   // block = 123
;
;   IDL> comblock,'myfile', 114, ln_begin, ln_end
;        returns the linenumbers for the beginning (ln_begin)
;        and the end (ln_end) of block #114
;        Both are set to -1 if the block is not found
;
openr,lun,file,/get_lun
s = ' '
lns = lonarr(10000)
bns = lonarr(10000)
bn = 1L
linenumber = 0L
k = 0L
while not eof(lun) do begin
   readf,lun,s
   if( strmid(s,0,2) eq '//' ) then begin
      pos = strpos(s,'block',2)
      if( pos ge 0 ) then begin    ; string has been found
         pe = strpos(s,'=',pos+5)
         if( pe ge 0 ) then begin  ; an equal sign has been found
            sb = strmid(s,2,pos-2)
            sa = strmid(s,pos+5,pe-pos-5)
            ; Make sure that the only the search string is present
            if strlen(strcompress(sa+sb,/r)) eq 0 then begin
               reads,strmid(s,pe+1,99),bn
               bns(k) = bn
               lns(k) = linenumber
               k = k + 1L
            endif
         endif
      endif
   endif
   linenumber = linenumber + 1L
endwhile
close,lun
free_lun,lun

if k gt 0L then begin
   lns = lns(0L:k)
   bns = bns(0L:k)
   lns(k) = linenumber - 1L
   bns(k) = 99999L
   k_ok = where( nblock eq bns, nk_ok)
   if nk_ok gt 0 then begin
      ln_begin = lns(k_ok(0))
      ln_end   = lns(k_ok(0)+1L)
   endif else begin
      ln_begin = -1L
      ln_end   = -1L
   endelse
endif else begin
   ln_begin = -1L
   ln_end   = -1L
endelse
end
