function comgets,file,str,nval
;
; Reads an ASCII file 'file' searching for lines beginning with '//'
; followed by 'str' = string but only to ';'  e.g. :
;
;   // name = H_C_Andersen ; Famous fairy tale writer
;
;   IDL> author = comgets('myfile','name',nval)
;        returns an array of strings where the keyword 'name'
;        is found. Returns a single string if only one or zero values
;        are found. Leading and trailing blanks are removed.
;
; Upon return 'nval' reports an error condition :
;   nval > 0   -> number of times found i.e. dimension of returned array
;   nval = 0  No such expression, returns -1.
;
;   2003-12-23/NJW (updated; the function is much older)
;
if n_params() lt 3 then begin
   print,'Syntax: strng = comgets(file, keyword_str, nval)'
   print,'   where nval returns the number of matches'
   return,-1
endif

openr,lun,file,/get_lun
s = ' '
nval = 0
x = strarr(10000)
y = ' '
while not eof(lun) do begin
   readf,lun,s
   if( strmid(s,0,2) eq '//' ) then begin
      ; remove comment part
      cpos = strpos(s,';',2)
      if cpos gt 1 then s = strmid(s,0,cpos)

      pos = strpos(s,str,2)
      if( pos ge 0 ) then begin    ; string has been found
         l = strlen(str)
         pe = strpos(s,'=',pos+l)
         if( pe ge 0 ) then begin  ; an equal sign has been found
            sb = strmid(s,2,pos-2)
            sa = strmid(s,pos+l,pe-pos-l)
            if strlen(strcompress(sa+sb,/r)) eq 0 then begin
               reads,strmid(s,pe+1,99),y
               x(nval) = strtrim(y,2)
               nval = nval + 1
            endif
         endif
      endif
   endif
endwhile

free_lun,lun

if nval gt 0 then begin
   if nval gt 1 then return,x(0:nval-1) else return,x(0)
endif else return,-1.

end
