function comheader,filename,all=all,silent=silent
;
; A function in the S-table package
;   (Others are: rtab, wtab, wstab)
;
; This procedure will read an ASCII file and return all lines
; that start with '//' in the beginning of the file (i.e.
; an uninterrupted sequence) as a string array.

if n_params() lt 1 then begin
   print,'Syntax: hdr = comheader(filename)'
   return,-1
endif

vb = 1 - keyword_set(silent) ; keyword for verbosity

; Prepare reading the file

openr,lun,filename,/get_lun
s = ' '
while not eof(lun) do begin
  readf,lun,s
  pos = strpos(s,';')
  if pos ge 0 then ss = strmid(s,0,pos) else ss = s
  st = strtrim(ss,1) ; remove leading blanks
  if strlen(st) gt 1 then begin
     com = strmid(st,0,2)
     if com eq '//' then begin
	if vb then print, st
	if exists(hdr) then begin
	   hdr = [hdr,st]
        endif else begin
	   hdr = strarr(1)
	   hdr(0) = st
        endelse
     endif
  endif
endwhile

free_lun,lun

if exists(hdr) then return, hdr else return, -1

end
