function cross_sect,energy
; Morrison and McCammon interstellar matter cross sections
; ApJ 270 (1983) 119
;
; The energy is in keV and returned cross section in cm-2
;
ebound=[ 0.100,0.284,0.400,0.532,0.707,$
       0.867,1.303,1.840,2.471,3.210,4.038,$
       7.111,8.331,10.00]
coeff = fltarr(3,14)
coeff(*,0) = [ 17.3,  608.1, -2150.0 ]
coeff(*,1) = [ 34.6,  267.9,  -476.1 ]
coeff(*,2) = [ 78.1,   18.8,     4.3 ]
coeff(*,3) = [ 71.4,   66.8,   -51.4 ]
coeff(*,4) = [   95.5,  145.8,   -61.1 ]
coeff(*,5) = [ 308.9, -380.6,   294.0 ]
coeff(*,6) = [  120.6,  169.3,   -47.7 ]
coeff(*,7) = [ 141.3,  146.8,   -31.5 ]
coeff(*,8) = [  202.7,  104.7,   -17.0 ]
coeff(*,9) = [ 342.7,   18.7,     0.0 ]
coeff(*,10) = [ 352.2,   18.7,     0.0 ]
coeff(*,11) = [ 433.9,   -2.4,    0.75 ]
coeff(*,12) = [  629.0,   30.9,     0.0 ]
coeff(*,13) = [ 701.2,   25.2,     0.0]
; 
i = 0
while( energy ge ebound(i) and i lt 13 ) do i = i + 1
csect = coeff(0,i) + energy * (coeff(1,i) + energy * coeff(2,i))
return, 1.e-24 * csect / (energy^3)
end
