function crosspoint,line1,line2
;
; Find the intersection between two lines given as
;    line(0)*x + line(1)*y = line(3)
;
; Can be used in connection with 'line_thru_2p(p1,p2)'

if( n_elements(line1) ne 3 or n_elements(line2) ne 3 ) then begin
   print,'wrong dimension of input lines'
   return,[0.,0.]
endif
det = line1(0)*line2(1) - line2(0)*line1(1)
if( det eq 0.0 ) then begin
   print,'No intersection -'
   return,[0.,0.]
endif
detx = line1(2)*line2(1) - line1(1)*line2(2)
dety = line1(0)*line2(2) - line1(2)*line2(0)
return,[detx/det,dety/det]
end
