pro cur_lineflux, e, f, lineflux
;
;  Use cursor to select a piece of an array with flux
;  in ph cm-2 s-1 keV-1 and x-axis energy in keV
;
if( n_elements(e) ne n_elements(f) ) then begin
   print,'There is no match between energy and flux arrays ...'
   return
endif
print,'Is your most recent plot that of the spectrum in'
print,'  x: keV, y: ph cm-2 s-1 keV-1 ??'
print,'Use mouse to mark the lower boarder at cont. level:'
cursor,x1,y1,/data
wait,0.3
print,'You pointed at ', x1, ' keV and flux = ', y1,' ph cm-2 s-1 keV-1'
print,'Use mouse to mark the upper boarder at cont. level:'
cursor,x2,y2,/data
print,'You pointed at ', x2, ' keV and flux = ', y2,' ph cm-2 s-1 keV-1'
m = min(abs(x1-e),i1)
m = min(abs(x2-e),i2)
e1 = e(i1)
e2 = e(i2)
delta_e = (e2 - e1) / (i2 - i1)
totalflux = (total(f(i1:i2)) - 0.5*(f(i1)+f(i2))) * delta_e
s1 = 'The total flux in range is  '
un = ' ph cm-2 s-1'
print,s1 + string(totalflux,format='(e12.3)') + un
cont = 0.5*(f(i1) + f(i2)) * (e2 - e1)
cont_per_kev = 0.5*(f(i1) + f(i2))
s1 = 'The continuum flux is       '
print,s1 + string(cont,format='(e12.3)') + un
lineflux = totalflux - cont
s1 = 'The line flux is            '
print,s1 + string(lineflux,format='(e12.3)') + un
s1 = 'The continuum per keV is    '
print,s1 + string(cont_per_kev,format='(e12.3)') + un + ' keV-1'
if( cont_per_kev gt 0. ) then begin
   s1 = 'The equivalent width is     '
   print,s1 + string(lineflux/cont_per_kev,format='(e12.3)') + ' keV'
endif

end
