function cur_netcts, im, factor=factor, silent=silent
;
; Return net counts in box around source
;
;   2000 ???  /NJW
;   2004-06-07/NJW update with factor
;
if n_params() lt 1 then begin
   print,'Syntax: n = cur_netcts( im[,factor=][,/silent])'
   return, -1
endif

if not keyword_set(factor) then factor = 1

print,'Mark lower left corner of box with source (left button) ...'
cursor,x1,y1,/device
x1 = x1 / factor
y1 = y1 / factor
wait,0.2
print,'Mark upper right corner of box with source (left button) ...'
cursor,x2,y2,/device
x2 = x2 / factor
y2 = y2 / factor
wait,0.2
;
print,'Mark lower left corner of box with bkg (left button) ...'
cursor,x3,y3,/device
x3 = x3 / factor
y3 = y3 / factor
wait,0.2
print,'Mark upper right corner of box with bkg (left button) ...'
cursor,x4,y4,/device
x4 = x4 / factor
y4 = y4 / factor
wait,0.2

src_cts = total(im(x1:x2,y1:y2))
bkg_cts = avg(im(x3:x4,y3:y4)) * (x2-x1+1) * (y2-y1+1)

if not keyword_set(silent) then begin
   print,' Source box xy1  xy2 : ', x1,y1,x2,y2
   print,' Backgr box xy1  xy2 : ', x3,y3,x4,y4
   print,' Peak Counts : ', src_cts
   print,' Bkg  Counts : ', bkg_cts
   print,' Net  Counts : ', src_cts - bkg_cts
endif


return, src_cts - bkg_cts

end
