pro curmark1, result, data=data, normal=normal, device=device, nomark=nomark, silent=silent
;
;  Use cursor to mark a single point and return its coordinates in 'result'
;
;  The coordinate system is specified with keyword, 'data' is default
;
sum = 0
if keyword_set(data) then sum = sum + 1
if keyword_set(normal) then sum = sum + 1
if keyword_set(device) then sum = sum + 1
if sum gt 1 then begin
   print,'%CURMARK: only one coordinate system can be specified'
   return
endif

; Setup array to hold the result

result = fltarr(2)
!err = 1

print,'Use left mouse button to indicate the point ...'


if sum eq 0 then begin ; No coordinate system keyword has been given
   cursor,xc,yc,/data
   xcdata = xc
   ycdata = yc
endif else begin       ; Yes, a coordinate system keyword has been given
   if keyword_set(data) then begin
      cursor,xc,yc,/data
      xcdata = xc
      ycdata = yc
   endif
   if keyword_set(normal) then begin
      cursor,xc,yc,/normal
      res = convert_coord([xc,yc],/normal,/to_data)
      xcdata = res(0)
      ycdata = res(1)
   endif
   if keyword_set(device) then begin
      cursor,xc,yc,/device
      res = convert_coord([xc,yc],/device,/to_data)
      xcdata = res(0)
      ycdata = res(1)
   endif
endelse

wait,0.3

if not keyword_set(silent) then begin
   print,'                ', strtrim(xc,2), ' , ', strtrim(yc,2),$
    '   (',strtrim(xcdata,2),',',strtrim(ycdata,2),')'
endif
if not keyword_set(nomark) then oplot,[xcdata],[ycdata],psym=1,symsize=2
result(0) = xc
result(1) = yc




end
