pro curve2num,filename,x,y
;
; Transforming linear x-y coordinates to real values
; in particular when a curve has been read off from a
; figure with a log-log plot
;
; Format of data input file :
; // xmm0 = 77.
; // x0   = 1.
; // xmm1 = 186.7
; // x1   = 10.
; // ymm0 = 30.4
; // y0   = 10.
; // ymm1 = 107.3
; // y1   = 100.
;     10.1   1.4
;     12.3   2.3
;     ...    ...
;
rstab,filename,xmm,ymm
xmm0 = comget(filename,'xmm0', ierr)
x0   = comget(filename,'x0', ierr)
xmm1 = comget(filename,'xmm1', ierr)
x1   = comget(filename,'x1', ierr)
ymm0 = comget(filename,'ymm0', ierr)
y0   = comget(filename,'y0', ierr)
ymm1 = comget(filename,'ymm1', ierr)
y1   = comget(filename,'y1', ierr)

ax = (xmm1 - xmm0)/alog(x1/x0)
bx = xmm0 - ax*alog(x0)
ay = (ymm1 - ymm0)/alog(y1/y0)
by = ymm0 - ay*alog(y0)

x = exp((xmm-bx)/ax)
y = exp((ymm-by)/ay)
end
