pro dataplotf_oi,x1,x,x2,y1,y,y2, xrange=xrg, yrange=yrg, _extra=e
;
; Lin-lin plot of datapoints with 'errorbars' in x-direction defined
; by start and stop arrays x1 and x2. Similarly
; in the y-direction the length of the error bars are given by
; lower and upper values y1 and y2
;
if( n_params() ne 6 ) then begin
   print,'dataplx, x1, x, x2, y1, y, y2[,keywords]'
   return
endif
nx = n_elements(x)
nx1 = n_elements(x1)
nx2 = n_elements(x2)
ny = n_elements(y)
ny1 = n_elements(y1)
ny2 = n_elements(y2)
if( (nx ne nx1) or (nx ne nx2) or (nx ne ny) ) then begin
  print,'DATAPLOTF_OI error: The arrays have different dimensions !'
  return
endif
if( (nx ne ny1) or (nx ne ny2) ) then begin
  print,'DATAPLOTF_OI error: The arrays have different dimensions !'
  return
endif
if not keyword_set(xrg) then begin
   xmin = min(x1) / 1.2
   xmax = max(x2) * 1.2
   xrg = [xmin,xmax]
endif
if not keyword_set(yrg) then begin
   ymin = min(y1) - 0.05 * (max(y2) - min(y1))
   ymax = max(y2) + 0.05 * (max(y2) - min(y1))
   yrg = [ymin,ymax]
endif
plot_oi,[x1(0),x2(0)],[y(0),y(0)],xr=xrg,yr=yrg,_extra=e
oplot,[x(0),x(0)],[y1(0),y2(0)],_extra=e
for i = 1, nx-1 do begin
  oplot,[x1(i),x2(i)],[y(i),y(i)],_extra=e
  oplot,[x(i),x(i)],[y1(i),y2(i)],_extra=e
endfor
end
