pro dataplotg, x, y, dy, xrange=xrg, yrange=yrg, psym=pps, _extra=e
;
; Lin-lin plot of datapoints
; In the y-direction the length of the error bars are given by '+-dy'
;
if( n_params() ne 3 ) then begin
   print,'odataplotg, x, y, dy[, (keywords)]'
   return
endif
nx = n_elements(x)
if( (nx ne n_elements(y)) or (nx ne n_elements(dy)) ) then begin
  print,'DATAPLOTG error: The arrays have different dimensions !'
  return
endif
nx = n_elements(x)
if not keyword_set(xrg) then begin
   xmin = x(0) - 0.05 * (x(nx-1) - x(0))
   xmax = x(nx-1) + 0.05 * (x(nx-1) - x(0))
   xrg = [xmin,xmax]
endif
if not keyword_set(yrg) then begin
   ymin = min(y-dy) - 0.05 * (max(y+dy) - min(y-dy))
   ymax = max(y+dy) + 0.05 * (max(y+dy) - min(y-dy))
   yrg = [ymin,ymax]
endif
if not keyword_set(pps) then pps=1
plot,x,y,xr=xrg,yr=yrg,psym=pps,_extra=e
; oplot,[x(0),x(0)],[y(0)-dy(0),y(0)+dy(0)],_extra=e
for i = 1, nx do begin
  oplot,[x(i-1),x(i-1)],[y(i-1)-dy(i-1),y(i-1)+dy(i-1)],_extra=e
endfor
end

