pro dataplotxp_io, x, y, dy, xrange=xrg, yrange=yrg, _extra=e
;
; X linear - Y Log plot of data points with errorbars where the channel
; limits are given rather than their centers.
;
;... Testing input parameters

if( n_params() ne 3 ) then begin
   print,'dataplotxp_io, x, y, dy[, (keywords)]'
   return
endif
nx = n_elements(x)
if( nx ne n_elements(y)+1 ) then begin
  print,'DATAPLOXP_IO error: dim(x) must be one larger than dim(y)'
  return
endif
if( n_elements(dy) ne n_elements(y) ) then begin
  print,'DATAPLOXP_IO error: dim(dy) must be equal to dim(y)'
  return
endif

;... Set plotting range

if not keyword_set(xrg) then begin
   xmin =  x(0) - 0.05 * (x(nx-1)-x(0))
   xmax =  x(nx-1) + 0.05 * (x(nx-1)-x(0))
   xrg = [xmin,xmax]
endif
if not keyword_set(yrg) then begin
   ymin = min(y-dy)/1.1
   ymax = max(y+dy)*1.1
   yrg = [ymin,ymax]
endif

;... Do the plotting

plot_io,x(0:1),[y(0),y(0)],xr=xrg,yr=yrg,_extra=e
xmean = 0.5 * (x(0) + x(1))
oplot,[xmean,xmean],[y(0)-dy(0),y(0)+dy(0)], _extra=e
for i = 1, nx-2 do begin
   oplot,x(i:i+1),[y(i),y(i)], _extra=e
   xmean = 0.5 * (x(i) + x(i+1))
   oplot,[xmean,xmean],[y(i)-dy(i),y(i)+dy(i)], _extra=e
endfor
end
