pro dataplotxp_oi, x, y, dy, xrange=xrg, yrange=yrg, _extra=e
;
; Lin-log plot of data points with errorbars where the channel
; limits are given rather than their centers.
;
if( n_params() ne 3 ) then begin
   print,'dataplotxp_oi, x, y, dy[, (keywords)]'
   return
endif
nx = n_elements(x)
if( nx ne n_elements(y)+1 ) then begin
  print,'DATAPLOXP_OI error: dim(x) must be one larger than dim(y)'
  return
endif
if( n_elements(dy) ne n_elements(y) ) then begin
  print,'DATAPLOXP_OI error: dim(dy) must be equal to dim(y)'
  return
endif
if not keyword_set(xrg) then begin
   xmin =  x(0)/1.1
   xmax =  x(nx-1)*1.1
   xrg = [xmin,xmax]
endif
if not keyword_set(yrg) then begin
   ymin = min(y-dy) - 0.05 * (max(y+dy) - min(y-dy))
   ymax = max(y+dy) + 0.05 * (max(y+dy) - min(y-dy))
   yrg = [ymin,ymax]
endif
plot_oi,x(0:1),[y(0),y(0)],xr=xrg,yr=yrg,_extra=e
x2 = sqrt(x(0) * x(1))
oplot,[x2,x2],[y(0)-dy(0),y(0)+dy(0)], _extra=e
for i = 1, nx-2 do begin
   oplot,x(i:i+1),[y(i),y(i)], _extra=e
   x2 = sqrt(x(i) * x(i+1))
   oplot,[x2,x2],[y(i)-dy(i),y(i)+dy(i)], _extra=e
endfor
end
