pro dataplotxp_oo, x, y, dy, xrange=xrg, yrange=yrg, _extra=e
;
; Log-log plot of data points with errorbars where the channel
; limits are given rather than their centers.
;
if( n_params() ne 3 ) then begin
   print,'Syntax: dataplotxp, x, y, dy[, (keywords)]'
   return
endif
nx = n_elements(x)
if( nx ne n_elements(y)+1 ) then begin
  print,'DATAPLOXP_OO error: dim(x) must be one larger than dim(y)'
  return
endif
if( n_elements(dy) ne n_elements(y) ) then begin
  print,'DATAPLOXP_OO error: dim(dy) must be equal to dim(y)'
  return
endif
if not keyword_set(xrg) then begin
   xmin = x(0)/1.2
   xmax = x(nx-1)*1.2
   xrg = [xmin,xmax]
endif
if not keyword_set(yrg) then begin
;*   ymin = (min(y-dy) > 1.e-5) /1.2
   ymin = min(y - dy) / 1.2
   if ymin lt 1.e-5 then ymin = min(y) / 2.
   ymax = max(y+dy) * 1.2
   yrg = [ymin,ymax]
endif
plot_oo,x(0:1),[y(0),y(0)],xr=xrg,yr=yrg,_extra=e
x2 = sqrt(x(0) * x(1))
;* oplot,[x2,x2],[(y(0)-dy(0)) > 1.e-5,y(0)+dy(0)], _extra=e
oplot,[x2,x2],[y(0), y(0)+dy(0)], _extra=e
if y(0)-dy(0) gt ymin then oplot,[x2,x2],[y(0), y(0)-dy(0)], _extra=e $
   else arrow,x2,y(0),x2,ymin*1.2,/data
for i = 1, nx-2 do begin
   oplot,x(i:i+1),[y(i),y(i)], _extra=e
   x2 = sqrt(x(i) * x(i+1))
;*   oplot,[x2,x2],[(y(i)-dy(i)) > 1.e-5,y(i)+dy(i)], _extra=e
   oplot,[x2,x2],[y(i), y(i)+dy(i)], _extra=e
   if y(i)-dy(i) gt ymin then oplot,[x2,x2], $
        [y(i), y(i)-dy(i)], _extra=e $
           else arrow,x2,y(i),x2,ymin*1.2,/data
endfor
end
