function dct, p, d
;
; Discrete Correlation Transform:  c = transpose(p) # d
;
; Li and Wu, 1994, Astroph. Space Sci. 215, 213.
;
;   p   is modulation function:  p # f = d   where
;   d   is measured data and f the object
;
sz = size(p)
if sz(0) ne 2 then begin
   print,'DCT: First argument must be 2D array'
   return, -1.
endif
if sz(1) ne n_elements(d) then begin
   print,'DCT: Number of rows in matrix must match size of vector'
   return, -1.
endif
return, transpose(p) # d
end
