pro def_sym, sym, _extra=e

; procedure to set usersym i.e. psym=8
;   'c'  circle
;   'd'  diamond
;   'h'  hexagon
;   '|'  vertical bar
;   '-'  horizontal bar
;   '>'  right arrow
;   '<'  left arrow
;   'u'  up arrow
;   'f'  down arrow (towards Floor)
;
;  the extra keyword(s) can be 'fill'
;                              'thick'
;                          or  'color'
str = strmid(sym,0,1)
case str of
  'c' :      begin    ;  circle
                a = findgen(31)*(2*!pi/30.)
                usersym,cos(a),sin(a), _extra=e
             end

  'd' :      begin    ;  diamond
                usersym,[-1,0,1,0,-1],[0,1,0,-1,0], _extra=e
              end

  's' :      begin    ;  square
                usersym,[-1,-1,1,1,-1],[-1,1,1,-1,-1], _extra=e
              end

  'h' :      begin    ;  hexagon
                b = 1./sqrt(3)
                usersym,[-1,0,1,1,0,-1,-1],$
                [b,2*b,b,-b,-2*b,-b,b], _extra=e
              end

  '|' :      begin
                usersym,[0.,0.],[-1.,1.], _extra=e
              end

  '-' :      begin
                usersym,[-1.,1.],[0.,0.], _extra=e
              end

  '>' :      begin
                usersym,[-2.,0.,-2.],[1.,0.,-1.], _extra=e
              end

  '<' :      begin
                usersym,[2.,0.,2.],[1.,0.,-1.], _extra=e
              end

  'u' :      begin
                usersym,[-1.,0.,1.],[-2.,0.,-2.], _extra=e
              end

  'f' :      begin
                usersym,[-1.,0.,1.],[2.,0.,2.], _extra=e
              end

   else:     begin
             print,'%DEF_SYM : Illegal parameter'
             usersym,[-1,1],[-1,1], _extra=e
             end
endcase
end
