pro def_sym_new, sym, _extra=e

; procedure to set usersym i.e. psym=8
;   'c'  circle
;   'd'  diamond
;   'h'  hexagon
;   '|'  vertical bar
;   '-'  horizontal bar
;
;  the extra keyword(s) can be 'fill'
;                              'thick'
;                          or  'color'
if is_digit(sym) then begin

   w = 2. ; width of character
   d = 0.7 ; space between characters
   u = 0.5*(w + d) ; Basic character shift unit

   ndigits = strlen(sym)
   ishift = 1 - ndigits

   for idig = 0, ndigits-1 do begin
      digit = strmid(sym,idig,1)
      case digit of
          '0' : begin
                 dx = [1,1,-1,-1,1]
                 dy = [-2,2,2,-2,-2]
                end
          '1' : begin
                 dx = [1,1,1]
                 dy = [-2,2,-2]
                end
          '2' : begin
                 dx = [1,-1,-1,1,1,-1,1,1,-1,-1,1]
                 dy = [-2,-2,0,0,2,2,2,0,0,-2,-2]
                end
          '3' : begin
                 dx = [-1,1,1,-1,1,1,-1,1,1]
                 dy = [-2,-2,0,0,0,2,2,2,-2]
                end
          '4' : begin
                 dx = [1,1,-1,-1,-1,1,1,1]
                 dy = [-2,0,0,2,0,0,2,-2]
                end
          '5' : begin
                 dx = -[1,-1,-1,1,1,-1,1,1,-1,-1,1]
                 dy = [-2,-2,0,0,2,2,2,0,0,-2,-2]
                end
          '6' : begin
                 dx = [1,-1,-1,1,-1,-1,1,1]
                 dy = [-2,-2,2,2,2,0,0,-2]
                end
          '7' : begin
                 dx = [1,1,-1,1,1]
                 dy = [-2,2,2,2,-2]
                end
          '8' : begin
                 dx = [ 1,1,-1,-1,1,1,-1,-1,1]
                 dy = [-2,0, 0, 2,2,0, 0,-2,-2]
                end
          '9' : begin
                 dx = [1,1,-1,-1,1,1]
                 dy = [-2,2,2,0,0,-2]
                end
         else : begin
                 dx = [-1,1,0,-1,1]
                 dy = [-2,2,0,2,-2]
                end
      endcase

      if idig eq 0 then begin
         pattx = dx + u*ishift
         patty = dy
      endif else begin
         pattx = [pattx, dx + u*ishift]
         patty = [patty, dy]
      endelse

      ishift = ishift + 2

   endfor

   usersym, pattx, patty, _extra=e

endif else begin

   str = strmid(sym,0,1)
   case str of
     'c' :      begin    ;  circle
                   a = findgen(31)*(2*!pi/30.)
                   usersym,cos(a),sin(a), _extra=e
                end
   
     'd' :      begin    ;  diamond
                   usersym,[-1,0,1,0,-1],[0,1,0,-1,0], _extra=e
                 end
   
     's' :      begin    ;  square
                   usersym,[-1,-1,1,1,-1],[-1,1,1,-1,-1], _extra=e
                 end
   
     'h' :      begin    ;  hexagon
                   b = 1./sqrt(3)
                   usersym,[-1,0,1,1,0,-1,-1],$
                   [b,2*b,b,-b,-2*b,-b,b], _extra=e
                 end
   
     '|' :      begin
                   usersym,[0.,0.],[-1.,1.], _extra=e
                 end
   
     '-' :      begin
                   usersym,[-1.,1.],[0.,0.], _extra=e
                 end
   
      else:     begin
                print,'%DEF_SYM : Illegal parameter'
                usersym,[-1,1],[-1,1], _extra=e
                end
   endcase

endelse



end
