pro def_sym_times, sym, _extra=e
;
; procedure to set usersym i.e. psym=8
;
;   2004-05-11/NJW  updating an older version
;                   with number symbols in font "times"
;
;   'c'  circle
;   'd'  diamond
;   'h'  hexagon
;   '|'  vertical bar
;   '-'  horizontal bar
;
;  the extra keyword(s) can be 'fill'
;                              'thick'
;                          or  'color'
if is_digit(sym) then begin

   w = 2. ; width of character
   d = 0.7 ; space between characters
   u = 0.5*(w + d) ; Basic character shift unit

   ndigits = strlen(sym)
   ishift = 1 - ndigits

   for idig = 0, ndigits-1 do begin
      digit = strmid(sym,idig,1)
      case digit of
          '0' : begin
                 dx = [1,1,-1,-1,1]
                 dy = [-2,2,2,-2,-2]
                end
          '1' : begin
  dx = [ $
  -2.00186e-01, 2.15000e-01, 2.15000e-01, 1.59161e-01, 1.43966e-01, $
   1.13578e-01, 9.83834e-02, 8.39488e-02, 7.86307e-02, 7.44523e-02, $
   7.36926e-02, 6.79947e-02, 4.52032e-02, -2.15000e-01, -2.15000e-01, $
  -2.01705e-01, -1.46625e-01, -1.21935e-01, -9.72438e-02, -8.39488e-02, $
  -6.49558e-02, -6.11573e-02, -5.73587e-02, -6.11573e-02, -6.87544e-02, $
  -9.15459e-02, -1.21935e-01, -1.60680e-01, -1.99046e-01, -2.00186e-01]*2
   dy = [ $
   5.69260e-03, 0.00000e+00, 2.84630e-02, 3.14991e-02, 3.33966e-02, $
   3.98482e-02, 4.93359e-02, 5.88235e-02, 7.81784e-02, 1.08159e-01, $
   1.19545e-01, 1.00000e+00, 1.00000e+00, 8.65275e-01, 8.40607e-01, $
   8.40607e-01, 8.66414e-01, 8.70968e-01, 8.70968e-01, 8.64137e-01, $
   8.51233e-01, 8.17837e-01, 1.19545e-01, 9.56357e-02, 7.28653e-02, $
   5.00949e-02, 3.75712e-02, 3.41556e-02, 2.96015e-02, 5.69260e-03]*2 - 1
                end
          '2' : begin
                 dx = [1,-1,-1,1,1,-1,1,1,-1,-1,1]
                 dy = [-2,-2,0,0,2,2,2,0,0,-2,-2]
                end
          '3' : begin
                 dx = [-1,1,1,-1,1,1,-1,1,1]
                 dy = [-2,-2,0,0,0,2,2,2,-2]
                end
          '4' : begin
                 dx = [1,1,-1,-1,-1,1,1,1]
                 dy = [-2,0,0,2,0,0,2,-2]
                end
          '5' : begin
                 dx = -[1,-1,-1,1,1,-1,1,1,-1,-1,1]
                 dy = [-2,-2,0,0,2,2,2,0,0,-2,-2]
                end
          '6' : begin
                 dx = [1,-1,-1,1,-1,-1,1,1]
                 dy = [-2,-2,2,2,2,0,0,-2]
                end
          '7' : begin
                 dx = [1,1,-1,1,1]
                 dy = [-2,2,2,2,-2]
                end
          '8' : begin
                 dx = [ 1,1,-1,-1,1,1,-1,-1,1]
                 dy = [-2,0, 0, 2,2,0, 0,-2,-2]
                end
          '9' : begin
                 dx = [1,1,-1,-1,1,1]
                 dy = [-2,2,2,0,0,-2]
                end
         else : begin
                 dx = [-1,1,0,-1,1]
                 dy = [-2,2,0,2,-2]
                end
      endcase

      if idig eq 0 then begin
         pattx = dx + u*ishift
         patty = dy
      endif else begin
         pattx = [pattx, dx + u*ishift]
         patty = [patty, dy]
      endelse

      ishift = ishift + 2

   endfor

   usersym, pattx, patty, _extra=e

endif else begin

   str = strmid(sym,0,1)
   case str of
     'c' :      begin    ;  circle
                   a = findgen(31)*(2*!pi/30.)
                   usersym,cos(a),sin(a), _extra=e
                end
   
     'd' :      begin    ;  diamond
                   usersym,[-1,0,1,0,-1],[0,1,0,-1,0], _extra=e
                 end
   
     's' :      begin    ;  square
                   usersym,[-1,-1,1,1,-1],[-1,1,1,-1,-1], _extra=e
                 end
   
     'h' :      begin    ;  hexagon
                   b = 1./sqrt(3)
                   usersym,[-1,0,1,1,0,-1,-1],$
                   [b,2*b,b,-b,-2*b,-b,b], _extra=e
                 end
   
     '|' :      begin
                   usersym,[0.,0.],[-1.,1.], _extra=e
                 end
   
     '-' :      begin
                   usersym,[-1.,1.],[0.,0.], _extra=e
                 end
   
      else:     begin
                print,'%DEF_SYM : Illegal parameter'
                usersym,[-1,1],[-1,1], _extra=e
                end
   endcase

endelse



end
