pro deltwins_str, str_arr_in, str_arr_out
;
;  Delete first of 'twins' in the input string array
;
;      012345678900.001
;      012345678900.002
;      012345678910.001
;      012345678910.002
;
;  becomes
;
;      012345678900.002
;      012345678910.002
;
;   2006-01-02/NJW
;
;   NB: The input array must be sorted
;
if n_params() ne 2 then begin
   print,'Syntax: deltwins_str, str_arr_in, str_arr_out'
   print,'   Removes doublet SWIDs with lowest version number'
   print,'   The input array must be sorted'
   return
endif

n = n_elements(str_arr_in)
str_arr_out = strarr(n)
if n le 1 then return ; Input is returned if zero or one input line

pick_swid_str, str_arr_in, swid_arr

if n_elements(swid_arr) ne n then begin
   print,'Warning: not all elements of the input array contain a SWID'
endif

k = 0
line1 = str_arr_in(0)
for i = 1L, n-1 do begin
   line2 = str_arr_in(i)
   if swid_arr(i-1) ne swid_arr(i) then begin
      str_arr_out(k) = line1
      k = k + 1
   endif
   line1 = line2
endfor
str_arr_out(k) = str_arr_in(n-1)

str_arr_out = str_arr_out(0:k)

end
