pro disp, im, fact, pane=pane, wba=wba, maxsiz=maxsiz,tit=tit, silent=silent,$
                    xpos=xpos, ypos=ypos
;
; Show image of 'im' on the screen. Create window with dimensions
;    adjusted to the image and largest size between 400 and 800 pixels
;

if n_params() lt 1 then begin
   print,'Syntax: DISP, image, fact, pane=, wba=, maxsiz=,$'
   print,'              tit=, silent=, xpos=, ypos='
   retall
end

im_work = im

sz = size(im_work)
if sz(0) lt 2 then begin
   print,'Not a 2D image'
   return
endif
if sz(0) gt 2 then begin
   ; See if exactly 2 of dimensions are > 1
   ngt1 = 0
   dim = intarr(2)
   for j = 1, sz(0) do begin
      if sz(j) gt 1 then begin
         ngt1 = ngt1 + 1
         if ngt1 gt 2 then begin
            print,'Number of dimensions larger than 2'
            return
         endif
         dim(ngt1-1) = sz(j)
      endif
   endfor
   im_work = reform(im,dim(0),dim(1))
endif

sz = size(im_work)

md = max(sz(1:2))
fac = 1
ms = 612
if !version.os eq 'linux' then ms = 400
if keyword_set(maxsiz) then ms = maxsiz
while (fac+1)*md le ms do fac = fac + 1
if not keyword_set(silent) then print,'Image enlarged ', fac,' times'
if n_params() gt 1 then fact = fac
xd = fac * sz(1)
yd = fac * sz(2)

; Setup window

pan = 0
reuse = 0
if keyword_set(pane) then begin
   if pane lt 0 then begin
      pane = -pane
      reuse = 1
   endif
   pan=pane
endif

xscreen_size = 1300
yscreen_size = 1050
if !version.os eq 'linux' then begin
   xscreen_size = 1015
   yscreen_size = 740
endif
if !version.os eq 'Win32' then begin
   xscreen_size = 850
   yscreen_size = 600
endif

; Use default position if keyword is not given

xposition = 0
if pan mod 2 eq 0 then xposition = xscreen_size - xd
if keyword_set(xpos) then xposition = xpos

yposition = yscreen_size - yd
if keyword_set(ypos) then yposition = ypos

tittext = string(fac,format='(" x",i3)')
if keyword_set(tit) then tittext = tit
if reuse then wset,pan else begin
   window,pan,xs=xd,ys=yd,xp=xposition,yp=yposition,$
       title=tittext
endelse

; Congrid if necessary

if fac gt 1 then imc = congrid(im_work,xd,yd) else imc = im_work

; Plot

if keyword_set(wba) then tv,wbstep(anticut(imc),0.25) $
                    else tvscl,imc
end
