function dist_point_line, x, y, x1, y1, x2, y2
;
; Returns the distance from point (x,y) to the line through
; (x1,y1) and (x2,y2)
;

; First check if line is properly defined
if x2-x1 eq 0 and y2-y1 eq 0 then return, -1.0

p = double(x)
q = double(y)
p1 = double(x1)
q1 = double(y1)
p2 = double(x2)
q2 = double(y2)

n2 = (p2-p1)^2 + (q2-q1)^2
a = (p2-p1)*(p-p1) + (q2-q1)*(q-q1)
nv2 = (p-p1)^2 + (q-q1)^2
return,sqrt(nv2 - a^2 / n2)
end
