function distances,dim1,dim2,xcenter,ycenter,cdelt=cdelt
;
; Return an float array of dimensions (dim1,dim2)
; with distances from the point (xcenter,ycenter) in unit of pixels
;
; If the keyword 'cdelt' (two element array) is given then these values
; are multiplied on the pixel differences and the unit is no longer pixels
;
if( n_params() ne 4 ) then begin
   print,'res = DISTANCES( dim1, dim2, xcenter, ycenter[,cdelt=])'
   return,-1.
endif
if keyword_set(cdelt) then begin
   cd = cdelt
endif else begin
   cd = [1.,1.]
endelse

dx = fltarr(dim1,dim2)
dy = dx
x1 = (findgen(dim1) - xcenter) * cd(0)
x2 = x1^2
y1 = (findgen(dim2) - ycenter) * cd(1)
y2 = y1^2
for i = 0, dim2-1 do dx(*,i) = x2
for i = 0, dim1-1 do dy(i,*) = y2
return, sqrt(dx + dy)
end
