function doloog, sim_name
;
;  Return DOL of OG when the simulation name is given.
;  Assumes standard simulation
;
;  If sim_name fulfills the 12 digit convention then
;  the ../rev/swid convention is used.
;
;   NJW/2002-01-14, updated with 12 digit SWID 2003-02-10/NJW
;
if n_params() ne 1 then begin
   print,'Syntax: DOL_of_OG = doloog(simulation_name)'
   return,''
endif
if strlen(sim_name) eq 12 and is_digit(sim_name) then begin
   swid = sim_name
   revstr = strmid(swid,0,4)
   p1 = '/r2/users/njw/RSIM1/'+revstr+'/'+swid+'/'+swid+'.fits+1'
   return, p1
endif else begin
   print,'The current SIM directory is stored in the environment variable: RSIM'
   simdir = getenv('RSIM')
   ridmis = str_reverse(simdir)
   if strmid(ridmis,0,1) ne '/' then simdir = simdir+'/'
   return,simdir+sim_name+'/'+sim_name+'.fits[1]'
endelse
end
