function draw_number, numarray, flag
;
; Returns a randomly selected value from 'numarray' and removes
; it from the array, so that it cannot be returned a second time
;
; Thus the number of elements in 'numarray' is reduced with one
; for each call. A return value for 'flag' of -1 signals: last
; value has been returned.
;
common rrand, seed

sz = size(flag)
if sz(0)+sz(1) eq 0 then flag = 0
if flag lt 0 then return, -1
n = n_elements(numarray)
if n eq 1 then begin
   flag = -1 ; signals last number returned
   return,numarray(0)
endif else begin
   rrr = randomu(seed,1)
   index = fix(n*rrr(0))
   n_return = numarray(index)
   for i = index, n-2 do numarray(i) = numarray(i+1)
   numarray = numarray(0:n-2)
   flag = 0
   return, n_return
endelse
end
