pro drstab,filename,c1,c2,c3,c4,c5,c6,c7,c8,c9,c10,c11,c12,c13,c14,c15,silent=silent
;
; A procedure in the S-table package in double precision
;   (Others are: rtab, wtab, wstab)
;
; This procedure will read an ASCII file organized as a table
; with up to 15 columns. The actual number of columns must be
; specified in the call e.g.
;
;              IDL> drstab,'mytable',x,y,z[,/silent]
;
; if 'mytable' contains 3 columns. 'rstab' will create the arrays
; with length equal to the number of rows in the table
;  Keyword 'silent' for silent i.e. no output to screen
;
; The lines that start with non-digit characters are interpreted as
; comment lines and will be displayed but skipped in
; the reading of the data
;
vb = 1
if keyword_set(silent) then vb = 0
nmax = 30000
n = n_params() - 1
if vb then print,'DRSTAB: ', n,' columns expected in '+filename
nc = n_columns(filename)
if n ne nc then begin
   print,'% RSTAB: ', nc,' columns found in file'
   stop
endif 
openr,lun,filename,/get_lun
c = dblarr(nmax,n)
x = dblarr(n)
s = ' '
i = 0
while not eof(lun) and i lt nmax do begin
  readf,lun,s
  st = strtrim(s,1) ; remove leading blanks
  if strlen(st) gt 0 then begin
     if( strpos('+-.0123456789',strmid(st,0,1)) lt 0 ) then begin
           if vb then print,s
     endif else begin
        reads,s,x
        for j = 0, n-1 do c(i,j) = x(j)
        i = i + 1
     endelse
   endif
endwhile
if vb then print,'Size of table = ',i
c = c(0:i-1,*)
c1 = c(*,0)
if( n gt 1 ) then c2 = c(*,1)
if( n gt 2 ) then c3 = c(*,2)
if( n gt 3 ) then c4 = c(*,3)
if( n gt 4 ) then c5 = c(*,4)
if( n gt 5 ) then c6 = c(*,5)
if( n gt 6 ) then c7 = c(*,6)
if( n gt 7 ) then c8 = c(*,7)
if( n gt 8 ) then c9 = c(*,8)
if( n gt 9 ) then c10 = c(*,9)
if( n gt 10 ) then c11 = c(*,10)
if( n gt 11 ) then c12 = c(*,11)
if( n gt 12 ) then c13 = c(*,12)
if( n gt 13 ) then c14 = c(*,13)
if( n gt 14 ) then c15 = c(*,14)
close,lun
free_lun,lun
end
