pro du_diff
;
;   Make an analysis of changes on disk /r6
;
;   Flag large changes from day to day
;
;   2005-11-08/NJW
;

szlim = 1024L
rellim = 0.5

list = file_search('/pool28/disk_usage*allr6',count=n)
list = list(sort(list))

for i = 0, n-1 do begin

   print,'  --- Checking '+list(i)

   d = comget( list(i), 'prepared', nval)
   if nval eq 1 then continue ; Skip if already prepared for rscol reading

   spawn,'t2s '+list(i)
   text = read_slist(list(i), count=ntext)
   for j = 0, ntext-1 do begin
      line = text(j)
      len = strlen(line)
      flagn = 1
      for k = 0, len-1 do begin
         c = strmid(line,k,1)
         if flagn then begin
            if is_digit(c) or c eq ' ' then continue else flagn = 0
         endif else begin
            if c eq ' ' then strput, line, '~', k
         endelse
      endfor
      text(j) = line
   endfor
   text = ['// prepared = 1', text]
   write_slist, list(i), text
   print,'       just updated '+list(i)
endfor

for i = 0, n-2 do begin

   rscol,list(i),sz0,1,/long,/sil
   rscol,list(i),id0,2,/str,/sil
   n0 = n_elements(sz0)
   rscol,list(i+1),sz1,1,/long,/sil
   rscol,list(i+1),id1,2,/str,/sil
   ; go through the list to find name match
   for j = 0, n0-1 do begin
      w = where( id0(j) eq id1, nw )
      if nw ne 1 then begin
         ; print,''''+id0(j)+''' found in '+list(i)+' but not in '+list(i+1)
      endif else begin
         k = w(0)
         if sz0(j) lt szlim and sz1(k) lt szlim then continue ; skip if size is small
         rel_change = (float(sz1(k)) - float(sz0(j))) / float(sz0(j))
         if rel_change gt rellim then begin
            print,''''+id0(j)+''' has grown by '+string(rel_change*100,format='(i5)')+' %'
            print,'    with size '+stri((sz1(k)-1)/1024 + 1)+' MB in '+list(i+1)
         endif
      endelse
   endfor
endfor

end
