pro dump_source, serial_no, reset=reset, flash=flash, nlc=nlc
;
;  Write a file with the contents of source from catalog
;
;  Define structure to hold all source information

common cat_com, cat, num_entries, dol_of_cat

source = {   sourcename:'', ra:0.0, dec:0.0, nh:0.0, intenscode:'', $
             spectrcode:'', intens:0.0, param1:0.0, param2:0.0, serial:0L, $
             refernce:0, catalog:'', category:'', inbook:0}

if n_params() ne 1 then begin
   print,'Syntax: dump_source, serial_no[,rest=][,flash=]'
   return
endif

dol_dsri_cat = '/home/njw/jsim/Catalogs/DSRI_CAT.fits[1]'
dol_dsri_cat_flux = '/home/njw/jsim/Catalogs/DSRI_CAT_FLUX.fits[1]'
dol_dsri_cat_ref = '/home/njw/jsim/Catalogs/DSRI_CAT_REF.fits[1]'
dol_dsri_cat_iden = '/home/njw/jsim/Catalogs/DSRI_CAT_IDEN.fits[1]'
dol_nlc_cat = '/r2/jemx/catalogs/nlcombined.fits[1]'

dol_sel_cat = dol_dsri_cat
if keyword_set(nlc) then dol_sel_cat = dol_nlc_cat

   ; Read the contents of 'DSRI_CAT.fits'
sz = size(cat)
if sz(0)+sz(1) eq 0 or keyword_set(reset) then read_catalog, dol_sel_cat, num_entries
   

serial = long(serial_no)

index = where( cat.serial eq serial, n_index)

if n_index ne 1 then begin
   print,'There are ', n_index,' sources matching serial number'
   return
endif

i = index(0)

if keyword_set(flash) then begin

   flash_src, cat(i), 0

endif else begin

   openw,lun,'src_no_'+strtrim(serial,2)+'.dat',/get_lun
   print
   print,'The output will be written to: ','src_no_'+strtrim(serial,2)+'.dat'
   print
   
   printf,lun,'//'
   printf,lun,'//       '+systime()
   printf,lun,'//'
   printf,lun,'// sourcename = ', cat(i).sourcename
   printf,lun,'// ra = ', cat(i).ra
   printf,lun,'// dec = ', cat(i).dec
   printf,lun,'// nh = ', cat(i).nh
   printf,lun,'// intenscode = ', cat(i).intenscode
   printf,lun,'// spectrcode = ', cat(i).spectrcode
   printf,lun,'// intens = ', cat(i).intens
   printf,lun,'// param1 = ', cat(i).param1
   printf,lun,'// param2 = ', cat(i).param2
   printf,lun,'// serial = ', cat(i).serial
   printf,lun,'// refernce = ', cat(i).refernce
   printf,lun,'// catalog = ', cat(i).catalog
   printf,lun,'// category = ', cat(i).category
   printf,lun,'// inbook = ', cat(i).inbook
   
   free_lun,lun
   
   print,'// sourcename = ', cat(i).sourcename
   print,'// ra = ', cat(i).ra
   print,'// dec = ', cat(i).dec
   print,'// nh = ', cat(i).nh
   print,'// intenscode = ', cat(i).intenscode
   print,'// spectrcode = ', cat(i).spectrcode
   print,'// intens = ', cat(i).intens
   print,'// param1 = ', cat(i).param1
   print,'// param2 = ', cat(i).param2
   print,'// serial = ', cat(i).serial
   print,'// refernce = ', cat(i).refernce
   print,'// catalog = ', cat(i).catalog
   print,'// category = ', cat(i).category
   print,'// inbook = ', cat(i).inbook

endelse
end
