function dupshift, x, m, n

; Same as 'shift' but instead of a cyclic shift the value at the
;   extreme pixel is duplicated 'n' times

np = n_params()
sz = size(x)
if np ne sz(0)+1 then begin
   print,'%DUPSHIFT error - bad number of arguments'
   return, x
endif

case np of
   2 : begin
         if m eq 0 then return, x
         d = n_elements(x)
         if abs(m) gt d then begin
            print,'%DUPSHIFT error - shift parameter too large'
            return, x
         endif

         r = shift(x,m)
         if m gt 0 then r(0:m-1) = x(0) else r(d+m:d-1) = x(d-1)
         return, r
       end
   3 : begin
         if m eq 0 and n eq 0 then return, x
         if abs(m) gt sz(1) then begin
            print,'%DUPSHIFT error - shift parameter #1 too large'
            return, x
         endif
         if abs(n) gt sz(2) then begin
            print,'%DUPSHIFT error - shift parameter #2 too large'
            return, x
         endif
         r = shift(x,m,n)
         if m ne 0 then begin
            d = sz(1)
            if m gt 0 then begin
               expand,x(0,*),m,sz(2),xx
               r(0:m-1,*) = xx
            endif else begin
               expand,x(d-1,*),-m,sz(2),xx
               r(d+m:d-1,*) = xx
            endelse
         endif

         if n ne 0 then begin
            d = sz(2)
            if n gt 0 then begin
               for i = 0, sz(1)-1 do r(i,0:n-1) = x(i,0)
            endif else begin
               for i = 0, sz(1)-1 do r(i,d+n:d-1) = x(i,d-1)
            endelse
         endif

         return, r
       end
   else : begin
            print,'%DUPSHIFT error - does not cover', np,' dimensions'
            return, x
          end
endcase
end

