pro ebm_get_all_idxmembers_swg, dol_of_swg, idx_name, $
               arr_file_extno, errmsg, count=count
;
; Get array of files with extension number of and idx member 
;
; Explanation:   *  signals a grouping table
;                #  signals a DS with no children
;
;            DOL_SWG_IDX*
;                   |
;                   +--- DOL_SWG(1)*
;                            |
;                            +--- DOL_XXX_IDX*
;                            |        |
;                            |        +--- DOL_XXX_MEM#
;                            |        +--- DOL_XXX_MEM#
;                            | 
;                            +--- DOL_YYY_IDX*
;                            |        |
;                            |        +--- DOL_YYY_MEM#
;                            |        +--- DOL_YYY_MEM#
;  Call:  

np = n_params()
if np lt 3 then begin
   print,'Syntax: ebm_get_all_idxmembers_swg, dol_of_swg, idx_name, $'
   print,'             arr_file_extno[, errmsg]'
   return
endif

; Open the monitor output file

openw,lun,'trace.out', /get_lun




printf,lun,'SWG : ',dol_of_swg

; Get number of children in the chosen SWG

errmsg = ''
ebm_get_num_children,dol_of_swg, n_children, errmsg
if errmsg ne '' then begin
   print,'##3## EBM_GET_NUM_CHILDREN error: ',errmsg
   return
endif

printf,lun,strtrim(n_children,2),' children in SWG: ', dol_of_swg

arr_file_extno = ''



if n_children gt 0 then begin




   ; Get DOLs of all children

   rdfitscol,dol_of_swg,memnam,2,hdr=hdr_swg,/silent
   rdfitscol,dol_of_swg,mempos,4,/silent
   rdfitscol,dol_of_swg,memloc,5,/silent


   ; 1) Search for IDX = 'idx_name'. Find the ones that refer to grouping tables

   res = where(strtrim(memnam,2) eq 'GROUPING', n_res)

   printf,lun,strtrim(n_res,2),' of these are of type ''GROUPING'''

   i = 0
   found = 0
   while i lt n_res and not found do begin

      ; Get the index table itself

      ebm_get_child, dol_of_swg, res(i)+1, child, errmsg
      if errmsg ne '' then begin
         print,'##3## EBM_GET_CHILD error: ',errmsg
         return
      endif

      printf,lun,'Child#', strtrim(res(i)+1,2),': ', child

      ebm_get_num_children, child, n_cand, errmsg, grpname=grpname
      if errmsg ne '' then begin
         print,'##3## EBM_GET_CHILD error: ',errmsg
         return
      endif


      printf,lun,'GRPNAME of '+child+' is '+grpname
      if grpname eq idx_name then found = 1
      if not found then i = i + 1
   endwhile

   if found then begin
      arr_file_extno = strarr(n_cand)
      count = n_cand

      for i = 1, n_cand do begin

         ebm_get_child, child, i, grandchild, errmsg
         if errmsg ne '' then begin
            print,'##3## GET_CHILD error: ', errmsg
            return
         endif
         if np ge 4 then errmsg = ''
         arr_file_extno(i-1) = grandchild
         print,'Found: '+grandchild
         printf,lun,'Found: '+grandchild
      endfor
   endif else begin
      print,'No such DS found'
      printf,lun,'No such DS found'
      if np ge 4 then errmsg = 'No such DS found'
      file_extno = '?'
      count = 0
   endelse



endif ; Terminate 'if there are any children'

free_lun,lun

end
   


