function eliminate, array, skip_array, count
;
;       2002-11-15/NJW
;
;  The function returns index array array without elements that appear in 'skip_array'
;  in an analoguous way to 'sort' and 'where'
;
if n_params() ne 3 then begin
   print,'Syntax: res = eliminate(array, skip_array,count)
   return,-1
endif

sa = size(array)
type_a = sa(sa(0)+1)
num_a = n_elements(array)

index = indgen(num_a)

ss = size(skip_array)
type_s = ss(ss(0)+1)

if type_a ne type_s then begin
   print,'Arguments not of same data type'
   return,-1
endif

i = 0
while i lt num_a do begin

   w = where(array(index(i)) eq skip_array, nw)
   if nw ge 1 then begin ; array(index(i)) is to be eliminated
      if i lt num_a-1 then begin
         for j = i, num_a-2 do begin
            index(j) = index(j+1)
         endfor
      endif
      num_a = num_a - 1
   endif else i = i + 1

endwhile

count = num_a

if count gt 0 then return, index(0:count-1) else return, -1

end
