pro exe_plot_extra, num=num
;
;  Execute extra indications on a plot
;
common add_pl_extra, id_number

sz = size(id_number)

if keyword_set(num) then begin
   id_number = num
endif else begin
   if sz(0)+sz(1) eq 0 then begin
      print,'Neither number in keyword nor in common, I give up!'
      return
   endif else begin
      num = id_number
   endelse
endelse

print,'The ID number asked for is '+stri(num)
filename = 'add_plot_extra_'+string(num,format='(i4.4)')+'.dat'
print,' and the file used is '+filename

openr,lun,filename,/get_lun

line = ' '
while not eof(lun) do begin

   readf,lun,line
   tok = strsplit(line,',',/extract)
   tk = strsplit(line,',')

   sel = -1
   if tok(0) eq 'p_polygon' then sel = 1
   if tok(0) eq 'p_arrow' then sel = 2
   if tok(0) eq 'p_text' then sel = 3

   case sel of
	1 : begin     ;  POLYGON
	    thick = fix(tok(1))
	    listy = fix(tok(2))
	    n = (n_elements(tok)-3)/2
	    w = 3 + indgen(n)*2
	    x = float(tok(w))
	    y = float(tok(w+1))
	    oplot,x,y,thick=thick,li=listy
	    end
	2 : begin     ; ARROW
	    hw = float(tok(1))
	    hl = float(tok(2))
	    w = [3,5]
	    x = float(tok(w))
	    y = float(tok(w+1))
	    draw_arrow,x(0),y(0),x(1),y(1),0,hw,hl
	    end
	3 : begin     ; TEXT
	    align = float(tok(1))
	    chsz = float(tok(2))
	    str = strmid(line,tk(5),999)
	    x = float(tok(3))
	    y = float(tok(4))
	    xyouts,x,y,str,align=align,charsize=chsz
	    end
       0 :
       else : begin
	       print,'Unknown plot element name, skip'
              end
   endcase

endwhile

free_lun, lun

end
