function extrboxbyt,im,p0,d
;
; Extract box around p0 : p0+-d/2 in image 'im'
; p0,d must be integer
; The box returned is in byte d(0) x d(1) if the box fits
; completely inside the image
;
sim = size(im)
if( sim(0) ne 2 ) then begin
   print,'Illegal number of dimensions in image ...'
   return,-1.
endif
sp0 = size(p0)
if( sp0(0) ne 1 ) then begin
   print,'Illegal number of dimensions in p0 ...'
   return,-1.
endif
if( sp0(1) ne 2 ) then begin
   print,'Illegal length of p0 ...'
   return,-1.
endif
if( sp0(2) ne 2 ) then begin
   print,'Illegal type of p0 ...'
   return,-1.
endif
sd = size(d)
if( sd(0) ne 1 ) then begin
   print,'Illegal number of dimensions in d ...'
   return,-1.
endif
if( sd(1) ne 2 ) then begin
   print,'Illegal length of d ...'
   return,-1.
endif
if( sd(2) ne 2 ) then begin
   print,'Illegal type of d ...'
   return,-1.
endif
;
i1 = intarr(2)
i2 = intarr(2)
for k = 0,1 do begin ; test for box completely inside image
   m1 = (d(k)-1)/2
   m2 = d(k)-m1-1
   i1(k) = p0(k) - m1
   i2(k) = p0(k) + m2
   if( i2(k) gt sim(1+k)-1 ) then begin
      print,'Box requested for coordinate',k,' too large ...'
      return,-1.
   endif
   if( i1(k) lt 0 ) then begin
      print,'Box requested for coordinate',k,' < 0 ...'
      return,-1.
   endif
endfor
;
;  Extract the box
;
w = bytarr(d(0),d(1))
w(*) = im(i1(0):i2(0), i1(1):i2(1))
print,'Corners x0,y0   x1,y1'
print,i1(0),i1(1),i2(0),i2(1)
return,w
end
