function extrboxc, im, p, d, corner
;
; Extract box around p : p+-d/2 in image 'im'
;
; The box returned is of same type as 'im' if the box fits
; completely inside the image
;
if( n_params() ne 4 ) then begin
   print,'%EXTRBOXC ERROR: m = extrboxc(im,p,d,corner)'
   return,-1.
endif
sim = size(im)
if( sim(0) ne 2 ) then begin
   print,'Illegal number of dimensions in image ...'
   return,-1.
endif
sp = size(p)
if( sp(0) ne 1 ) then begin
   print,'Illegal number of dimensions in p ...'
   return,-1.
endif
if( sp(1) ne 2 ) then begin
   print,'Illegal length of p ...'
   return,-1.
endif
sd = size(d)
if( sd(0) ne 1 ) then begin
   print,'Illegal number of dimensions in d ...'
   return,-1.
endif
if( sd(1) ne 2 ) then begin
   print,'Illegal length of d ...'
   return,-1.
endif
if( sim(1) lt d(0) ) then begin
   print,'Box too large in x direction ...'
   return,-1.
endif
if( sim(2) lt d(1) ) then begin
   print,'Box too large in y direction ...'
   return,-1.
endif
;
i1 = intarr(2)
i2 = intarr(2)
for k = 0,1 do begin ; test for box completely inside image
   m1 = (d(k)-1)/2
   m2 = d(k)-m1-1
   i1(k) = p(k) - m1
   i2(k) = p(k) + m2
   if( i2(k) gt sim(1+k)-1 ) then begin
      i1(k) = i1(k) - (i2(k) - (sim(1+k)-1))
      i2(k) = sim(1+k)-1
   endif
   if( i1(k) lt 0 ) then begin
      i2(k) = i2(k) - i1(k)
      i1(k) = 0
   endif
endfor
;
;  Extract the box
;
w = im(i1(0):i2(0), i1(1):i2(1))
; print,'Corners x0,y0   x1,y1'
; print,i1(0),i1(1),i2(0),i2(1)
corner = i1
return,w
end
