function fchi2,x
;
; Basic function for chi2 fitting with X-ray models
; The absorption column should be given in units of
; 1.e21 cm-2
;
if( n_elements(x) ne 3 ) then begin
   print,'fchi2 must be called with 3 element array'
   return,-1.
endif
;
common instrument, egrid, aqd, rmat
common observation, y, dy
common model, mtype
;
col = x(2) * 1.e21
ab = absorp(col, egrid) > 1.e-15
if( mtype eq 0 ) then fx=egrid^(-x(1)) else fx=exp(-egrid/x(1))/egrid
fx = x(0)*fx*ab
pha = (fx * aqd) # rmat
return,chi2(pha,y,dy)
end
