function fconvol, arr, fkernel
;
;  Convolution by Fourier (FFT) transform
;
;  2005-04-01/NJW
;
if n_params() lt 2 then begin
   print,'Syntax: res = fconvol(arr,fkernel)
   print,' where input array ''arr'' and transformed kernel ''fkernel'''
   print,' must have identical dimensions'
   return, -1
endif

sz = size(arr)
farr = fft(arr,-1)
return, float(fft(farr*fkernel,1))*sz(1)*sz(2)
end
