function fill_in, array, pos, value
;
; A function to fill in a new value at position 'pos'
; (start counting with zero) in the 1D array, that will
; be returned in expanded version
;
sz = size(array)
szv = size(value)
if sz(0) ne 1 then begin
   print,'FILL_IN: accepts only 1D arrays'
   retall
endif
if szv(0) ne 0 then begin
   print,'FILL_IN: accepts only scalars to be filled in'
   retall
endif
if szv(1) ne sz(2) then begin
   print,'FILL_IN: array and value have different types'
   retall
endif
n = sz(1)
if pos gt n then begin
   print,'FILL_IN: address too large'
   retall
endif
if pos eq n then return,[array,value]  ; simple append

awork = [array,value]
for i = n, pos+1, -1 do awork(i) = awork(i-1)
awork(pos) = value
return, awork
end
