function filter_done, done_list, list
;
;  Return a string array with strings from 'list' except
;  those that are found in 'done_list'
;
;  The functionality is parallel to the C-program "filter_done.c"
;
;   2003-09-09/NJW
;
if n_params() ne 2 then begin
   print,'Syntax: diff_list = filter_done(done_list, list)'
   return,-1
endif

sz = size(done_list)
if sz(sz(0)+1) ne 7 then begin
   print,'FILTER_DONE: 1. argument must be a string or string array'
   return,-1
endif
szl = size(list)
if szl(szl(0)+1) ne 7 then begin
   print,'FILTER_DONE: 2. argument must be a string or string array'
   return,-1
endif

; Step through 'list'

ndone_list = n_elements(done_list)
nlist = n_elements(list)

first = 1
outlist = ''
for i = 0L, nlist-1 do begin

   w = where( done_list eq list(i), nw )
   if nw eq 0 then begin
      if first then begin
         outlist = list(i)
         first = 0
      endif else begin
         outlist = [outlist, list(i)]
      endelse
   endif

endfor

return, outlist

end
