pro find_empty_fields, rev, swidarr, numarr
;
;  Order the SWIDs according to how many sources that are
;  found in the JEM-X FOV
;
;    2006-02-07/NJW
;
dolcat = '/r6/jemx/catalogs/gnrl_refr_cat_0024.fits+1'
rdfitscolc, dolcat, ra_obj,'ra_obj',nrows=nrows
rdfitscolc, dolcat, dec_obj,'dec_obj',/sil


base = '/r6/jemx/pointings/'

szrev = size(rev)
nrev = n_elements(rev)
if nrev eq 1 and szrev(1) ne 7 then begin
   revstr=string(rev,format='(i4.4)')
endif else begin
   revstr = '{'
   if szrev(1) eq 7 then begin
      revnums = str2arr(rev)
      nrevnums = n_elements(revnums)
      for i = 0, nrevnums-1 do begin
         revstr = revstr+string(revnums(i),format='(i4.4)')
         if i lt nrevnums-1 then revstr = revstr+',' else revstr = revstr+'}'
      endfor
   endif else begin
      for i = rev(0), rev(1) do begin
         revstr = revstr+string(i,format='(i4.4)')
         if i lt rev(1) then revstr = revstr+',' else revstr = revstr+'}'
      endfor
   endelse
endelse
print,'revstr = ', revstr
pf_list = file_search(base+'pointings_'+revstr+'p.dat',count=npf_list)

ntotal = 0
for ipf_list = 0, npf_list-1 do begin

   rscolm,pf_list(ipf_list),swid,1,/str,/sil,nrows=n
   rscolm,pf_list(ipf_list),ra,2,/sil
   rscolm,pf_list(ipf_list),dec,3,/sil
   ;* rscolm,pf_list(ipf_list),posangle,4,/sil
   ;* rscolm,pf_list(ipf_list),ut,5,/str,/sil
   ;* rscolm,pf_list(ipf_list),ijd,6,/sil
   ;* rscolm,pf_list(ipf_list),telapse,7,/sil
   rscolm,pf_list(ipf_list),mode1,8,/str,/sil
   ;* rscolm,pf_list(ipf_list),mode2,9,/str,/sil

   for j = 0, n-1 do begin
      if mode1(j) ne 'F' then continue
      dist = arcdist(ra_obj, dec_obj, ra(j), dec(j), /deg)
      w = where( dist lt 4, nw)
      if ntotal eq 0 then begin
         swidarr = swid(j)
         numarr  = nw
      endif else begin
         swidarr = [swidarr, swid(j)]
         numarr  = [numarr,  nw]
      endelse
      ntotal = ntotal + 1
   endfor


endfor



end
