function fit_stdparabola, x, y, xfit, yfit, sum=sum
;
;   Minimize S = sum((a + b*x^2 - y)^2)
;
;   NJW/2002-10-01
;
if n_params() lt 2 then begin
   print,'Syntax: res = fit_stdparabola(x,y[,xfit,yfit][,sum=])'
   return, -1
endif

a00 = float(n_elements(x))
x2 = x^2
x4 = x2^2
a01 = total(x2)
a10 = a01
a11 = total(x4)
det = a00*a11 - a01*a10
c0 = total(y)
c1 = total(y*x2)
deta = c0*a11 - c1*a01
detb = a00*c1 - c0*a10
a = deta/det
b = detb/det

res = [a,b]
sum = total((a + b*x2 - y)^2)

if n_params() gt 2 then begin
   yfit = a + b*xfit^2
endif

return, res

end