function fitplanew, im, use
;
;  This function makes a least square fit through the
;  2D array 'im' with non-zero elements in
;  array 'use' of same dimensionality as 'im'
;
;   2004-11-05/NJW
;
w0 = where(use eq 0)
w1 = where(use,nw1)
imf = im
imf(w0) = 0
sz = size(im)
nx = sz(1)
ny = sz(2)
x = findgen(nx)
y = findgen(ny)
u = fltarr(nx) + 1.0
v = fltarr(ny) + 1.0
xx = x # v
xxs = xx
yy = u # y
yys = yy
uu = u # v
xx(w0) = 0
yy(w0) = 0
uu(w0) = 0
arr = fltarr(3,3)
b = fltarr(3)
arr(0,0) = total(xx^2)
arr(1,0) = total(xx*yy)
arr(2,0) = total(xx)
arr(0,1) = arr(1,0)
arr(1,1) = total(yy^2)
arr(2,1) = total(yy)
arr(0,2) = arr(2,0)
arr(1,2) = arr(2,1)
arr(2,2) = nw1

b(0) = total(xx*imf)
b(1) = total(yy*imf)
b(2) = total(imf)
a = invert(arr) # b
return, a(0)*xxs + a(1)*yys + a(2)

end
