pro fits_catalog2table, dol_fits_catalog, text_file_name, small=small
;
;   2006-01-11/NJW
;
;   Make text table from source catalog in FITS format
;   This is primarily intended for printed versions
;   e.g. the JEMX source catalog publication
;
if n_params() ne 2 then begin
   print,'Syntax: fits_catalog2table, dol_fits_catalog, text_file_name[, /small]'
   return
endif

rdfitscol, dol_fits_catalog, name, 'name', nrows=nrows
rdfitscol, dol_fits_catalog, ra_obj, 'ra_obj'
rdfitscol, dol_fits_catalog, dec_obj, 'dec_obj'
rdfitscol, dol_fits_catalog, err_rad, 'err_rad'
rdfitscol, dol_fits_catalog, numfind, 'numfind'

; sort according to RA

is = sort(ra_obj)
name = name(is)
ra_obj = ra_obj(is)
dec_obj = dec_obj(is)
err_rad = err_rad(is)
numfind = numfind(is)

openw,lun,text_file_name,/get_lun

if keyword_set(small) then begin

   for i = 0, nrows-1 do begin
      line = '{\small '+name(i)+' }
      line = line + ' & {\small ' + string(ra_obj(i),format='(f8.3)') + ' }'
      line = line + ' & {\small ' + string(dec_obj(i),format='(f8.3)') + ' }'
      line = line + ' & {\small ' + string(60.*err_rad(i),format='(f6.2)') + ' }'
      line = line + ' & {\small ' + string(numfind(i),format='(i5)') + ' }'
      line = line + ' \\'
      ;* print, line
      printf, lun, line
   endfor

endif else begin

   for i = 0, nrows-1 do begin
      line = name(i)
      line = line + ' & ' + string(ra_obj(i),format='(f8.3)')
      line = line + ' & ' + string(dec_obj(i),format='(f8.3)')
      line = line + ' & ' + string(60.*err_rad(i),format='(f6.2)')
      line = line + ' & ' + string(numfind(i),format='(i5)')
      line = line + ' \\'
      ;* print, line
      printf, lun, line
   endfor

endelse

free_lun, lun
end
