pro fits_col_substitute, reposi_path, swid, simname, hipha=hipha,lopha=lopha
;
;   Specifically for replacing simulated data with real data (or the
;   other way round.
;
;    2001-?-?/NJW
;
if n_params() lt 3 then begin
   print,'Syntax: fits_col_substitute, reposi_path, swid, simname[,phipha=][,lopha=]'
   return
endif

revstr = strmid(swid,0,4)

hilim = 80
if keyword_set(hipha) then hilim = hipha

lolim = 20
if keyword_set(lopha) then lolim = lopha

for jemxnum = 1,2 do begin

   jstr = strtrim(jemxnum,2)
   jmxi = 'jmx'+jstr
   comp_extname = 'JMX'+jstr+'-FULL-RAW'

   input_dol = app_slash(reposi_path)+app_slash(swid)+ $
                  jmxi+'/raw/'+jmxi+'_raw.fits+2'

   print,'Get data from: ', input_dol

   get_exten_no, input_dol, input_file, extno_input_dol

   ; See if file exists at all

   ll = findfile(input_file, count=nll)
   if nll eq 0 then begin
      print,'Requested file: ', input_file,' does not exist'
      goto, endloop
   endif

   inhdr = headfits( input_file, exten=extno_input_dol )
   sz = size(inhdr)
   if sz(sz(0)+1) eq 7 then begin
      extname = fxpar(inhdr,'EXTNAME')
   endif else begin
      extname = 'XXXXXXXXXXXXX'
   endelse

   if extname ne comp_extname then begin
      print,'Skipped, EXTNAME = ', extname
      goto, endloop
   endif

   if jemxnum eq 1 then begin
      output_dol = '/r2/users/njw/RSIM1/'+revstr+'/'+simname+'/fcor1_000016.fits+1'
   endif else begin
      output_dol = '/r2/users/njw/RSIM1/'+revstr+'/'+simname+'/fcor2_000017.fits+1'
   endelse

;
;  Now ready for column substitution. Use C program 'fits_col_substitute'
;  from /home/njw/0cprog/fits_col_substitute.c
;
;  The interface file is /home/njw/jemx/analysis/fits_col_substitute.com
;

   if_file = '/home/njw/jemx/analysis/fits_col_substitute.com'
   n = comreplaces( if_file, 'dol_in', input_dol )
   if n ne 1 then begin
      print,'Problem writing dol_in to if_file'
      stop
   endif

   n = comreplaces( if_file, 'dol_out', output_dol )
   if n ne 1 then begin
      print,'Problem writing dol_out to if_file'
      stop
   endif


;   if nsel eq 0 then goto, endloop


;   if jemxnum eq 1 then begin
;      sel = where(  (rawx lt 28) or (rawx gt 46) or (rawy lt 189) or (rawy gt 204), nsel)
;   endif else begin
;      sel = indgen(nsel,/long)
;   endelse
     

   spawn,'fits_col_substitute '+if_file

   endloop:
endfor
end
