pro fits_keyw_show, ext_in, keyw1, keyw2, keyw3, keyw4
;
;   Show values of up to four keywords (each can be a string array)
;   from a FITS extension
;
;   2003-07-31/NJW
;
np = n_params()
if np lt 2 then begin
   print,'Syntax: fits_keyw_show, ext_in, keyw1, keyw2, ...'
   return
endif

get_exten_no, ext_in, file_in, next_in
hdr_in = headfits( file_in, exten=next_in )

; Loop over all requested keywords

nk = np - 1 ; Number of keyword parameters
keyw = [keyw1]

if nk gt 1 then keyw = [keyw, keyw2]
if nk gt 2 then keyw = [keyw, keyw3]
if nk gt 3 then keyw = [keyw, keyw4]

nkeys = n_elements(keyw)

for key = 1, nkeys do begin
   value = fxpar( hdr_in, keyw(key-1), comment=com, count=nfound )
   if nfound ne 1 then begin
      print,'Keyword '''+keyw(key-1)+''' not found in '+ext_in
   endif else begin
      sz = size(value)
      if sz(sz(0)+1) eq 7 then begin
         print,strupcase(keyw(key-1))+' = '''+value+''' / '+com
      endif else begin
         print,strupcase(keyw(key-1))+' = '+string(value)+' / '+com
      endelse
   endelse
endfor

end
