pro ft_image2phdu, name_in_extno, name_out, hdr

; Procedure to grab a FITS image extension 
; and write it as a primary HDU

if n_params() lt 2 then begin

   print,'Syntax: ft_image2phdu, name_in_extno, name_out'
   return

endif

get_exten_no, name_in_extno, name_in_name, extno


; Retrieve input image

im = readfits(name_in_name, hdr, exten_no=extno)

hdr(0) = 'SIMPLE  =                    T / Required keyword'
len = strlen(hdr(0))
while len lt 80 do begin
   hdr(0) = hdr(0)+' '
   len = strlen(hdr(0))
endwhile
fxwrite,name_out,hdr, im

end
