pro fxbaddrows, dol_or_filename, num_of_new_rows
;
;   Add new rows to FITS file with structure: PHDU+Binary table
;
;    2003-05-28/NJW
;
;   This is fulfilled in a not-so-elegant way by creating a new file
;   of final size and copying old values.
;

if n_params() lt 2 then begin
   print,'Syntax: fxbaddrows, dol_or_filename, num_of_new_rows'
   return
endif

;   Get the filename

get_exten_no, dol_or_filename, filename, extno

;  Open the old binary table

fxbopen, unit_in, filename, 1, hdr

;   Create temporary file with primary header

phdr = headfits(filename)
a = 1
writefits, 'x___x', a, phdr

;  Get number of rows, change number of rows,
;      and create the extension

nrows_old = fxpar(hdr,'NAXIS2')
nrows_new = nrows_old + num_of_new_rows
fxaddpar,hdr,'NAXIS2',nrows_new

fxbcreate, unit, 'x___x', hdr

;  Start copying all old values

num_cols = fxpar(hdr,'tfields')

for col = 1, num_cols do begin
	for row = 1L, nrows_old do begin
		fxbread, unit_in, data, col, row
		fxbwrite, unit, data, col, row
	endfor
endfor

fxbclose, unit_in
fxbfinish, unit

; Replace old file with the temporary file

spawn,'mv x___x '+filename

end
