pro fxbghostcpy, dol_or_filename, new_filename, num_of_new_rows
;
;   Copy headers of FITS file with structure: PHDU+Binary table
;   to new file
;
;    2005-03-03/NJW, cloned from fxbaddrows.pro
;

if n_params() lt 3 then begin
   print,'Syntax: fxbghostcpy, dol_or_filename, new_filename, num_of_new_rows'
   return
endif

;   Get the filename

get_exten_no, dol_or_filename, filename, extno

;  Open the old binary table to get the header

fxbopen, unit_in, filename, 1, hdr
fxbclose, unit_in

;   Create new file with primary header

phdr = headfits(filename)
a = 1
writefits, new_filename, a, phdr

;  Define the number of rows and create the extension

fxaddpar,hdr,'NAXIS2',num_of_new_rows

fxbcreate, unit, new_filename, hdr
fxbfinish, unit


end
