pro gentable, x, dx
;
;  Create the JEM-X energy table
;
;  Soren Brandt 2001-12-20
;
; IDL> gentable,xx,dx
; IDL> plot,xx,histogram(pha,min=0)/dx
;
if n_params() ne 2 then begin
   print,'Syntax: gentable, x, dx'
   return
endif

f1=indgen(32)*3
f2=indgen(5*16)*4 +96
f3=indgen(16)*5 +416
f4=indgen(32)*8+496
f5=indgen(32)*13+752
f6=indgen(32)*18+1168
f7=indgen(32)*64+1744
f7(31)=4095
x=[f1,f2,f3,f4,f5,f6,f7]
dx=x-shift(x,1)
dx(0)=3
dx(255)=64
dx=float(dx)



end
