pro get_arf, arg1, numsrc, e, arf
;
;  Get ARF (return in e and arf)
;  If arg1 is an integer then jmxi_srcl_arf.fits+1 is assumed
;  If arf1 is a string then it is assumed to be a filename
;
;  2003-06-13/NJW
;  2005-08-19/NJW update to also handle RMF-GRP files (get AXIS-ARF)
;

if n_params() lt 4 then begin
   print,'Syntax: get_arf, arg1, numsrc, >e, >arf'
   return
endif

sz = size(arg1)
type = sz(sz(0)+1)

if type eq 2 or type eq 3 then begin
   strj = stri(arg1)
   arffile = 'jmx'+strj+'_srcl_arf.fits'
endif else begin
   if type eq 7 then begin
      arffile = arg1
   endif else begin
      print,'arg1 has wrong type'
      return
   endelse
endelse

l = file_search(arffile,/test_regular,count=nl)

if nl ne 1 then begin
   print,'No action - file not found'
   return
endif

dolarf = arffile+'+1'
hdr = headfits(arffile,ext=1)
extname = fxpar(hdr,'EXTNAME')
if extname eq 'GROUPING' then extname = fxpar(hdr,'GRPNAME')
sname = strmid(extname,4,9)
if sname eq '-SRCL-ARF' then begin
   dolarf = arffile+'+1'
   print,'Getting ARF from JMXi-SRCL-ARF type'
   rdfitscol,dolarf,elo,'ENERG_LO',nrows=narf,/sil
   rdfitscol,dolarf,ehi,'ENERG_HI',/sil
   rdfitscol,dolarf,arf,'SPECRESP',/sil
   sz = size(arf)
   e = 0.5*(elo(*,0) + ehi(*,0))
   
   if sz(0) eq 1 then n_spectra = 1 else n_spectra = sz(2)
   
   if numsrc lt 1 or numsrc gt n_spectra then begin
      print,'requested source number does not exist'
      return
   endif

   arf = arf(*,numsrc-1)
endif else begin
   if sname eq '-RMF.-GRP' then begin
      dolarf = arffile+'+4'
      rdfitscol,dolarf,elo,'ENERG_LO',nrows=narf,/sil
      rdfitscol,dolarf,ehi,'ENERG_HI',/sil
      rdfitscol,dolarf,arf,'SPECRESP',/sil
      e = 0.5*(elo + ehi)
   endif else begin
      print,'Unsupported file type'
      e = -1
      arf = -1
      return
   endelse
endelse

print,'Returning '+extname+' type'

end

