pro get_chanminmax, ebs
;
;  A JEMX data analysis tool
;
;  Procedure to derive the PI values for given
;  energy boundaries
;
;  2005-01-07/NJW
;
fbdsdol = '/r6/jemx/ic/imod_grp/jmx1_imod_grp_0053.fits+19'
rdfitscol,fbdsdol,e_min,'E_MIN'
rdfitscol,fbdsdol,e_max,'E_MAX'

num_ebs = n_elements(ebs)
num_intv = num_ebs - 1

pilo = intarr(num_intv)
pihi = intarr(num_intv)

print,'numValues = ', num_intv

for i = 0, num_intv-1 do begin
   w = where( e_min gt ebs(i), nw )
   if nw eq 0 then begin
      print,'Out of boundaries'
      return
   endif
   pilo(i) = w(0)
   print,'   ',e_min(w(0)),' <-> ', w(0)
   w = where( e_max gt ebs(i+1), nw )
   if nw eq 0 then begin
      print,'Out of boundaries'
      return
   endif
   pihi(i) = w(0)
   print,'   ',e_max(w(0)),' <-> ', w(0)
endfor

print,'chanMin="',pilo,'"'
print,'chanMax="',pihi,'"'

end
