pro get_identifiers, serial, reset=reset
;
;  Find the identifiers for given serial# in DSRI_CAT_IDEN
;

common iden_com, serial_iden, identifier_iden, num_iden


np = n_params()
if np eq 0 then begin
   print,'Syntax: get_identifiers,<ser#>[,/reset]'
   return
endif

file_dsri_cat_iden = '/home/njw/jsim/Catalogs/DSRI_CAT_IDEN.fits[1]'


   ; Read the contents of 'DSRI_CAT_IDEN.fits'

sz = size(serial_iden)
if sz(0)+sz(1) eq 0 or keyword_set(reset) then begin  
   errmsg = ''
   rdfitscol,file_dsri_cat_iden,serial_iden,'SERIAL',err=errmsg
   rdfitscol,file_dsri_cat_iden,identifier_iden,'IDENTIFIER',err=errmsg
   if errmsg ne '' then print, errmsg
   num_iden = n_elements(serial_iden)
endif


selection = where( serial_iden eq serial, n_selection)

if n_selection gt 0 then begin

   print,'         i     index   serial#     name'

   for i = 0, n_selection-1 do begin

      print,i,selection(i),serial_iden(selection(i)),$
          identifier_iden(selection(i)),$
          format='(3i10,3x,40a)'
   endfor
endif else begin
   print,'No such serial# found in DSRI_CAT_IDEN'
endelse



end

