function get_next_filename, pattern
;
;   2003-02-05/NJW
;
;  For a pattern abcNNNNdefg.hijk where NNNN is a serial number
;  given as 'abc????defg.hijk' the name will be returned with
;  NNNN+1
;

if n_params() lt 1 then begin
   print,'Syntax: name = get_next_filename(''abd???defg.hij'')'
   return,''
endif

;  Special case of pattern: ./abcd?????efgh

if strmid(pattern,0,2) eq './' then patt = strmid(pattern,2,999) else patt = pattern

;  Analyze the pattern

qq = '?'
pos = strpos( patt, qq)
len = 0
repeat begin
   len = len + 1
   qq = qq+'?'
   p = strpos( patt, qq )
endrep until p ne pos

lenstr = strtrim(len,2)
fmt = '(i'+lenstr+'.'+lenstr+')'
sermax = 10L^len - 1L


lst = file_search(patt,/test_regular,count=nlst)

if nlst eq 0 then begin
   str = patt
   strput,str,string(0,format=fmt),pos
   return, str
endif

nmax = -1L
for i = 0, nlst-1 do begin
   ser_str = strmid(lst(i),pos,len)
   if is_digit(ser_str) then begin
      if long(ser_str) gt nmax then nmax = long(ser_str)
   endif
endfor
nmax = nmax + 1

if nmax ge sermax then begin
   print,'Warning from GET_NEXT_FILENAME, max serial number reached'
   nmax = sermax
endif

str = patt
strput,str,string(nmax,format=fmt),pos

return,str

end
