function get_pid, process, machine
;
; A function to return the PID number for a specified process
;
host = getenv('HOST')
if machine eq host then spawn,'top',list else $
      spawn,'rsh '+machine+' top',list
;* print,list

n = n_elements(list)

;   ... Analyze the response. After line with 'PID' as the first
;           three characters the CPU usage is
;           given for each process. They are summed up except
;           if they are running with 'nice' > 10

j = 0
beginning = ' '
while beginning ne 'PID' do begin
   list(j) = strtrim(strcompress(list(j)),1)
   beginning = strmid(list(j),0,3)
   j = j + 1
endwhile
;   ... get the column number for the COMMAND
tok = str_sep(list(j-1),' ')
poscommand = where(tok eq 'COMMAND',nposcommand)
poscommand = poscommand(0)

;  Go through processes to find the correct one

pid = -1
for i = j,n-2 do begin
   list(i) = strtrim(strcompress(list(i)),1)
   tok = str_sep(list(i),' ') ; Split into items
   command = tok(poscommand)
   if command eq process then pid = fix(tok(0))
endfor

return, pid

end
