function get_ppar_d, par_file, par_name, kw=kw

; A function to return a double value
;
;     1) given by the keyword value
;  or 2) as defined in a parameter file (S-format)
;  or 3) enquire the user
;
;  The user will be enquired if no keyword (kw) is given
;  OR if it is set to 'enquire'
;
;  Enquiries will result in new default values (the parameter
;      file is updated). If the value is given as keyword
;      no such update will take place
;
;  010125/NJW

if keyword_setx(kw) then begin
   sz = size(kw)
   if sz(1) eq 7 then begin
      case kw of
         'default' : begin
            val = double(comget(par_file,par_name,ierr))
            end
         'enquire' : begin
            val = double(get_par(par_file,par_name))
            end
         else : begin
            print,'Error in get_ppar_d - illegal type for keyword '
            return,-999.
            end
      endcase
   endif else begin
      if sz(1) lt 2 or sz(1) gt 5 then begin
         print,'Error in get_ppar_e - illegal type for keyword '
         return,-999.
      endif
      val = double(kw)
   endelse
endif else begin
   val = double(get_par(par_file,par_name))
endelse

return, val



end
