function get_ppar_s, par_file, par_name, kw=kw

; A function to return a string scalar
;
;     1) given by the keyword value
;  or 2) as defined in a parameter file (S-format)
;  or 3) enquire the user
;
;  The user will be enquired if no keyword (kw) is given
;  OR if it is set to 'enquire'
;
;  Enquiries will result in new default values (the parameter
;      file is updated). If the value is given as keyword
;      no such update will take place
;
;  010125/NJW

if keyword_setx(kw) then begin
   sz = size(kw)
   if sz(1) eq 7 then begin
      case kw of
         'default' : begin
            val = comgets(par_file,par_name,ierr)
            end
         'enquire' : begin
            val = get_pars(par_file,par_name)
            end
         else : begin
            return, kw
            end
      endcase
   endif else begin
      print,'Error in get_ppar_s - illegal type for keyword '
      return,'Illegal keyword'
   endelse
endif else begin
   val = get_pars(par_file,par_name)
endelse

return, val



end
