pro global_keychange_fits
;
;  Change or add new keyword to a number of FITS files
;
;   2004-03-24/NJW
;
;  The ftool 'fmodhead' is used
;
;  Does the change apply to all extensions in the FITS files?
;
;  If not, how are the target extensions defined ?
;
;  Get the keywords and their (new) values
;
;  Find the files to operate on
;
;  A bookkeeping over done and to-do files is kept
;

parfile = 'global_keychange_fits.par'
search_name = comgets(parfile,'file_search_string',m)
list = file_search(search_name,/test_reg,count=n_list)

; First check for string type keywords

keyword_s = comgets(parfile,'keyword_s', n_s)

if n_s gt 0 then begin
   type_s = intarr(n_s)
   ; 0: use extname, 1: use extnum, 2: work on all extensions
   extnum_s = comget(parfile,'extnum_s',n)
   extname_s = comgets(parfile,'extname_s',n)
   value_s = comgets(parfile,'value_s',n)
   comment_s = comgets(parfile,'comment_s',n)
   openw,lut,'tmpfil',/get_lun
   for i = 0, n_s-1 do begin
      printf,lut,keyword_s(i)+' = '''+value_s(i)+''' / '+comment_s(i)
      type_s(i) = 0
      if extnum_s(i) ge 0 then begin
         if extnum_s(i) eq 999 then begin
            type_s(i) = 2
         endif else begin
            type_s(i) = 1
         endelse
      endif
   endfor
   free_lun,lut
endif

;  Loop over all selected FITS files

for loop = 0, n_list-1 do begin
   map = map_fits_file(list(loop))  ;  'map' is a structure
   nexts = n_elements(map)

   for i = 0, n_s-1 do begin ; loop over keywords to update

      case type_s(i) of
           0 : begin     ; select by EXTNAME
                w = where( map.extname eq extname_s(i), nw)
   case type_s(
