pro gupdate, filename, new_version, comment

; Update a file in the ISSW with new version number

; make backup

spawn,'back '+filename

; Get the contents of the file

code = read_slist(filename)
n_code = n_elements(code)

; Identify the line containing 'Version of'

found = 0
i = 0
while not found and i lt n_code do begin
   pos = strpos( code(i), 'Version of')
   npos = pos + strlen('Version of')
   if pos gt -1 then found = 1 else i = i + 1
endwhile

if i eq n_code then begin
   print,'Sorry, ''Version'' line not found'
   print,'     no changes to ', filename
   return
endif

;- print,'Version in line ', i

pos = strpos(code(i),'.',npos) - 1
while is_digit(strmid(code(i),pos,1)) do pos = pos - 1

if pos eq -1 then begin
   print,'Sorry, no version number found in ''Version'' line'
   print,'     no changes to ', filename
   return
endif

newline = strmid(code(i),0,pos+1)+new_version

code(i) = newline
;- print,'New line: ', newline

; Continue to find 'Update history'

i = i + 1
found = 0
while not found and i lt n_code do begin
   pos = strpos( code(i), 'Update history')
   if pos gt -1 then found = 1 else i = i + 1
endwhile

if i eq n_code then begin
   print,'Sorry, ''Update history'' line not found'
   print,'     no changes to ', filename
   return
endif

;- print,'''Update history'' in line ', i

initial = strmid(code(i),0,1)

newline = initial+'                               '
newline = newline+new_version+'  '+date(2)+' '+comment

; Find first empty line
;  (if *.par file then look for '#')

i = i + 1
found = 0
while not found and i lt n_code do begin
   cs = strtrim(code(i),2)
   len = strlen( cs )
   if initial eq '#' then begin
      if cs eq '#' then found = 1 else i = i + 1
   endif else begin
      if len eq 0 then found = 1 else i = i + 1
   endelse
endwhile

;- print,'Add this line: ', newline

code = [code,'z']
code(i:*) = shift(code(i:*),1)
code(i) = newline
n_code = n_code + 1

; In the case of the main include file the COMPONENT_VERSION
; must also be updated

len = strlen(filename)
last = strmid(filename,len-2,2)
if last eq '.h' then begin

   found = 0
   i = i + 1
   while not found and i lt n_code do begin
      pos = strpos( code(i), 'COMPONENT_VERSION')
      npos = pos + strlen('COMPONENT_VERSION')
      if pos gt -1 then found = 1 else i = i + 1
   endwhile

   if i eq n_code then begin
      print,'Sorry, ''COMPONENT_VERSION'' line not found'
      print,'     no changes to ', filename
      return
   endif

   ;- print,'COMPONENT_VERSION in line ', i

   pos = strpos(code(i),'.',npos) 
   p1 = pos - 1
   while strmid(code(i),p1,1) ne '"' do p1 = p1 - 1
   p2 = pos + 1
   while strmid(code(i),p2,1) ne '"' do p2 = p2 + 1

   if pos eq -1 then begin
      print,'Sorry, no version number found in COMPONENT_VERSION line'
      print,'     no changes to ', filename
      return
   endif

   firstpart = strmid(code(i),0,p1+1)
   lastpart = strmid(code(i),p2,999)
   newline = firstpart+new_version+lastpart

   code(i) = newline
   ;- print,'New line: ', newline
endif

openw,lun,filename,/get_lun
for i = 0, n_code-1 do printf,lun,code(i)
free_lun,lun

return

end
