function gz_proxy_file, filename
;
;  Returns the name of the proxy file for a gzipped file
;  The original file is copied to /pool1 and unzipped
;
;     2006-02-02/NJW
;
if n_params() ne 1 then begin
   print,'Syntax: newfile = gz_proxy_file( filename )'
   return,''
endif

if not file_test(filename,/reg) then begin
   ;* print,'#2# did not find '+filename
   if file_test(filename+'.gz',/reg) then begin ; found in compressed format
      proxy_name = get_next_filename('/pool1/gz_proxy_??????.fits')
      spawn,'cp '+filename+'.gz '+proxy_name+'.gz'
      spawn,'gunzip '+proxy_name+'.gz'
      return, proxy_name
      ;* print,'#3# New filename = '+filename
   endif else begin
      print,'GZ_PROXY_FILE: Neither '+filename
      print,' nor '+filename+'.gz was found'
      return,''
   endelse
endif else return, filename  ; no change if file exists

end
