function hexagon_fill, im, xc, yc, radius, value
;
;
; Return image 'im' updated with hexagon with center (xc,yc) and
; radius 'radius' filled at intensity = 'value' if this argument is
; present else the maximum of 'im' is used.
;  the unit is one pixel
;
; The 'radius' is half the distance between parallel sides
;
na = n_params()
sz = size(im)
limx = sz(1) - 1
limy = sz(2) - 1
if na eq 5 then mm = value else mm = max(im)
jm = im
sq3 = sqrt(3.)
two_b = (2 * radius) / sq3
b = two_b / 2
for h = 0., two_b do begin
   if h lt b then x = xc + radius else x = xc + (two_b - h) * sq3
   y = h + yc
   xmir = 2*xc-x
   ymir = 2*yc-y
   x = x < limx
   xmir = xmir > 0
   y = y < limy
   ymir = ymir > 0
   jm(xmir:x, y) = mm
   jm(xmir:x, ymir) = mm
endfor
return,jm
end
