pro histplot,x,y,_extra=e
;
; Lin-lin plot of histogram where the channel limits are given
; rather than their centers.
;
;   ~ 1996 /NJW
;
if( n_params() ne 2 ) then begin
   print,'histplot, x, y[, (keywords)]'
   print,'Dim(x) must be one larger than dim(y)'
   return
endif
nx = n_elements(x)
if( nx ne n_elements(y)+1 ) then begin
  print,'dim(x) must be one larger than dim(y)'
  return
endif
nxx = 2 + 2*(nx-2)
xx = fltarr(nxx)
yy = xx
for i = 1, nx-2 do begin
   xx(2*i-1) = x(i)
   xx(2*i) = x(i)
   yy(2*i-1) = y(i-1)
   yy(2*i) = y(i)
endfor
xx(0) = x(0)
yy(0) = y(0)
xx(nxx-1) = x(nx-1)
yy(nxx-1) = y(nx-2)
plot,xx,yy,_extra=e
end
