pro histplotg, x, y, y0, _extra=e,col=col
;
; Plot a grey histogram
;
; Call :    x    array with x values
;           y    array with y values
;           y0   scalar with lower boundary
;
; Define bin limits
;
n  = n_elements(x)
i  = indgen(2*n)/2
yy = y(i)
xx = 0.5*(x+shift(x,1))
xx = shift(xx(i), -1)
xx(0) = xx(1) - (x(1)-x(0)) 
xx(2*n-1) = xx(2*n-2) + (x(n-1)-x(n-2)) 
xx = [xx(0),xx,xx(2*n-1)]
yy = [y0,yy,y0]
plot,xx,yy,_extra=e,/nodata
if not keyword_set(col) then col = 100
polyfill,xx,yy,color=col
; Make sure that the replotting of the axes appear in the same pane
if !p.multi(2) ne 0 then !p.multi(0) = !p.multi(0)+1
plot,xx,yy,_extra=e,/nodata,/noerase
if !p.multi(2) ne 0 then !p.multi(0) = !p.multi(0)-1
end
