function hpd, im, rmax=rmax, verb=verb, edge=edge, smo=smo

; Return the diameter inside which half of the counts can be found
; The keyword 'rmax' can be used to set a limit
; The keyword 'verb' (verbose) to see the process
; The keyword 'edge' to exclude the edge from the centroide finding
; The keyword 'smo'  to smooth the projection for the centroide

v = 0
if keyword_set(verb) then v = 1
sz = size(im)
m = 1. * im
xm = total(m,2)
ym = total(m,1)
if keyword_set(edge) then lim = edge else lim = 0
if keyword_set(smo) then so = smo else so = 0
x = centroide(xm(lim:sz(1)-1-lim),smo=so) + lim
y = centroide(ym(lim:sz(2)-1-lim),smo=so) + lim
if v then print,'Centroide : ', x, y
d = distances(sz(1),sz(2),x,y)
if keyword_set(rmax) then begin
   j = where(d le rmax)
   t = total(m(j)) / 2
   i2 = rmax
endif else begin
   t = total(m) / 2
   i2 = max(d)
endelse
i1 = 1.

; Now do the binary search

iter = 0
while i2 gt i1+0.002 and iter lt 50 do begin
   i = (i1+i2)/2
   is = where(d lt i)
   tt = total(m(is))
   if v then print,'iter# -- i  sum goal = ', iter, i, tt, t
   if( tt gt t ) then i2=i else i1=i
   iter = iter + 1
endwhile
if v then print,'HPD = ', i1 + i2, ' pixels'
return,i1+i2
end
