function hpw,im, threshold
;
; Return HPW for peak in 'im' where the centroid is defined in region
; above 'threshold'
;
;  Updated 010313/NJW
;

if n_params() lt 1 then begin
   print,'Syntax: res = hpw(im [,threshold])'
   return,-1.
endif

b = im*0
if n_params() lt 2 then b = b + 1 else b(where(im ge threshold)) = 1

sz = size(im)
step = (max(sz(1:2)) / 100.) > 1.0
nstep = fix(max(sz(1:2)) / step)
print,'Number of steps used is ', nstep
p = psf(im, nstep, r, area, eec, b=b, /silent)
eec = eec / max(eec)
return,interpol(2.*r,eec,0.5)
end
