; Loading color table 12
loadct,12
; conversion factor: Pixels -> Arcminutes
; 931120: Using slope: 8.22222 steps/channel (see p. 117 in log), and 
;                      0.015 mm/step => 0.123 mm/channel
; (and since 8000 mm focaldist gives that 1arcmin corresponds to
; 2.32711 mm in focalplane, we have):
;                                    => 0.05286 arcmin/channel
; calibration with mask yields 1 pixel = 0.1152 mm =>
; 0.0495  arcmin/pixel !!!
pixtomin=0.0495
; initializing arrays etc.
!p.title=''
!p.thick=1.5
head=strarr(14)
data= fltarr(2,2048)
sum =fltarr(2048)
rd=fltarr(1024)
par=fltarr(6)
w=fltarr(2048)
im=fltarr(512,512)
intensity=fltarr(512)
peakpos=fltarr(512)
fwhmax=fltarr(512)
hpwitdh=fltarr(512)

directory='/pool/darecrew/dat.931125/'
lendir = strlen(directory)
name=findfile(directory+'*.vac')
num=fix(strmid(name,lendir+3,4))
print,num
print,'fmin,fmax ?'
read,fmin,fmax
; print,'norm. intensity,pinhole pos ?'
; read,normin,pinhole
normin = 1.
pinhole = 1003
; put index to the data-file numbers, we want to see
index=where(num ge fmin and num le fmax and num ne 666 and num ne 667$
and num ne 668)
print,index
si=size(index)
;
; Run through files 
for i=0,si(1)-1 do begin
   close,1
   openr,1,name(index(i))
   print,name(index(i))
   readf,1,head
   readf,1,data
   sum=sum+data(1,*)
; fill data in image 
   temp=transpose(data(1,*))
   x=indgen(2048)

   if total(temp) gt 100 then begin
      cent=total(x*temp)/total(temp)
      var=total((cent-x)^2*temp)/total(temp)
      var=sqrt(var)
      par(0)= temp(pinhole) ;temp(cent)
      par(1)= pinhole ;cent
      par(2)= 40 ;var
      w(*)=1
;      tempfit=curvefit(x,temp,w,par)
      intensity(i)=total(temp)
;      peakpos(i)=par(1)
       peakpos(i)=centroide(temp,0)
;      fwhmax(i)=par(2)*2.35*pixtomin
       fwhmax(i) = w50(findgen(n_elements(temp)),temp)
   endif

   im(i,*)=rebin(temp,512)
endfor
; end loop through files
;
if !d.name eq 'PS' then begin
   device,/portrait
   device,xsize=17.,ysize=25.,xoffset=1.5,yoffset=2.
   device,filename='plot1.ps'
endif else begin
   window,0
endelse
!p.multi=[0,1,2]
plot,sum,xtitle='Channels',ytitle='Counts',$
   title=strmid(name(index(0)),lendir+3,8)+$
   ' - '+strmid(name(index(si(1)-1)),lendir+3,8)+'  '+systime()
x=indgen(2048)
cent=total(x*sum)/total(sum)
var=total((cent-x)^2*sum)/total(sum)
var=sqrt(var)
print,cent,var
fwhm=var*2.35*pixtomin
print,fwhm
par(0)=sum(pinhole);sum(cent)
par(1)=pinhole;cent
par(2)=40;var
w(*)=1
; sumfit=curvefit(x,sum,w,par)
par(1) = centroide(sum,0)
par(2) = w50(x,sum)/2.355
print,par
; oplot,sumfit,color=150
; xyouts,par(1)/3,par(0)/2, 'FWHM='+string(par(2)*pixtomin*2.35) +' arcmin'
; xyouts,par(1)/3,par(0)/4,'CENTROID='+string(par(1))
cent=par(1)
;print,par,cent
rmax=min([2048-cent,cent])
;print,cent,rmax
for r=1,rmax -1 do begin
rd(r)=total(sum(cent:cent+r))+total(sum(cent-r:cent-1))
endfor
rd=rd/rd(rmax-1)
plot,2*indgen(rmax)*pixtomin,rd(0:rmax-1),xtitle='Width [arcmin]'
;
; calculating half power diameter in arcmin's
;
hpw=interpol(indgen(rmax),rd(0:rmax-1),0.5)*2*pixtomin
; calculating 90% diameter in arcmin's
hpt=interpol(indgen(rmax),rd(0:rmax-1),0.9)*2*pixtomin
;
oplot,[hpw,hpw],[0,0.5],color=50
xyouts,hpw,0.2,'HPD='+string(hpw)
oplot,[hpt,hpt],[0,0.9],color=50
xyouts,hpt,0.6,'HPT='+string(hpt)
if !d.name eq 'PS' then begin
   device,/close
   device,filename='plot2.ps'
endif else begin
   window,1
endelse
!p.multi=[0,1,3]
ind=where(intensity gt 500)
plot,ind,intensity(ind)/normin,psym=2,ytitle='Efficiency',$
   title=strmid(name(index(0)),lendir+3,8)+$
   ' - '+strmid(name(index(si(1)-1)),lendir+3,8)+'  '+systime()
plot,ind,(peakpos(ind)-pinhole)*pixtomin,psym=2,ytitle='Centroids [arcmin]'
plot,ind,fwhmax(ind)>0,psym=2,ytitle='FWHM[arcmin]',xtitle='Azimuth'
!p.multi=0
if !d.name eq 'PS' then begin
   device,/close
   spawn,'lpr -Plw2 plot1.ps'
   spawn,'lpr -Plw2 plot2.ps'
endif
end
