function inflate, arr, dim1, dim2
;
;   Returns the inflated array (all odd dimensions)
;   padded to dimensions (dim1,dim2)
;
;   2005-04-06/NJW
;
if n_params() lt 3 then begin
   print,'Syntax: res = inflate( arr, dim1, dim2 )
   return, -1
endif

sz = size(arr)
if sz(0) ne 2 then begin
   print,'INFLATE: First argument (arr) must be 2D'
   return,-1
endif

if sz(1)*sz(2) mod 2 ne 1 then begin
   print,'INFLATE: Input array dimensions must be odd'
   return,-1
endif

if dim1*dim2 mod 2 ne 1 then begin
   print,'INFLATE: Output array dimensions must be odd'
   return,-1
endif

m1 = (sz(1)-1)/2
m2 = (sz(2)-1)/2
d1 = (dim1-1)/2
d2 = (dim2-1)/2
a = replicate(arr(0,0)*0,dim1, dim2)
a(d1-m1:d1+m1,d2-m2:d2+m2) = arr

return, a

end
