function intersect, p1, p2, q1, q2, point=point
;
;  Calculate the intersection points of the two lines
;  1) from p1 to p2 and 2) from q1 to q2
;
;  Each point is a 2-element array (x,y)
;
;  p1(0) + t*(p2(0)-p1(0)) = q1(0) + s*(q2(0)-q1(0))
;  p1(1) + t*(p2(1)-p1(1)) = q1(1) + s*(q2(1)-q1(1))
;
;  are solved for t and s. If their values are between 0 and 1 then
;  there is an intersection
;

matrix = [[p2(0)-p1(0),p2(1)-p1(1)],[-q2(0)+q1(0),-q2(1)+q1(1)]]
rhs = [q1(0)-p1(0), q1(1)-p1(1)]

solution = invert(matrix) # rhs

t = solution(0)
s = solution(1)

point = [p1(0)+t*(p2(0)-p1(0)), p1(1)+t*(p2(1)-p1(1))]

if t ge 0.0 and t le 1.0 and s ge 0.0 and s le 1.0 then return, 1 else return, 0

end

