function is_digit, str
;
;  Return 1 if string 'str' is composed only of digits: 0123456789
;  Return 0 otherwise
;
;  Note that an empty string ('') is not considered as a digit
;
;  ca. 2003-06-15/NJW
;
sz = size(str)
if sz(sz(0)+1) ne 7 then begin
   print,'IS_DIGIT error, non-string argument'
   return, 0
endif

n = n_elements(str)

for j = 0, n-1 do begin

   st = str(j)
   len = strlen(st)
   if len eq 0 then return, 0

   for i = 0, len-1 do begin
      pos = strpos('0123456789',strmid(st,i,1))
      if pos lt 0 then return, 0
   endfor

endfor

return, 1

end
