function is_tetragon_convex, coords
;
;  Decide if given tetragon is convex
;
;   the corners 'coords' is a 2x4 array
;
;   2004-08-13/NJW
;
;  Remove an apex one-by-one and see if outside
;  remaining triangle - if true for all four then
;  it is convex
;
idx = indgen(4)

for i = 0,3 do begin
   point = coords(*,i)
   w = where( idx ne i )
   tri = coords(*,w)
   if inside_triangle(point,tri) then return,0
endfor
return,1
end
