pro add_energy_col, revstr
;
;  Add energy column to lin6/data/ archive
;
;  2005-08-04/NJW
;
if n_params() lt 1 then begin
   print,'Syntax: add_energy_column, revstr'
   return
endif

; Get PI channel data

rdfitscolc,'/r6/jemx/ic/imod_grp/JMX1-FBDS-MOD_001.fits+1',e_min,'E_MIN',/sil
rdfitscolc,'/r6/jemx/ic/imod_grp/JMX1-FBDS-MOD_001.fits+1',e_max,'E_MAX',/sil

path1 = '/nfs/lin6'
if 'lin6' eq getenv('HOST') then path1 = ''

list = file_search(path1+'/data/arc/rev_2/scw/'+revstr+'/*/jmx?_events5.fits',count=nlist)
if nlist eq 0 then begin
   print,'No events5 files found'
   return
endif

for i = 0, nlist-1 do begin
   print
   print,'Updating '+list(i)
   fxbopen,unit,list(i),1,access='r'
   errmsg = ''
   if fxbcolnum(unit,'ENERGY',errmsg=errmsg) gt 0 then begin ; skip if already exists
      print,'Skip! - ENERGY column already there'
      fxbclose,unit
      continue
   endif
   fxbclose,unit
   rdfitscol,list(i)+'+1',pi,'PI',nrows=nrows
   r = randomu(seed,nrows)
   ener = e_min(pi) + r*(e_max(pi) - e_min(pi))
   print,'Writing energy FITS file'
   wrmfitscols,'ener.fits','ENERGY',ener
   spawn,'faddcol '+list(i)+'+1 ener.fits+1 ENERGY'
   spawn,'/bin/rm ener.fits'

endfor

end
