pro j_cor2raw, corx, cory, rawx, rawy, njmx
;
;   Procedure to get raw positions from corrected ones
;
;   2003-04-17/NJW original version
;   2004-08-19/NJW This 'procedure' version
;   
;------------

common cor_matrices, njmx_com, acorx, acory

if n_params() lt 5 then begin
   print,'Syntax: j_cor2raw, corx, cory, rawx, rawy, njmx'
   return
endif

sz = size(njmx_com)
reread = 0
if sz(0)+sz(1) eq 0 then reread = 1 else $
   if njmx ne njmx_com then reread = 1

if reread then begin
   print,'Reading correction matrices ...'
   if njmx eq 1 then begin
      acorx = readfits('/home/njw/jemx/imod_grp/jmx1_imod_grp_0042.fits',ext=22)
      acory = readfits('/home/njw/jemx/imod_grp/jmx1_imod_grp_0042.fits',ext=23)
   endif else begin
      acorx = readfits('/home/njw/jemx/imod_grp/jmx2_imod_grp_0042.fits',ext=22)
      acory = readfits('/home/njw/jemx/imod_grp/jmx2_imod_grp_0042.fits',ext=23)
   endelse
   njmx_com = njmx
endif

;   Define outline of squares

dx1 = [-1,0,1,1,1,0,-1,-1]
dy1 = [-1,-1,-1,0,1,1,1,0]
dx2 = [-2,-1,0,1,2,2,2,2,2,1,0,-1,-2,-2,-2,-2]
dy2 = [-2,-2,-2,-2,-2,-1,0,1,2,2,2,2,2,1,0,-1]
dx3 = [-3,-2,-1,0,1,2,3,3,3,3,3,3,3,2,1,0,-1,-2,-3,-3,-3,-3,-3,-3]
dy3 = [-3,-3,-3,-3,-3,-3,-3,-2,-1,0,1,2,3,3,3,3,3,3,3,2,1,0,-1,-2]

;  approximate result

rx0 = fix(corx + 127)
ry0 = fix(cory + 124)
rx = rx0
ry = ry0

found = 0
if abs(corx - acorx(rx,ry)) lt 1.e-4 $
       and abs(cory - acory(rx,ry)) lt 1.e-4 then begin
   found = 1
endif else begin ; search inner circle
   for i = 0, 7 do begin
      rx = rx0 + dx1(i)
      ry = ry0 + dy1(i)
      if 0 le rx and rx le 255 and 0 le ry and ry le 255 then begin
         if abs(corx - acorx(rx,ry)) lt 1.e-4 $
                  and abs(cory - acory(rx,ry)) lt 1.e-4 then begin
            found = 1
            break
         endif
      endif
   endfor
endelse

if not found then begin
   for i = 0, 15 do begin
      rx = rx0 + dx2(i)
      ry = ry0 + dy2(i)
      if 0 le rx and rx le 255 and 0 le ry and ry le 255 then begin
         if abs(corx - acorx(rx,ry)) lt 1.e-4 $
                     and abs(cory - acory(rx,ry)) lt 1.e-4 then begin
            found = 1
            break
         endif
      endif
   endfor
endif


if not found then begin
   for i = 0, 23 do begin
      rx = rx0 + dx3(i)
      ry = ry0 + dy3(i)
      if 0 le rx and rx le 255 and 0 le ry and ry le 255 then begin
         if abs(corx - acorx(rx,ry)) lt 1.e-4 $
                     and abs(cory - acory(rx,ry)) lt 1.e-4 then begin
            found = 1
            break
         endif
      endif
   endfor
endif

if found then begin
   rawx = rx
   rawy = ry
endif else begin
   rawx = 255
   rawy = 255
endelse


end
