pro j_get_pos_in_rsti, ra_scx, dec_scx, roll, ra_src, dec_src, x_rsti, y_rsti, jmx=jmx
;
;   Procedure to get the source position in the RSTI image when
;   the celestial source position is known as well as the satellite
;   pointing and roll
;
;    NJW/2002-08-07
;
if n_params() ne 7 then begin
   print,'Syntax: j_get_pos_in_rsti, ra_scx, dec_scx, roll, ra_src, dec_src, >x_rsti, >y_rsti'
   print,'  keyword ''jmx'' should be 1 or 2 (1 is default)'
   retall
endif

rdam = (60. * 180.) / !pi

jconv_coord, ra_scx, dec_scx, roll, ra_src, dec_src, cosy_src, cosz_src, /to_sc

p = cosy_src * rdam
q = cosz_src * rdam
if keyword_set(jmx) then begin
   if jmx eq 2 then begin
      p = -p
      q = -q
   endif
endif
j_pos_conv, p, q, to='recon'

x_rsti = p
y_rsti = q

end
