pro j_image_smcut, image_fits_extno, result_fits
;
;  Get image, smooth and cut for nice presentation
;

if n_params() lt 1 then begin
   print,'Syntax: j_image_smcut, image_fits_extno[, result_fits]'
   return
endif

get_exten_no, image_fits_extno, image_fits, extno

result_file = 'j_image_smcut.fits'
if n_params() gt 1 then result_file = result_fits

print,'Going to put result in: ',result_file

im = readfits(image_fits,hdr,ext=extno)

fxaddpar, hdr, 'IMORIGIN', image_fits_extno

ims = smooth(im,3,/edge) > 0
imsd = congrid(ims,400,400)

window,0,xs=400,ys=400,xp=800

tvscl,congrid(ims,400,400)

m = max(ims)

f = 0.5
step = 0.1

answer = ''
repeat begin

   print,'Display with f = ', f
   tvscl,imsd<(f*m)
   read,'up (u), down (d), change step (s) or quit (q) ? ... ', answer
   case answer of

    'd': begin
      if f gt step then begin
         f = f - step
      endif else begin
         print,'Not possible f < step'
      endelse
         end

     'u': begin
      if f lt 1 - step then begin
         f = f + step
      endif else begin
         print,'Not possible f > 1 - step'
      endelse
        end

      's': begin
         print,'Old step size is ', step
         read,'Enter new step : ... ', step
           end
      else: goto, final_result

    endcase


endrep until (0)

final_result:

resim = ims<(f*m)

writefits, result_file, resim, hdr

end
