pro j_pos_conv, p,q, to=to
;
; Procedure for converting positions between source_list.fits
; coordinates (arcminutes in satellite coordinates)
; to positions in the reconstructed image and vice versa
;
;     NJW/some time 1998 ?
;      Updated 2002-08-07
;

if n_params() ne 2 then begin  ; Wrong number of arguments
   print,'Syntax: j_pos_conv, coord1, coord2, to='
   print,'   Keyword ''to'' can be ''recon'' or anything else'
   print,'   The result is returned in coord1 and coord2'
   retall
endif

k = 0.58

if keyword_set(to) then begin
   if to eq 'recon' then begin
      i = k*(p - q/sqrt(3))/2 + 153
      j = k * q / sqrt(3) + 153
      p = i
      q = j
   endif else begin
      x = 0.966*(2.*(p-153)+q-153)/k
      y = 0.966*sqrt(3)*(q-153)/k
      ;  The correction factor has been introduced 2000-03-02/NJW
      p = x
      q = y
   endelse
   return
endif else begin
   print,'%POS_CONV error - keyword ''to'' must be given'
   retall
endelse

end
