function j_src_on_det, jemxnum, ra_scx, dec_scx, roll, ra_src, dec_src
;
;   Function to return the detector area illuminated by
;   a source
;
;    2005-11-21/NJW
;
if n_params() lt 6 then begin
   print,'Syntax: j_src_on_det, jemxnum, ra_scx, dec_scx, roll, ra_src, dec_src'
   return,-1
endif

if jemxnum ne 1 and jemxnum ne 2 then begin
   print,'jemxnum must be 1 or 2'
   return,-1
endif

jconv_coord, ra_scx, dec_scx, roll, ra_src, dec_src, $
  cosy_src, cosz_src, /to_sc

; Detector center

xdc = 127.
ydc = 125.

; Projected mask center

xmc = xdc + (2*jemxnum-3) * cosy_src * 3401.
ymc = ydc + (2*jemxnum-3) * cosz_src * 3401.

print,xmc,ymc

m = intarr(256,256) + 1

d1 = distances(256,256, xdc, ydc)
w = where( d1 ge 125 )

m(w) = 0

d1 = distances(256,256, xmc, ymc)
w = where( d1 ge 267.5, nw )

if nw gt 0 then m(w) = 0

return, m

end
