pro jconv_roll2axes, ra_scx, dec_scx, roll, ra_scz, dec_scz
;
; Procedure to get the spacecraft z-axis when roll is given
;
;   000726/NJW   This version: 2002-06-06/NJW
;
; At input: all angles are given in degrees
;

if n_params() lt 5 then begin
   print,'Syntax: jconv_roll2axes, ra_scx, dec_scx, roll, ra_scz, dec_scz'
   return
endif


dr = !pi / 180  ; degrees to radians

ra_scx_rad = ra_scx * dr
dec_scx_rad = dec_scx * dr
roll_rad = roll * dr

; Pointing direction: x-axis

; RA and Dec of two other axes: y and z

ra_scy_rad = ra_scx_rad - atan(-cos(roll_rad), -sin(dec_scx_rad)*sin(roll_rad))
if ra_scy_rad lt 0. then ra_scy_rad = ra_scy_rad + 2*!pi

dec_scy_rad = asin(cos(dec_scx_rad)*sin(roll_rad))

ra_scz_rad = ra_scx_rad - atan(sin(roll_rad), -sin(dec_scx_rad)*cos(roll_rad))
if ra_scz_rad lt 0. then ra_scz_rad = ra_scz_rad + 2*!pi
dec_scz_rad = -asin(-cos(dec_scx_rad)*cos(roll_rad))

ra_scz = ra_scz_rad / dr
dec_scz = dec_scz_rad / dr


end
