function lin_reg,x,y,yfit
;
; Ordinary linear regression -> input x array
;                                     y array
;                            <- return [a,b]  yfit = a * x + b
;
nx = n_elements(x)
ny = n_elements(y)
if( nx ne ny) then begin
   print,'Arrays have unequal length ...'
   return,-1.
endif
sx = total(x)
sy = total(y)
sx2 = total(x*x)
sxy = total(x*y)
d = nx * sx2 - sx * sx
da = nx * sxy - sx * sy
db = sy * sx2 - sx * sxy
if( d eq 0.0 ) then begin
   print,'No solution - determinant is zero ...'
   return,-1.
endif
a = da / d
b = db / d
yfit = a * x + b
return,[a,b]
end
