function line,im,p1,p2,intens=intens
;
; Return image 'im' updated with line from p1 to p2 at maximum
; intensity already in image if keyword 'int' is not set
;
if keyword_set(intens) then begin
   mm = intens
endif else begin
   mm = max(im)
endelse
dx = p2(0) - p1(0)
dy = p2(1) - p1(1)
if( abs(dx) + abs(dy) eq 0 ) then return,im
if( abs(dx) ge abs(dy) ) then begin       ; step along x
   if( dx lt 0 ) then begin  ; swap p1 and p2
      swap = p1(0)
      p1(0) = p2(0)
      p2(0) = swap
      swap = p1(1)
      p1(1) = p2(1)
      p2(1) = swap
      dx = -dx
      dy = -dy
   endif
   for x = p1(0),p2(0) do begin
      y = p1(1) + dy*(x-p1(0))/dx
      im(x,y) = mm
   endfor
endif else begin                          ; step along y
   if( dy lt 0 ) then begin  ; swap p1 and p2
      swap = p1(0)
      p1(0) = p2(0)
      p2(0) = swap
      swap = p1(1)
      p1(1) = p2(1)
      p2(1) = swap
      dx = -dx
      dy = -dy
   endif
   for y = p1(1),p2(1) do begin
      x = p1(0) + dx*(y-p1(1))/dy
      im(x,y) = mm
   endfor
endelse
return,im
end
