function line_thru_2p, p1, p2
;
; Returns the coefficients a,b,c in an array
; so that the line through p1 and p2 is represented by
;
;   ax + by = c
;
;  p1 and p2 are 2-element arrays
;
; Can be used in connection with 'crosspoint(line1,line2)'

res = fltarr(3)
res(0) = p1(1) - p2(1)
res(1) = p2(0) - p1(0)
res(2) = p1(1)*p2(0) - p1(0)*p2(1)
return, res
end
