pro list2floppy, infile, outfile
;
;  Make a macro file for the transport of UNIX files to a floppy
;  for a DOS system. The input file is a single column list
;  of files to be copied. The DOS filenames are standardized
;  to cope with the 8+3 letter DOS name limit.
;
;  NJW 981228
;
;  1)  Open output file for writing
;
openw,lun,outfile,/get_lun
;
;  2)  Define name of floppy directory
;
flop = findfile('/floppy')
nflop = n_elements(flop)
if nflop eq 0 then begin
   print,'No directories beginning with ''/floppy'' have been found'
   print,'Check if floppy disk has been installed correctly'
   retall
endif
print
print,'List of possible directories :'
print
for i = 0, nflop-1 do begin
   print,i,'  ',flop(i)
endfor
j = 0
read,'Enter selected directory (#) : ... ', j
;
; Read file names in the selected directory to avoid duplication
;
list_floppy = findfile('/floppy/'+flop(j)+'/*')
nlist_floppy = n_elements(list_floppy)
for i = 0, nlist_floppy-1 do begin
   tok = str_sep(list_floppy(i),'/')
   tok = reverse(tok)
   list_floppy(i) = tok(0)
endfor
;
; The name of the resulting directory may contain a '#' character
; which is a comment for the 'source' command. It must be escaped:
;
tok = str_sep(flop(j),'#')
newstring = tok(0)
if n_elements(tok) gt 1 then newstring = newstring + '\#' + tok(1)
print,'Output dir name is: '+newstring
;
;  3)  Read the list information
;
list = read_slist(infile)
nlist = n_elements(list)
k = 0L
for i = 0, nlist-1 do begin
   repeat begin
      newname = 'a'+string(k,format='(i7.7)')+'.dos'
      k = k + 1L
      is = where( newname eq list_floppy, nis)
   endrep until nis eq 0
   printf,lun,'unix2dos '+list(i)+' /floppy/'+newstring+'/'+newname
endfor
;
; Now also copy the name resolver file (outfile) to floppy
;
k = 0L
repeat begin
   docname = 'doc'+string(k,format='(i5.5)')+'.dos'
   k = k + 1L
   is = where( docname eq list_floppy, nis)
endrep until nis eq 0
printf,lun,'unix2dos '+outfile+' /floppy/'+newstring+'/'+docname
free_lun,lun
end
