function local_rms, im_orig, hbs=hbs, step=step
;
; Return image with RMS of local regions in the image
; Half box size is 1 by default. The Keyword 'hbs' will
; redefine this value
;
im = im_orig*0.0
szim = size(im)

; Keyword

;         Half box size
hb = 8
if keyword_set(hbs) then hb = hbs

;         Step size
stp = 1
if keyword_set(step) then stp=step
s2 = stp/2


for j = 0, szim(2), stp do begin
   for i = 0, szim(1), stp do begin  ; Define a box for every position
      x1 = (i - hb) > 0
      x2 = (i + hb) < (szim(1)-1)
      y1 = (j - hb) > 0
      y2 = (j + hb) < (szim(2)-1)
      box = im_orig(x1:x2,y1:y2)
      dev = rms(box)
      im((i-s2)>0:(i+s2)<(szim(1)-1),(j-s2)>0:(j+s2)<(szim(2)-1))=dev
   endfor
endfor
return, im
end

