pro make_swp_fit, filename, res
on_error,3
!p.title = 'SWP'+filename+'l.tabcal'
!x.title = 'Wavelength (A)'
!y.title = 'Intensity (10!u-14!n erg cm!u-2!n s!u-1!n A!u-1!n)'
print,'/b/njw/FITS/swp'+filename+'l.tabcal'
rtable2,'/b/njw/FITS/swp'+filename+'l.tabcal', xd, yd
openw,2,'swp'+filename+'l.result'
printf,2,'IUE data : swp'+filename+'l'
sq2pi = sqrt(2.*!pi)
w = xd
yd = yd * 1.e14
w(*) = 5.
a = [73.,4.,50.,13.,5.,10.,24.,11.,12.,-8.e-3]
res = curvefit(xd,yd,w,a,sigmaa,function_name='swpfunc')
for i = 0,9 do print,format='(i4,e11.2," +- ",e11.2)',i,a(i),sigmaa(i)
for i = 0,9 do printf,2,format='(i4,e11.2," +- ",e11.2)',i,a(i),sigmaa(i)
strength = a(0) * a(1) * sq2pi * 1.e-14
s_error = strength*sqrt((sigmaa(0)/a(0))^2+(sigmaa(1)/a(1))^2)
print,format='("Geocoronal line: ",e11.2," +-",e11.2)',strength,s_error
printf,2,format='("Geocoronal line: ",e11.2," +-",e11.2)',strength,s_error
strength = a(2) * a(3) * sq2pi * 1.e-14
s_error = strength*sqrt((sigmaa(2)/a(2))^2+(sigmaa(3)/a(3))^2)
print,format='("Lyman alpha    : ",e11.2," +-",e11.2)',strength,s_error
printf,2,format='("Lyman alpha    : ",e11.2," +-",e11.2)',strength,s_error
strength = a(4) * a(5) * sq2pi * 1.e-14
s_error = strength*sqrt((sigmaa(4)/a(4))^2+(sigmaa(5)/a(5))^2)
print,format='("Silicon IV     : ",e11.2," +-",e11.2)',strength,s_error
printf,2,format='("Silicon IV     : ",e11.2," +-",e11.2)',strength,s_error
strength = a(6) * a(7) * sq2pi * 1.e-14
s_error = strength*sqrt((sigmaa(6)/a(6))^2+(sigmaa(7)/a(7))^2)
print,format='("Carbon IV      : ",e11.2," +-",e11.2)',strength,s_error
printf,2,format='("Carbon IV      : ",e11.2," +-",e11.2)',strength,s_error
cont = (a(8) + (1392. - 1600.)*a(9)) * 1.e-14
c_error = sqrt(sigmaa(8)^2 + ((1392.-1600.)*sigmaa(9))^2) * 1.e-14
print,format='("Cont. 1392 A   : ",e11.2," +-",e11.2)',cont,c_error
printf,2,format='("Cont. 1392 A   : ",e11.2," +-",e11.2)',cont,c_error
cont = (a(8) + (1500. - 1600.)*a(9)) * 1.e-14
c_error = sqrt(sigmaa(8)^2 + ((1500.-1600.)*sigmaa(9))^2) * 1.e-14
print,format='("Cont. 1500 A   : ",e11.2," +-",e11.2)',cont,c_error
printf,2,format='("Cont. 1500 A   : ",e11.2," +-",e11.2)',cont,c_error
cont = (a(8) + (1760. - 1600.)*a(9)) * 1.e-14
c_error = sqrt(sigmaa(8)^2 + ((1760.-1600.)*sigmaa(9))^2) * 1.e-14
print,format='("Cont. 1760 A   : ",e11.2," +-",e11.2)',cont,c_error
printf,2,format='("Cont. 1760 A   : ",e11.2," +-",e11.2)',cont,c_error
cont = (a(8) + (1853. - 1600.)*a(9)) * 1.e-14
c_error = sqrt(sigmaa(8)^2 + ((1853.-1600.)*sigmaa(9))^2) * 1.e-14
print,format='("Cont. 1853 A   : ",e11.2," +-",e11.2)',cont,c_error
printf,2,format='("Cont. 1853 A   : ",e11.2," +-",e11.2)',cont,c_error
close,2
plot,xd,yd
oplot,xd,res
return
end
