function makeimage,imdim,xval,yval,xmin,dx,ymin,dy,w,update=update
;
; Make 2D image from array of x values and one of y values with
; (optional) weights
;
; The array can be updated using keyword 'update'. The input
; array must match 'imdim'
;
if( n_params() lt 7 ) then begin
   print,'res = makeimage(imdim,xval,yval,xmin,dx,ymin,dy[,w][,update=])'
   return,-1.
endif
if( n_params() lt 8 ) then w = 0.*xval+1.
index = size(imdim)
if( index(0) ne 1 or index(1) ne 2 ) then begin
   print,'Incorrect number of dimensions for image'
   return,-1.
endif
nx = n_elements(xval)
if( nx ne n_elements(yval) or nx ne n_elements(w) ) then begin
   print,'Not matching number of dimensions in call'
   return,-1.
endif
;
if keyword_set(update) then begin
   im = update
   szim = size(im)
   if szim(1) ne imdim(0) or szim(2) ne imdim(1) then begin
      print,'MAKEIMAGE error - index mismatch'
      return, -1.
   endif
endif else begin
   im = fltarr(imdim(0),imdim(1))
endelse
for i = 0L,nx-1 do begin
   ix = ((xval(i) - xmin) / dx) > 0
   ix = ix < (imdim(0)-1)
   iy = ((yval(i) - ymin) / dy) > 0
   iy = iy < (imdim(1)-1)
   im(ix,iy) = im(ix,iy) + w(i)
endfor
return,im
end
