pro mantissa_expon, x, mant, expon
;
;  Procedure to return mantissa:  1.000 <= abs(mant) < 10.000
;
;   sign(mant) = sign(x)
;
;     and integer exponent so that    x = mant * 10^expon
;

;  Deal with simple case where x = 0

if x eq 0.0 then begin
   mant = 0.0
   expon = 0
   return
endif

;  Usual case where x != 0

;  Work with abs(x) but returned mantissa will have the sign of x

ax = abs(x)

expon = floor(alog10(ax))
mant  = x * 10.^(-expon)

return

end
