pro meka_emis, code, e1, e2, nbin, kt, abun, e, eps
;
; procedure for MEKA plasma emission calculations
;
;   Call :   code : 0 for linear scale, 1 for log scale
;            e1   : lower energy limit (keV)
;            e2   : upper energy limit (keV)
;            nbin : number of energy bins
;            kt   : electron temperature in keV
;          abun   : relative metal abundance factor (1 - solar)
;
;   Return : e        : array with bin energies
;            eps      : emissivity in phot cm3 / (s keV)
;
if n_params() lt 8 then begin
   print,'meka_emis,[0|1],e1,e2,nbin,kT, abun, > e, eps'
   return
endif
program = '/home/njw/0idl/um_tool/meka/bin/emissivity'
params = string(code, e1, e2, nbin, kt, abun,$
         format='(i2,2f7.3,i7, 2f8.4)')
print,program+params
spawn,program+params,result
res = fltarr(4,nbin)
reads,result,res
e = res(2,*)
eps = res(3,*)
end
