function meka_line_flux_vs_temp, temp_arr, line_no
;
; Calculate the line flux for the temperatures in 'temp_arr'
; and for the line number(s) as given in 'line_no'
;
; 1) read the parameter file
print,'Reading parameters ... '
meka_rd_lineparn,energy,id,lambda
print,'Found ',strtrim(n_elements(id)),' lines'

e1 = min(energy(line_no-1))-1.e-4
e2 = max(energy(line_no-1))+1.e-4
print,'search between ',e1,' and', e2

n = n_elements(temp_arr)
f_arr = fltarr(n)

for i = 0, n-1 do begin
   spawn,'/home/njw/meka_code/bin/line_flux '$
         +string(e1)+string(e2)+string(temp_arr(i))+' 1.0',list
   print,list
   nl = n_elements(list)
   print
   print,'Temperature : ', temp_arr(i)
   print
   sum = 0.
   if list(0) ne '' then begin
      for j = 0,nl-1 do begin
         list(j) = strtrim(strcompress(list(j)),2)
         tok = str_sep(list(j),' ')
         k = where(fix(tok(2)) eq line_no, nk)
         contribution = float(tok(1))
         if nk eq 1 then begin
            sum = sum + contribution
            print,list(j),' sum : ', sum
         endif
      endfor
   endif
   f_arr(i) = sum
endfor
return, f_arr
end
