function mid_mk_tempo_eventlist, file_in, count=count, verb=verb
;
;  Additional MIDI software
;
;   2004-07-16/NJW
;
if n_params() ne 1 then begin
	print,'Syntax: list = mid_mk_tempo_eventlist( file_in[, count=][, verb=])'
	return,''
endif

if not file_test(file_in,/reg) then begin
	print,'Input file: '+file_in+' was not found'
	return,''
endif

if not keyword_setx(verb) then verb = 0

common mid_settings, timesig, ntickpq

rscol,file_in,tpos,1,/dble,/sil
rscol,file_in,ftempo,2,/dble,/sil
itempo = fix(ftempo + 0.5)
count = n_elements(tpos)
list = strarr(count)

mbt = ''
for i = 0, count-1 do begin
	mid_get_tsig, fix(tpos(i)+1), nbeatpm, beatval
	mid_mbt_real, mbt, tpos(i),nbeatpm, beatval,ntickpq,/to_mbt
	mus_per_q = long((60000000L * beatval) / (ftempo(i)*4)+0.5)
	line = '   '+mbt+'  | Tempo | BPM='+stri(itempo(i)) $
		+'  | micros\quarter='+stri(mus_per_q)
	list(i) = line
	if verb gt 1 then print,line
endfor

return, list

end
