pro mid_oplot, x, y, x_end, _extra=e
;
; Lin-lin plot of histogram where x defines the start of the y value
; rather than their centers.
;
;   2004-07-20/NJW
;
if( n_params() ne 3 ) then begin
   print,'mid_oplot, x, y, x_end [, (keywords)]'
   return
endif
nx = n_elements(x)
if( nx ne n_elements(y) ) then begin
  print,'dim(x) must be equal to dim(y)'
  return
endif

z = [x,x_end]
nx = nx + 1
nxx = 2 + 2*(nx-2)
xx = fltarr(nxx)
yy = xx
for i = 1, nx-2 do begin
   xx(2*i-1) = z(i)
   xx(2*i) = z(i)
   yy(2*i-1) = y(i-1)
   yy(2*i) = y(i)
endfor
xx(0) = z(0)
yy(0) = y(0)
xx(nxx-1) = z(nx-1)
yy(nxx-1) = y(nx-2)

oplot,xx,yy,_extra=e

end
