pro mid_settings, filename, verb=verb
;
;  Additional MIDI software
;
;   2004-07-16/NJW
;

if n_params() lt 1 then begin
	print,'Syntax: mid_settings, filename[,verb=]'
	print,'   Keywords:    verb  - verbosity 0 - 5'
	return
endif

common mid_settings, timesig, ntickpq
common mid_filestreams, clun, cluout, kount_in, kount_out
common mid_line_buffer, nline_buffer, line_buffer

if not keyword_setx(trnum) then trnum = -1

nbeatpm = 4 ; default value that will be changed later
beatval = 4 ; default value that will be changed later
timesig = reform([1,nbeatpm,beatval],1,3)
nline_buffer = 0
line_buffer = ''

if n_params() ne 1 then begin
	print,'Syntax: mid_settings, filename[, verb=]'
	return
endif

if not file_test(filename,/reg) then begin
	print,'File not found: ', filename
	return
endif

if not keyword_set(verb) then verb = 0

openr,lun,filename,/get_lun
clun = lun

kount_in = 0L
kount_out = 0L
line = ''
readf,lun,line
if strmid(line,0,4) ne 'MThd' then begin
	print,'Not a MThd MIDI disassembled file, quit!'
	free_lun,lun
	return
endif
kount_in = kount_in + 1
mid_get_keyval, line, 'format', iform
mid_get_keyval, line, '# of tracks', ntracks
mid_get_keyval, line, 'division', ntickpq
if verb gt 4 then print,'LINE '+stri(kount_in)+': ',line
if verb gt 0 then print,'Division = ', ntickpq

track = -1

while not eof(lun) do begin
	readf,lun,line
	kount_in = kount_in + 1
	if verb gt 4 then print,'LINE '+stri(kount_in)+': ',line

	ev = mid_get_event(line,/tsig)
	if verb gt 3 then print,'TYPE: ', ev.type

	if ev.type eq 'end of track' then break

endwhile

free_lun,lun

print,'Number of input lines: ', kount_in

end
