pro mid_setup_win, xmin, xmax, ymin, ymax, init=init
;
;  Additional MIDI software
;
;   2004-07-11/NJW
;
common mid_profile, xadv, yadv, xfin, yfin, xdel, ydel, xmov, ymov

if n_params() lt 2 then begin
	print,'Syntax: mid_setup_win, xmin,xmax, ymin, ymax[, /init]'
	return
endif

if keyword_set(init) then begin
   window,0,xs=1000,ys=300
   !p.position = [0.04,0.06,0.97,0.95]
endif

xb = [0,1,1,0,0]
yb = [0,0,1,1,0]

dx = xmax - xmin
dy = ymax - ymin
plot,[0,1],/nodata,xr=[xmin,xmax],yr=ymin + [0,1.3*dy]

xadv = xmin + dx*(0.07 + 0.08*xb)
yadv = ymin + dy*(1.10 + 0.15*yb)
xadvt = 0.5*(xadv(0) + xadv(1))
yadvt = yadv(0) + 0.2*(yadv(2) - yadv(0))

oplot,xadv,yadv
xyouts,xadvt,yadvt,'Advance',charsize=1.5,align=0.5

xfin = xmin + dx*(0.16 + 0.08*xb)
yfin = ymin + dy*(1.10 + 0.15*yb)
xfint = 0.5*(xfin(0) + xfin(1))
yfint = yfin(0) + 0.2*(yfin(2) - yfin(0))

oplot,xfin,yfin
xyouts,xfint,yfint,'Finish',charsize=1.5,align=0.5

xdel = xmin + dx*(0.25 + 0.08*xb)
ydel = ymin + dy*(1.10 + 0.15*yb)
xdelt = 0.5*(xdel(0) + xdel(1))
ydelt = ydel(0) + 0.2*(ydel(2) - ydel(0))

oplot,xdel,ydel
xyouts,xdelt,ydelt,'Delete',charsize=1.5,align=0.5

xmov = xmin + dx*(0.34 + 0.08*xb)
ymov = ymin + dy*(1.10 + 0.15*yb)
xmovt = 0.5*(xmov(0) + xmov(1))
ymovt = ymov(0) + 0.2*(ymov(2) - ymov(0))

oplot,xmov,ymov
xyouts,xmovt,ymovt,'Move',charsize=1.5,align=0.5


end
