function mjd, year, month, day, hour, minute, second, errmsg=errmsg
;
;  Return modified julian date
;
np = n_params()
if np lt 3 or np gt 6 then begin
   print,'Syntax: res = mjd( year, month, day[,hour[,min,[sec]]])
   print,'        Keyword: errmsg'
   return,double(-1)
endif

errmsg = ''
mjd_int = date2mjd(year,month,day,err=errmsg)
if errmsg ne '' then begin
   print, errmsg
   return,-1L
endif

if np eq 3 then fraction = double(0)

if np eq 4 then fraction = hour/double(24.0)

if np eq 5 then begin
   fraction = hour/double(24.0) + minute/double(24.0*60.)
endif

if np eq 6 then begin

   fraction = hour/double(24.0) + minute/double(24.0*60.) $
                             + second/double(24.0*60.0*60.)

endif

return, double(mjd_int) + fraction

end
