pro mk_addlist, file_swid_list, e_range, type, outlist
;
;   Make a list of images to feed to IDL program: add_images
;   particularly suited for the Perseus investigation
;
;   2004-11-12/NJW
;
if n_params() ne 4 then begin
   print,'Syntax: mk_addlist, file_swid_list, e_range(string), type, >outlist'
   return
endif

erg = str2arr(e_range)
n_erg = n_elements(erg)

list = read_slist(file_swid_list,count=nlist)
pick_swid_str, list, clist, count=nclist,/sil
if nclist lt nlist then begin
   print
   print,'Warning: One or more of the lines in '+file_swid_list
   print,'   did not contain a SWID'
   print
endif

base = '/nfs/lin6/users/njw/jemx/analysis/obs/'
kount = 0
outlist = ''

for i = 0, nclist-1 do begin

   rev = strmid(clist(i),0,4)
   if rev eq '0050' then shdidx = base+'rev50bkg16/scw/'+clist(i)+'/jmx2/res/jmx2_evts_shd.fits'
   if rev eq '0051' then shdidx = base+'rev51bkg16/scw/'+clist(i)+'/jmx2/res/jmx2_evts_shd.fits'
   if rev eq '0052' then shdidx = base+'perseus16/scw/'+clist(i)+'/jmx2/res/jmx2_evts_shd.fits'
   if rev eq '0053' then shdidx = base+'rev53bkg16/scw/'+clist(i)+'/jmx2/res/jmx2_evts_shd.fits'
   if not file_test(shdidx,/reg) then begin
      print,shdidx+' is missing! Skip and continue'
      continue
   endif

   n_ext = nfits_extens(shdidx)
   for j = 2, n_ext do begin
      hdr = headfits(shdidx,exten=j)
      shdtype = fxpar(hdr,'SHDTYPE',count=nmatch)
      if nmatch eq 0 then begin
         print,'Keyword SHDTYPE missing in ext#',j,' skip and continue'
         continue
      endif
      ; Compare type and energy range
      w = where(erg eq j-1,nw)
      if shdtype eq type and nw eq 1 then begin ; dump to final list
         print,'Accepted: '+shdidx+'+'+stri(j)
         if kount eq 0 then begin
            outlist = shdidx+'+'+stri(j)
         endif else begin
            outlist = [outlist,shdidx+'+'+stri(j)]
         endelse
         kount = kount + 1
      endif
   endfor

endfor

s = ' is'
if kount ne 1 then s = 's are'
print,'In total '+stri(kount)+' shadowgram'+s+' accepted'
end
