pro mk_events5_files, obsdir, jemx_num
;
;  mk_events5_files
;
;  2005-08-04/NJW
;
if n_params() lt 2 then begin
   print,'Syntax: mk_events5_files, obsdir, jemx_num'
   return
endif

; Get PI channel data

rdfitscolc,'/r6/jemx/ic/imod_grp/JMX1-FBDS-MOD_001.fits+1',e_min,'E_MIN',/sil
rdfitscolc,'/r6/jemx/ic/imod_grp/JMX1-FBDS-MOD_001.fits+1',e_max,'E_MAX',/sil

jmx = strtrim(jemx_num,2)
extname = 'JMX'+jmx+'-FULL-ALL'
path1 = '/nfs/lin6'
if 'lin6' eq getenv('HOST') then path1 = ''

list = file_search(path1+'/users/njw/jemx/analysis5/obs/'+obsdir+'/scw/*/jmx'$
        +jmx+'_full_cor.fits',count=nlist)
if nlist eq 0 then begin
   print,'No full_cor files found'
   return
endif
pick_swid_str, list, swid

for i = 0, nlist-1 do begin
   rdfitscol,list(i)+'+1',pi,'PI',nrows=nrows
   rdfitscol,list(i)+'+1',detx,'DETX',/sil
   rdfitscol,list(i)+'+1',dety,'DETY',/sil
   rdfitscol,list(i)+'+1',status,'STATUS',/sil
   r = randomu(seed,nrows)
   ener = e_min(pi) + r*(e_max(pi) - e_min(pi))

   ; archive position

   revol = strmid(swid(i),0,4)
   p = path1+'/data/arc/rev_2/scw/'+revol+'/'+swid(i)+'.001'
   orig_file = p+'/jmx'+jmx+'_events.fits'
   if file_test(orig_file+'.gz', /reg) then spawn,'gunzip '+orig_file+'.gz'
   if file_test(orig_file,/reg) then begin
      rdfitscol,orig_file+'['+extname+']',time,'TIME'
   endif else begin
      print,'Warning - could not find: '+orig_file
      continue
   endelse
   print,'Producing '+p+'/jmx'+jmx+'_events5.fits'
   wrmfitscols,p+'/jmx'+jmx+'_events5.fits','DETX',detx,'DETY',dety,$
      'PI',pi,'TIME',time,'ENERGY'
endfor

end
