pro mk_events5_ftools, obsdir, jemx_num
;
;  mk_events5_ftools
;
;  2005-08-04/NJW
;  2005-11-17/NJW
;
if n_params() lt 2 then begin
   print,'Syntax: mk_events5_ftools, obsdir, jemx_num'
   return
endif

; Get PI channel data

rdfitscolc,'/r6/jemx/ic/imod_grp/JMX1-FBDS-MOD_001.fits+1',e_min,'E_MIN',/sil
rdfitscolc,'/r6/jemx/ic/imod_grp/JMX1-FBDS-MOD_001.fits+1',e_max,'E_MAX',/sil

jmx = strtrim(jemx_num,2)
extname = 'JMX'+jmx+'-FULL-ALL'
path1 = '/nfs/lin6'
if 'lin6' eq getenv('HOST') then path1 = ''

list = file_search(path1+'/users/njw/jemx/analysis5/obs/'+obsdir+'/scw/*/jmx'$
        +jmx+'_full_cor.fits',count=nlist)
if nlist eq 0 then begin
   print,'No full_cor files found'
   return
endif
pick_swid_str, list, swid

for i = 0, nlist-1 do begin

   ; archive position

   revol = strmid(swid(i),0,4)
   p = path1+'/data/arc/rev_2/scw/'+revol+'/'+swid(i)+'.001'
   orig_file = p+'/jmx'+jmx+'_events.fits'
   if file_test(orig_file+'.gz', /reg) then spawn,'gunzip '+orig_file+'.gz'
   if not file_test(orig_file,/reg) then begin
      print,'Warning - could not find: '+orig_file
      continue
   endif

   ; Copy event extension to new file

   targetfile = p+'/jmx'+jmx+'_events5.fits'

   print,'Producing '+targetfile
   if file_test(targetfile,/reg) then begin
      print,targetfile+' exists beforehand, get rid of it!'
      spawn,'/bin/rm '+targetfile
   endif

   print,'fextract to work on: '+orig_file+'\[JMX'+jmx+'-FULL-ALL]'
   spawn,'fextract '+orig_file+'\[JMX'+jmx+'-FULL-ALL] '+targetfile

   ; delete the columns to be replaced

   spawn,'fdelcol '+targetfile+'+1 colname=DETX confirm=N proceed=Y'
   spawn,'fdelcol '+targetfile+'+1 colname=DETY confirm=N proceed=Y'
   spawn,'fdelcol '+targetfile+'+1 colname=PI confirm=N proceed=Y'
   spawn,'fdelcol '+targetfile+'+1 colname=STATUS confirm=N proceed=Y'

   spawn,'faddcol '+targetfile+'+1 '+list(i)+'+1 "detx,dety,pi,status"'

endfor

end
