pro mk_fft, step, lc, fq, psd, tunit=tunit
;
;  make FFT analysis of lightcurve in 'lc'
;

if n_params() lt 4 then begin
   print,'Syntax: mk_fft, step, lc, >fq, >psd[, tunit=]'
   print,'    where ''step'' is the time step'
   print,'    and ''lc'' the light curve table'
   print,' Returns: fq   array of frequencies'
   print,'          psd  power spectral density'
   return
endif

n = n_elements(lc)
t = indgen(n,/double)*step
;
if keyword_set(tunit) then begin
   print,'Nyquist frequency: ',1./(2*step),' /'+tunit
endif else begin
   print,'Nyquist frequency: ',1./(2*step),' /timeunit'
endelse
;
y = lc - avg(lc)
z = fft(y,-1)
psd = abs(z(0:n/2))
fq = findgen(n/2+1)/(n*step)

end
