pro mk_gps_pointings, phase, amplitude, step, pts_tooth
;
;
npar = n_params()
if npar lt 4 then begin
   print,'Syntax: mk_gps_pointings, phase, amplitude, step, pts_tooth'
   print,'  The output is directed to ''gps_pointings.dat'''
   print,'  All angles are in degrees'
   return
endif

;  Check that pts_tooth is an even integer

m = 2*(fix(pts_tooth)/2)


hdr = '//       '+systime()
hdr = [hdr,'//  coordsys = galactic']
hdr = [hdr,'//  phase = '+string(phase)]
hdr = [hdr,'//  amplitude = '+string(amplitude)]
hdr = [hdr,'//  step = '+string(step)]
hdr = [hdr,'//  pts_tooth = '+string(m)]
hdr = [hdr,'//  Column1: galactic longitude']
hdr = [hdr,'//  Column2: galactic latitude']


db = 4. * amplitude / m
dl = sqrt(step*step - db*db)

num_steps = fix(360./dl) + 1
gl = fltarr(num_steps)
gb = fltarr(num_steps)

for i = 0, num_steps-1 do begin

   i1 = i mod m
   gl(i) = zero2pi(phase + i*dl, /deg)
   if i1 le m/2 then begin
      gb(i) = -amplitude + i1*db
   endif else begin
      gb(i) = amplitude - (i1 - m/2)*db
   endelse

endfor

wstab,'gps_pointings.dat',hdr,gl,gb

end
