pro mk_jemx_lst, swid_table, output, revis=revis, arc=arc, nrt=nrt
;
;  Make a file in the format 'jemx.lst' for OG making
;
;   2004-09-07/NJW
;
if n_params() ne 2 then begin
   print,'Syntax: mk_jemx_lst, swid_table(file), output(file)[,revis=],/arc xor /nrt'
   print,'     revision (revis keyword) can be 1 or 2'
   return
endif

is_nrt = 1
if keyword_set(arc) then is_nrt = 0 else begin
   if not keyword_set(nrt) then begin
      print,'Either /arc or /nrt MUST be given'
      return
   endif
endelse

list = read_slist(swid_table,count=nlist)
rev = strmid(list,0,4)

openw,lun,output,/get_lun

t1 = './scw/'
if is_nrt then t2 = '.000' else t2 = '.001'

; Get name of SWG DOL

t3 = '/swg_prp.fits[1]'
if keyword_set(revis) then begin
   if revis eq 2 then t3 = '/swg.fits[1]'
endif

for i = 0, nlist-1 do begin
   printf,lun,t1+rev(i)+'/'+list(i)+t2+t3
endfor

free_lun,lun

end
