pro mk_list, ndat, start, slut, cddir, finaldir
;
;
if n_params() lt 3 then begin
   print,'Syntax: mk_list, ndat, ser_no_start, ser_no_slut, $'
   print,'        cddir, finaldir'
   return
endif

sumsize = 0L

name0 = 'JFM1-COR-0109'+string(ndat,format='(i2.2)')

spawn,'find '+cddir+' -type d -name '+finaldir+' -print',answer
answer = reverse(answer)
if strpos( answer(0), finaldir ) ge 0 then begin
   print,'The directory '+finaldir+' already existed'
endif else begin
   print,'The directory '+finaldir+' will be created now'
   spawn,'mkdir '+cddir+'/'+finaldir
endelse

openw,lun,'list',/get_lun
openw,lur,'mvlist',/get_lun

for i = start, slut do begin
   name = name0+'-'+string(i,format='(i3.3)')+'.fits'
   s = findfile(name,count=n)
   if n ne 1 then begin
      print,'    Could not find file: ', name,' skip'
   endif else begin
      openr,lu,name,/get_lun
      siz = fstat(lu)
      free_lun, lu
      sumsize = sumsize + siz.size
      printf,lun,name
      printf,lur,'mv '+name+' '+cddir+'/'+finaldir
   endelse
endfor

free_lun,lun
free_lun,lur

mbyte = 1024.*1024.

print,'Total number of bytes in list: ', sumsize, $
      ' ('+strtrim(sumsize/mbyte,2)+' Mbyte)'

end
