pro mk_reg_cfslide, res, out=out
;
; Make regions for SAOImage(ds9) image display with found sources
; from cfslide (IDL program res = find_cfslide_sources(imagefile))
;
;   2006-03-02/NJW
;
;
;
if n_params() lt 1 then begin
   print,'Syntax: mk_reg_cfslide,  res[, out=]'
   print
   print,' Output file is ''srcl_res.reg'' unless the ''out'' keyword is given'
   return
endif

sz = size(res)
if sz(0) ne 2 or sz(1) ne 6 then begin
   print,'Improper ''res'' argument - bad dimension'
   return
endif
nsrc = sz(2)


; Compose name for region file.

if keyword_set(out) then radeclist_reg_file = out $
   else radeclist_reg_file = 'srcl_res.reg'

openw, lun, radeclist_reg_file, /get_lun

for i = 0,nsrc - 1 do begin
   str_ad = adstring(res(2,i),res(3,i))
   str_ad = strtrim(strcompress(str_ad),2)
   str_parts = str_sep(str_ad,' ')
   str_ra = str_parts(0)+':'+str_parts(1)+':'+str_parts(2)
   str_dc = str_parts(3)+':'+str_parts(4)+':'+str_parts(5)
   printf,lun,'circle('+str_ra+','+str_dc+',30") # color=blue'
endfor


free_lun,lun

end

