pro mk_reg_srcl_res, dol_of_swg, jemxnum, out=out
;
; Make regions for SAOImage(ds9) image display with found sources
;
;
;
; Read a SRCL-RES list with RA_OBJ in dec. deg., DEC_OBJ in dec.deg.
;
;
if n_params() lt 1 then begin
   print,'Syntax: mk_reg_srcl_res, dol_of_swg, jemxnum[, out=]'
   print
   print,' Output file is ''srcl_res.reg'' unless the ''out'' keyword is given'
   return
endif

;  Read the catalog

rdfitscolc,'/home/njw/jsim/Catalogs/DSRI_CAT.fits+1',srcname,'SOURCENAME'
rdfitscolc,'/home/njw/jsim/Catalogs/DSRI_CAT.fits+1',ra_cat,'RA'
rdfitscolc,'/home/njw/jsim/Catalogs/DSRI_CAT.fits+1',dec_cat,'DEC'

;  Read the input data

js = strtrim(jemxnum,2)
ebm_get_child_by_name,dol_of_swg,'JMX'+js+'-SRCL-RES',srcl,errmsg
if errmsg ne '' then begin
   print,'ERRORMSG: ', errmsg
   retall
endif

rdfitscol,srcl,ra_deg,'RA_OBJ'
rdfitscol,srcl,dec_deg,'DEC_OBJ'

nsrc = n_elements(ra_deg)
if nsrc eq 0 then begin
   print,'No sources found!'
   return
endif

;


; Compose name for region file.

if keyword_set(out) then radeclist_reg_file = out $
   else radeclist_reg_file = 'srcl_res.reg'

openw, lun, radeclist_reg_file, /get_lun

for i = 0,nsrc - 1 do begin
   str_ad = adstring(ra_deg(i),dec_deg(i))
   str_ad = strtrim(strcompress(str_ad),2)
   str_parts = str_sep(str_ad,' ')
   str_ra = str_parts(0)+':'+str_parts(1)+':'+str_parts(2)
   str_dc = str_parts(3)+':'+str_parts(4)+':'+str_parts(5)
; Identification
   r = arcdist(ra_deg(i),dec_deg(i),ra_cat,dec_cat,/deg)
   dum = min(r, imin)
   if r(imin) lt 0.1 then text = strtrim(srcname(imin),2) else text = '?'
   printf,lun,'box('+str_ra+','+str_dc+',12,12) # text ={'+text+'} color=blue'
endfor


free_lun,lun

end

