pro mk_src_name_reg_file, reg_file_in, reg_file_out, offset=offset
;
;   Make region file with source names given a
;   region file with 'circle' regions
;
;   2005-03-08/NJW
;
if n_params() lt 2 then begin
   print,'Syntax: mk_src_name_reg_file, reg_file_in, reg_file_out, offset='
   return
endif

coords = grab_coords_reg( reg_file_in )
sz = size(coords)
if sz(0) eq 2 then n_coords = sz(2) else n_coords = 1

openw,lun, reg_file_out, /get_lun

str = 'fk5;text('
if not keyword_set(offset) then offset = 0.3

for i = 0, sz(2)-1 do begin
   if sz(0) eq 2 then begin
      ra = coords(0,i)
      dec = coords(1,i)
   endif else begin
      ra = coords(0)
      dec = coords(1)
   endelse
   line = str + stri(ra) + ',' + stri(dec+offset) + ')'
   namstr = nearest_source( ra, dec, 0.2, $
                 clog='/r6/jemx/catalogs/gnrl_refr_cat_0017.fits+1')
   line = line + ' # text={' + namstr(0) + '}'
   printf,lun,line
endfor

free_lun,lun

end
