function mod_array, x, y, sig=sig,x_ch=x_ch,itype=itype
;
;  Modify 1D array with help of cursor
;
;   2004-02-09/NJW
;   2004-03-16/NJW  Updated
;
if n_params() lt 2 then begin
   print,'Syntax: new_y = mod_array( x, y[,sig=][,x_ch=][,itype=] )'
   print,' keyword itype  1: li-lo 3: lo-lo'
   return,-1
endif

if not keyword_set(sig) then sig = 0.2
if not keyword_setx(itype) then itype = 3

mxy = max(y) * 2.
mny = min(y) * 0.5
if itype eq 3 then begin
   plot_oo,x,y,yr=[mny,mxy],ps=-1
endif else begin
   plot_io,x,y,yr=[mny,mxy],ps=-1
endelse

if keyword_set(x_ch) then oplot,[x_ch,x_ch],[mny,mxy],li=2
curmark1,r

y0 = interpol(y,x,r(0))

amp = alog(r(1)/y0)
if itype eq 3 then begin
   z = alog(x)
   q = amp * exp(-0.5*((z-alog(r(0)))/sig)^2)
endif else begin
   q = amp * exp(-0.5*((x-r(0))/sig)^2)
endelse

yp = y * exp(q)

oplot,x,yp,li=2

return, yp

end

