function n_columns, file_name
;
; Return the number of columns in the first line that starts with
; a number i.e. not a comment
;
ncol = -1     ; to be returned if no numbers found
openr,lun,file_name,/get_lun
i = 1
while i eq 1 and not eof(lun) do begin
   line = ' '
   readf,lun,line
   pos = strpos(line,';')
   if pos ge 0 then line = strmid(line,0,pos)
                            ; remove ';' and what follows (comments)
   line = strcompress(line) ; multiple blanks and tabs to single blanks
   line = strtrim(line,2)   ; remove leading and trailing blanks
   len = strlen(line)
   if len gt 0 then begin     ; skip if no characters on line
      cc = strmid(line,0,1)
      if cc eq '.' and len gt 1 then cc = strmid(line,1,1)
      n = strpos('+-0123456789',cc)
      if n ge 0 then begin            ; here we have a number
         for j = 0, len-1 do begin
            cc = strmid(line,j,1)
            if cc eq ',' or cc eq ';' then strput,line,' ',j
         endfor
         line = strtrim(line,2)
         len = strlen(strcompress(line))
         len0= strlen(strcompress(line,/remove_all))
         ncol = len - len0 + 1
         i = 0  ; terminate while loop
      endif
   endif
endwhile
close,lun
free_lun,lun
return,ncol
end

