function nanclean, array, value=value
;
;  2005-12-14/NJW
;
;  Replace NAN values in array 'array' with 'value'
;  If the keyword is not given then the default value of 0.0
;  will be used
;
if n_params() lt 1 then begin
   print,'Syntax: cleaned_array = nanclean(array[,value=])'
   return, -1
endif

w = wherenan( array, nw )
if nw eq 0 then return, array else begin
   clean_array = array
   if keyword_set(value) then clean_array(w) = value else clean_array(w) = 0.0
   return, clean_array
endelse

end
