function newbin, a, d1, d2
;
; Rebin the array 'a' while keeping the total number of counts
;
use_congrid = 0
sz = size(a)
if (sz(1)/d1)*d1 ne sz(1) then begin
   use_congrid = 1
endif
if (sz(2)/d2)*d2 ne sz(2) then begin
   use_congrid = 1
endif
if use_congrid then begin
   print,'NEWBIN: complex rebinning ... '
   ta = total(a)
   im = congrid(a,d1*sz(1),d2*sz(2))
   b = rebin(im,d1,d2)
   tb = total(b)
   b = ta * b / tb
endif else begin
   print,'NEWBIN: simple rebinning ... '
   n1 = sz(1)/d1
   n2 = sz(2)/d2
   b = fltarr(d1,d2)
   for i = 0,d1-1 do begin
      for j = 0,d2-1 do begin
         b(i,j) = total(a(i*n1:(i+1)*n1-1,j*n2:(j+1)*n2-1))
      endfor
   endfor
endelse

return, b

end
      
