pro odataplotf, x1, x, x2, y1, y, y2, _extra=e
;
; Lin-lin plot of datapoints with 'errorbars' in x-direction defined
; by start and stop arrays x1 and x2. Similarly
; in the y-direction the length of the error bars are given by
; lower and upper values y1 and y2
;
if( n_params() ne 6 ) then begin
   print,'odataplotf, x1, x, x2, y1, y, y2'
   return
endif
nx = n_elements(x)
nx1 = n_elements(x1)
nx2 = n_elements(x2)
ny = n_elements(y)
ny1 = n_elements(y1)
ny2 = n_elements(y2)
if( (nx ne nx1) or (nx ne nx2) or (nx ne ny) ) then begin
  print,'The arrays have different dimensions !'
  return
endif
if( (nx ne ny1) or (nx ne ny2) ) then begin
  print,'The arrays have different dimensions !'
  return
endif
for i = 0, nx-1 do begin
  oplot,[x1(i),x2(i)],[y(i),y(i)],_extra=e
  oplot,[x(i),x(i)],[y1(i),y2(i)],_extra=e
endfor
end
