pro odataplotxp, x, y, dy, _extra=e
;
; oplot of data points with errorbars where the channel
; limits are given rather than their centers.
;
if( n_params() ne 3 ) then begin
   print,'odataplotxp, x, y, dy[, (keywords)]'
   return
endif
nx = n_elements(x)
if( nx ne n_elements(y)+1 ) then begin
  print,'dim(x) must be one larger than dim(y)'
  return
endif
if( n_elements(dy) ne n_elements(y) ) then begin
  print,'dim(dy) must be equal to dim(y)'
  return
endif
oplot,x(0:1),[y(0),y(0)],_extra=e
x2 = 0.5*(x(0) + x(1))
oplot,[x2,x2],[y(0)-dy(0),y(0)+dy(0)], _extra=e
for i = 1, nx-2 do begin
   oplot,x(i:i+1),[y(i),y(i)], _extra=e
   x2 = 0.5*(x(i) + x(i+1))
   oplot,[x2,x2],[y(i)-dy(i),y(i)+dy(i)], _extra=e
endfor
end
