; Main program for Daresbury data analysis and presentation
;
; Developed by Carl and others (Finn, Allan, + ?)
; Changed by NJW 931122 to this version
; Loading color table 12
loadct,12
; conversion factor: Pixels -> Arcminutes
; 931120: Using slope: 8.22222 steps/channel (see p. 117 in log), and 
;                      0.015 mm/step => 0.123 mm/channel
; (and since 8000 mm focaldist gives that 1arcmin corresponds to
; 2.32711 mm in focalplane, we have):
;                                    => 0.05286 arcmin/channel
; pixtomin=0.05286
; Recalibration in the middle of the detector gives:
pixtomin=0.0495
; initializing arrays etc.
!p.thick=1.5
head=strarr(14)
data= fltarr(2,2048)
sum =fltarr(2048)
rd=fltarr(1024)
par=fltarr(6)
w=fltarr(2048)
im=fltarr(512,512)
directory='/pool/darecrew/dat.931120/'  
name=findfile(directory+'*.vac')
num=fix(strmid(name,29,4))
print,num
print,'fmin,fmax ?'
read,fmin,fmax
; put index to the data-file numbers, we want to see
index=where(num ge fmin and num le fmax)
;print,index
si=size(index)
print,'number of files:',si(1)
;
; Run through files 
for i=0,si(1)-1 do begin
   close,1
   print,name(index(i))
   openr,1,name(index(i))
   readf,1,head
   readf,1,data
   sum=sum+data(1,*)
; fill data in image 
   temp=transpose(data(1,*))
   im(i,*)=rebin(temp,512)
endfor
; end loop through files
;
!p.multi=[0,1,2]
plot,sum,xtitle='channels',ytitle='counts',title=strmid(name(index(0)),20,8)+$
' - '+strmid(name(index(si(1)-1)),20,8)+'  '+systime()
x=indgen(2048)
cent=total(x*sum)/total(sum)
var=total((cent-x)^2*sum)/total(sum)
var=sqrt(var)
print,cent,var
fwhm=var*2.35*0.0683
print,fwhm
par(0)=sum(cent)
par(1)=cent
par(2)=var
w(*)=1
sumfit=curvefit(x,sum,w,par)
print,par
oplot,sumfit,color=150
xyouts,par(1)/3,par(0)/2, 'FWHM='+string(par(2)*pixtomin*2.35) +' arcmin'
xyouts,par(1)/3,par(0)/4,'CENTROID='+string(par(1))
cent=par(1)
;print,par,cent
rmax=min([2048-cent,cent])
;print,cent,rmax
for r=1,rmax -1 do begin
rd(r)=total(sum(cent:cent+r))+total(sum(cent-r:cent-1))
endfor
rd=rd/rd(rmax-1)
plot,2*indgen(rmax)*pixtomin,rd(0:rmax-1),xtitle='width [arcmin]'
;
; calculating half power diameter in arcmin's
;
hpw=interpol(indgen(rmax),rd(0:rmax-1),0.5)*2*pixtomin
; calculating 90% diameter in arcmin's
hpt=interpol(indgen(rmax),rd(0:rmax-1),0.9)*2*pixtomin
;
oplot,[hpw,hpw],[0,0.5],color=50
xyouts,hpw,0.2,'HPD='+string(hpw)
oplot,[hpt,hpt],[0,0.9],color=50
xyouts,hpt,0.6,'HPT='+string(hpt)
!p.multi=0
end
