pro oplotsiz, x, y, w, zn=zn, zx=zx, _extra=e
;
;  Overplot with symbol sizes scaled as log(w)
;
if n_params() lt 3 then begin
   print,'Syntax: OPLOTSIZ, x, y, w, zn=, zx=, ..='
   return
endif

n_x = n_elements(x)
if n_x ne n_elements(y) or n_x ne n_elements(w) then begin
   print,'%OPLOTSIZ error, different number of elements'
   return
endif

wx = max(w)
wn = min(w)
sn = 0.2
if keyword_set(zn) then sn = zn
sx = 4.
if keyword_set(zx) then sx = zx

;  size = a log(w) + b

if wx gt wn then begin

   a = (sx - sn)/alog(wx/wn)
   b = sx - a * alog(wx)

   s = a * alog(w) + b

endif else begin

   s = w*0 + sqrt(sn*sx)

endelse

for i = 0, n_x-1 do begin
   oplot,[x(i)],[y(i)],_extra=e,symsize=s(i)
endfor

end
