function peaka,im,p0,d
;
; Find peak in given box around p0 : p0+-d/2 in image 'im'
; p0,d must be integer
; A fltarr(2) is returned with centroide
;
w = extrbox(im,p0,d) ; now 'w' holds the image part
sw = size(w)
if( sw(0) eq 0 ) then begin
   print,'extrbox failed - terminate'
   return,-1.
endif
; Make projections on x and on y
proj0 = fltarr(d(0))
for i = 0,d(0)-1 do proj0(i) = total(w(i,*))
proj1 = fltarr(d(1))
for i = 0,d(1)-1 do proj1(i) = total(w(*,i))
cg = fltarr(2)
cg(0) = centroide(proj0,1) + p0(0) - (d(0)-1)/2
cg(1) = centroide(proj1,1) + p0(1) - (d(1)-1)/2
return,cg
end
