function peakb,im,b
;
; Find peak in area defined by 'b' which has same dimension as 'im'
; and is 1 for pixel to be included and 0 elsewhere
;
;  Updated 010313/NJW
;

if n_params() lt 2 then begin
   print,'Syntax: res = peakb(im,b)'
   return, -1.
endif

szim = size(im)
if( szim(0) eq 0 ) then begin
   print,'not a 2D image - terminate'
   return,-1.
endif
sb = size(b)
if( (szim(1) ne sb(1)) or (szim(2) ne sb(2)) ) then begin
   print,'Arguments not of same dimensions - terminate'
   return,-1.
endif
w = im * b
;
; Make projections on x and on y
;
proj0 = fltarr(szim(1))
for i = 0,szim(1)-1 do proj0(i) = total(w(i,*))
proj1 = fltarr(szim(2))
for i = 0,szim(2)-1 do proj1(i) = total(w(*,i))
cg = fltarr(2)
cg(0) = centroide(proj0,findgen(szim(1)),smo=2,/sil)
cg(1) = centroide(proj1,findgen(szim(2)),smo=2,/sil)
return,cg
end
