pro peaks, im , bkg, npeak, peakpos, peaksize
;
; Procedure to identify peaks in a byte image and return
; their positions (centroides)
;
; The image is stored in the byte array 'im'
; and the background limit is 'bkg'
;
w = im
bsum = im
sz = size(im)
peakpos = fltarr(2,200)
npeak = 0
window,9,xsize=sz(1),ysize=sz(2),ypos=50,title='9: Peak areas found'

b = collbytq(w, bkg, peaksize)
sb = size(b)
if sb(0) eq 2 then begin
   ok = 1
   bsum = b
endif else ok = 0
while( ok ) do begin
   tvscl,bsum
   peakpos(*,npeak) = peakb(im,b)
   print,'Peak # ', npeak,'  at ', peakpos(*,npeak)
   npeak = npeak + 1
   w(where(b eq 1)) = bkg
   b = collbytq(w,bkg,peaksize)
   sb = size(b)
   if sb(0) eq 2 then begin
      ok = 1
      bsum = bsum + b
   endif else ok = 0
endwhile
print,'Total number of peaks found : ', npeak
tvscl,bsum
peakpos = peakpos(*,0:npeak-1)
end
