pro pick_swid, file_in, file_out
;
;  Produce a file that only contains 12 digit SWID strings
;  from the lines in the input file
;
;   ~2004-03/NJW
;   2007-01-04/NJW, updated with arg and file test
;
if n_params() lt 2 then begin
   print,'Syntax: pick_swid, file_in, file_out
   return
endif
if not file_test(file_in,/reg) then begin
   print,'Could not find: '+file_in
   return
endif

list = read_slist(file_in, count=nlist)

first = 1

for i = 0, nlist-1 do begin

   print,list(i)
   ; locate string with 12 consequtive digits

   len = strlen(list(i))
   print,'length = ', len
   for j = 0, len-16 do begin
      dot = strmid(list(i),12+j,1)
      if dot ne '.' then continue
      swid = strmid(list(i),j,12)
      if not is_digit(swid) then continue
      ext = strmid(list(i),13+j,3)
      if not is_digit(ext) then continue
      if first then begin
         swidarr = [swid]
         first = 0
      endif else swidarr = [swidarr,swid]
   endfor

endfor

if not first then write_slist,file_out,swidarr(sort(swidarr)) $
   else print,'No SWID strings found'

end
