pro pick_swid_str, arr_in, arr_out, count=count, silent=silent
;
;   return string array with only the 12 digit SWID strings
;
;   2004-02-16/NJW
;
if n_params() lt 2 then begin
   print,'Syntax: pick_swid_str, str_arr_in, str_arr_out'
   return
endif

nlist = n_elements(arr_in)

first = 1
arr_out = ''
count = 0

for i = 0, nlist-1 do begin

   ; locate string with 12 consequtive digits

   len = strlen(arr_in(i))
   if len lt 12 then continue

   for j = 0, len-12 do begin
      piece = strmid(arr_in(i),j,12)
      if is_digit(piece) then begin
         if first then begin
            arr_out = [piece]
            first = 0
         endif else arr_out = [arr_out,piece]
	 count = count + 1
         break
      endif
   endfor

endfor

if first and not keyword_set(silent) then print,'No SWID strings found'

end
