function polygon_sel, x, y, _extra=e, out=out, count=count

if n_params() lt 2 then begin
	print,'Syntax: sel = polygon_sel(x,y[,/out][,count=][,extra keywds])'
	return,-1
endif

plot,x,y,_extra=e,ps=3

print,'Define the polygon with the cursor ...'

curmark,polygon,npoints=npoints
if npoints gt 2 then begin ; Start defining polygon and reference point
   oplot,[reform(polygon(0,*),npoints),polygon(0,0)], $
         [reform(polygon(1,*),npoints),polygon(1,0)],li=2
   print,'Now define the reference point inside the polygon ...'
   curmark1,refpoint
   n_events = n_elements(x)
   sel = lonarr(n_events)
   outsel = lonarr(n_events)
   jsel = 0L
   ksel = 0L
    for i = 0L, n_events-1 do begin
      if is_in_polygon(polygon,refpoint,[x(i),y(i)]) then begin
         sel(jsel) = i
         jsel = jsel + 1
      endif else begin
         outsel(ksel) = i
         ksel = ksel + 1
      endelse
   endfor

   if keyword_set(out) then begin
   	count = ksel
   endif else begin
		count = jsel
	endelse

   if count eq 0 then begin
      print,'No events selected - return with -1'
      return, -1
   endif else begin
   	print,count,' events selected'
   	if keyword_set(out) then begin
   		sel = outsel(0:ksel-1)
   	endif else begin
      	sel = sel(0:jsel-1)
      endelse
      oplot,x(sel),y(sel),ps=3,col=100  ;  Show effect of selection
      return, sel
   endelse
endif else begin
	print,'Selection given up, returns -1'
	count = 0
	return, -1
endelse

end
