function pplus, n
;
; Returns the probability for getting a measurement above
; n sigma; uses approximation for large n
;
nd = double(n)
if n lt 5 then begin
   return,0.5d0*(1.d0-erf(nd/sqrt(2.d0)))
endif else begin
   sum = double(1)
   sgn = -1
   numerator = double(1)
   nd2 = nd^2
   denominator = nd2
   for i = 1,10 do begin
      sum = sum + sgn * numerator / denominator
      numerator = numerator * (2*i+1)
      denominator = denominator*nd2
      sgn = (-1)*sgn
   endfor
   return,exp(-0.5d0*nd2)*sum / (nd * sqrt(2.d0 * !pi))
endelse
end
