pro prep_mos_radec, ra, dec
;
;  Prepare a dedicated mosaic image for a given
;  position on the sky
;
;    2006-12-18/NJW
;
;-------------
;  Search for JMX1 data
;-------------
n = 0
list = ''
find_swid_radec, ra, dec, 4.0, rev=[20,99], $
     jemx=1, mod1='F', list=tmp, /nof
list = str_append( list, tmp )
find_swid_radec, ra, dec, 4.0, rev=[100,199], $
     jemx=1, mod1='F', list=tmp, /nof
list = str_append( list, tmp )
find_swid_radec, ra, dec, 4.0, rev=[200,299], $
     jemx=1, mod1='F', list=tmp, /nof
list = str_append( list, tmp )
find_swid_radec, ra, dec, 4.0, rev=[300,361], $
     jemx=1, mod1='F', list=tmp, /nof
list = str_append( list, tmp )
if n_elements(list) eq 1 and strlen(list(0)) eq 0 then begin
   print,'No SWIDs with JMX1 data found'
endif else begin
   n = n_elements(list)
   print,n,' SWIDs with JMX1 data found'
   print,'The list is written to: jmx1_swid.list'
   write_slist,'jmx1_swid.list',list
endelse
;-------------
;  Search for JMX2 data
;-------------
n = 0
list = ''
find_swid_radec, ra, dec, 4.0, rev=[20,99], $
     jemx=2, mod2='F', list=tmp, /nof
list = str_append( list, tmp )
find_swid_radec, ra, dec, 4.0, rev=[100,199], $
     jemx=2, mod2='F', list=tmp, /nof
list = str_append( list, tmp )
find_swid_radec, ra, dec, 4.0, rev=[200,299], $
     jemx=2, mod2='F', list=tmp, /nof
list = str_append( list, tmp )
find_swid_radec, ra, dec, 4.0, rev=[300,361], $
     jemx=2, mod2='F', list=tmp, /nof
list = str_append( list, tmp )
if n_elements(list) eq 1 and strlen(list(0)) eq 0 then begin
   print,'No SWIDs with JMX2 data found'
endif else begin
   n = n_elements(list)
   print,n,' SWIDs with JMX2 data found'
   print,'The list is written to: jmx2_swid.list'
   write_slist,'jmx2_swid.list',list
endelse

end
