pro primes_12np7, min_nu, max_nu
;
; List of numbers 12n+7 that are primes
;  Useful for Quadratic residue cyclic sets for HURA construction
;  NJW 950101 (?) update 970310
;
n = long(max([3, (min_nu - 7)/12]))
repeat begin
   nu = 12 * n + 7
   ;
   ; search for divisor
   ;
   limit = fix(sqrt(nu))
   found = 0
   for j = 3, limit, 2 do begin
      if nu mod j eq 0 then found = 1 ; divisor has been found - no prime
   endfor
   if not found and nu gt min_nu then begin
      nr = hex_r(nu,res)
      print,'--------------------------------------------------'
      print, nu, ' Number of hex r s : ', nr
      if nr gt 0 then begin
         mn = min([nr,10])
         print,res(0:mn-1)
      endif
   endif
   n = n + 1
endrep until nu gt max_nu
;                               endfor
end
