pro primes_biquad, min_nu, max_nu
;
; List of prime numbers nu = 4*n^2 + 1 where n is odd
;  Useful for biquadratic cyclic residue difference set
;
n2min = floor(sqrt((min_nu-1)/4.) / 2)
n = n2min*2L+1 ; to make sure that n is odd
print,'Min n = ', n
repeat begin
   nu = 4L * n^2 + 1
   ;
   ; search for divisor
   ;
   limit = fix(sqrt(nu))
   found = 0
   for j = 3L, limit, 2 do begin
      if nu mod j eq 0 then found = 1 ; divisor has been found - no prime
   endfor
   if not found then begin
      nr = hex_r(nu,res)
      print,'--------------------------------------------------'
      print, nu, ' Number of hex r s : ', nr
      if nr gt 0 then begin
         mn = min([nr,10])
         print,res(0:mn-1)
      endif
   endif
   n = n + 2
endrep until nu gt max_nu
end
