pro print_cat_ref, ref_no, errmsg=errmsg
;
;  Print all the references in DSRI_CAT_REF.fits
;  or a single reference number
;

np = n_params()

file_dsri_cat_ref = '/home/njw/jsim/Catalogs/DSRI_CAT_REF.fits[1]'

if np gt 0 then begin
   outfile = '/home/njw/jsim/Catalogs/DSRI_CAT_REF_'+strtrim(ref_no,2)+'.txt'
endif else begin
   outfile = '/home/njw/jsim/Catalogs/DSRI_CAT_REF.txt'
endelse

errmsg = ''

rdfitscol,file_dsri_cat_ref,refernce,'REFERNCE',err=errmsg,/silent
rdfitscol,file_dsri_cat_ref,subentry,'SUBENTRY',err=errmsg,/silent
rdfitscol,file_dsri_cat_ref,reftext,'REFTEXT',err=errmsg,/silent
if errmsg ne '' then begin
   print, errmsg
   return
endif

numrows = n_elements(refernce)

; See if user wants all or just a single reference

if np gt 0 then begin
   sel = where( refernce eq ref_no, n_sel)
   if n_sel eq 0 then begin
      print,'Reference #'+strtrim(ref_no,2)+' does not exist'
      errmsg = 'Reference #'+strtrim(ref_no,2)+' does not exist'
      return
   endif
endif else begin
   sel = indgen(numrows) ; Select all
   n_sel = numrows
endelse

openw,lun,outfile,/get_lun

for i = 0, n_sel-1 do begin
   if subentry(sel(i)) eq 0 then begin
      print
      print,'Ref# '+strtrim(refernce(sel(i)),2)
      print
      printf,lun
      printf,lun,'Ref# '+strtrim(refernce(sel(i)),2)
      printf,lun
   endif
   print,reftext(sel(i))
   printf,lun,reftext(sel(i))
endfor

free_lun,lun

end

