pro psf_plot, im, pix2am, tit=tit
;
; Procedure to plot the PSF and EEC for a peak in the image 'im'
;
;  Call     : im     - image with single peak
;           : pix2am - conversion factor
;  Keywords : tit    - title for plot

b = im*0 + 1
nstep = 200
cpsf = psf(im, b, nstep, r, area, eec)
if !d.name eq 'X' then window,0,xs=600,ys=980
!p.multi=[0,0,2]
!p.charsize=1.3
!p.title = ''
if keyword_set(tit) then !p.title = tit
!x.title = 'Radius [arcmin]'
!y.title = 'Normalized to 1 at r = 0'
cpsf = cpsf / max(cpsf)
r = r * pix2am  ; convert to arcmin
plot_io,r,cpsf,xr=[0,30],yr=[1.e-6,2]
xyouts,15,1e-2,'PSF',charsize=3.0
plotsign

; plot encircled energy curve

!p.title = ''
!y.title = 'Fraction'
plot,r,eec,xr=[0,30],yr=[0,1]
res = interpol(r,eec,0.5)
oplot,[0.,res,res],[0.5,0.5,0],linestyle=2
xyouts,res+1,0.4,string(res*2,format='("HPD =",f5.2," arcmin")'),charsize=1.5
xyouts,10,.2,'Encircled energy curve',charsize=1.9
!p.multi=0
end
