pro purge, name

;  Move a single file or a list of files to /pool28/njw/Wastebasket
;  for later back up on magnetic tape.
;  Keep a record of purged files.

; ... move to home directory to include complete path

cd,'/home/njw'

; ... analyse the argument

nn = n_elements(name)

for i = 0, nn-1 do begin   ; see if all files can be found
   print,'List entry no. ', i,'  ', name(i)
   ok = findfile(name(i))
   print,'Files found : ', ok
   no = n_elements(ok)
   for j = 0, no-1 do begin

      if ok(j) eq '' then begin
         print,'File not found : ', name(i)
      endif else begin

         curname = ok(j)
         if strmid(curname,0,1) ne '/' then curname = '/home/njw/'+curname
         print,'Going to purge ', curname

; ... get biggest serial number

         list = findfile('/pool28/njw/Wastebasket/????????')
         nl = n_elements(list)
         nstr0 = strmid(list(nl-1),24,8)
         n = 0
         reads,nstr0,n
         n = n + 1
         nstr1 = string(n,format='(i8.8)')

; ... update biggest serial number

         spawn,'mv /pool28/njw/Wastebasket/'+nstr0+$
            ' /pool28/njw/Wastebasket/'+nstr1

; ... move to Wastebasket and make file with name

         spawn,'echo '+curname+' > /pool28/njw/Wastebasket/'+nstr1+'.name'
         spawn,'mv '+curname+' /pool28/njw/Wastebasket/'+nstr1+'.file'
         cd,'/pool28/njw/Wastebasket/'

; ... update purge-file

         openw,lun,'/home/njw/File_organisation/purgelist',/append,/get_lun
         spawn,'echo '+curname+' | revpath',str
         printf,lun,str+' '+systime()+' -> '+nstr1
         close,lun
         free_lun,lun

; ... create at tar-file with name and file itself

         spawn,'tar cvf '+nstr1+'.tar '+nstr1+'.*'

; ... remove all, except the tar-file

         spawn,'rm '+nstr1+'.name'
         spawn,'rm '+nstr1+'.file'

      endelse
   endfor
endfor

cd,'/home/njw'

end
