function rcoef_au, energies, angles
;
;  Returns an array of reflection coefficients of
;  same dimensions as arrays in argument
;
;  Energy in keV, Angles in radians
;
if n_elements(energies) ne n_elements(angles) then begin
   print,'Error in call of RCOEF_AU - arrays have different sizes'
   return,0.
endif
;
; Save energy and angle table to scratch file that is to
; be used as input for the FORTRAN program 'rd_rcoef_tab.x'
;  (Filename may be changed)
;
wtab,'/d/njw/work/temp', energies, angles

print,'Fetching gold reflection table values ...'

; Save the result of reading and interpolation in IDL variable 'list'
; which is a string array

; If filename was changed above then it must also be changed here!
spawn,'rd_rcoef_tab.x < /d/njw/work/temp',list,count=count

; Prepare interpretation of results - make float array and
; integer index array

x = fltarr(count*3)
i = indgen(count)*3 + 2
reads,list,x
return,x(i)
end
