pro read_jmx_src_cat

;  2003-05-21/NJW

common jcat_com, jcat, num_entries_cat, dol_jmx_src_cat

; Define the structure to hold a source (or finding)

source = {   ra_obj:0.0, dec_obj:0.0, unique:0L, internal:0L, dist_cat:0.0, $
             method:0L, version:0L, date:'', e_min:0.0, e_max:0.0, $
             ontime:0.0, tstart:0.0d0, tstop:0.0d0, revol:0L, $
             pid:0L, subindex:0L, peaksize:0.0, corcountrate:0.0, $
             localrms:0.0, detlev:0.0, offaxis:0.0, $
             src_mm_x:0.0, src_mm_y:0.0, numjemx:0L}



if !version.os eq 'linux' then begin
   dol_jmx_src_cat = '/mnt/win_f/r6/jemx/catalogs/jmx_src_cat.fits[1]'
endif
if !version.os eq 'sunos' then begin
   dol_jmx_src_cat = '/r6/jemx/catalogs/jmx_src_cat.fits[1]'
endif


; Read the contents of 'jmx_src_cat.fits'

errmsg = ''
print,'Reading '+dol_jmx_src_cat+' ...'
rdfitscol,dol_jmx_src_cat,ra_obj,'RA_OBJ',err=errmsg,/sil
rdfitscol,dol_jmx_src_cat,dec_obj,'DEC_OBJ',err=errmsg,/sil
rdfitscol,dol_jmx_src_cat,unique,'UNIQUE',err=errmsg,/sil
rdfitscol,dol_jmx_src_cat,internal,'INTERNAL',err=errmsg,/sil
rdfitscol,dol_jmx_src_cat,dist_cat,'DIST_CAT',err=errmsg,/sil
rdfitscol,dol_jmx_src_cat,method,'METHOD',err=errmsg,/sil
rdfitscol,dol_jmx_src_cat,version,'VERSION',err=errmsg,/sil
rdfitscol,dol_jmx_src_cat,date,'DATE',err=errmsg,/sil
rdfitscol,dol_jmx_src_cat,e_min,'E_MIN',err=errmsg,/sil
rdfitscol,dol_jmx_src_cat,e_max,'E_MAX',err=errmsg,/sil
rdfitscol,dol_jmx_src_cat,ontime,'ONTIME',err=errmsg,/sil
rdfitscol,dol_jmx_src_cat,tstart,'TSTART',err=errmsg,/sil
rdfitscol,dol_jmx_src_cat,tstop,'TSTOP',err=errmsg,/sil
rdfitscol,dol_jmx_src_cat,revol,'REVOL',err=errmsg,/sil
rdfitscol,dol_jmx_src_cat,pid,'PID',err=errmsg,/sil
rdfitscol,dol_jmx_src_cat,subindex,'SUBINDEX',err=errmsg,/sil
rdfitscol,dol_jmx_src_cat,peaksize,'PEAKSIZE',err=errmsg,/sil
rdfitscol,dol_jmx_src_cat,corcountrate,'CORCOUNTRATE',err=errmsg,/sil
rdfitscol,dol_jmx_src_cat,localrms,'LOCALRMS',err=errmsg,/sil
rdfitscol,dol_jmx_src_cat,detlev,'DETLEV',err=errmsg,/sil
rdfitscol,dol_jmx_src_cat,offaxis,'OFFAXIS',err=errmsg,/sil
rdfitscol,dol_jmx_src_cat,src_mm_x,'SRC_MM_X',err=errmsg,/sil
rdfitscol,dol_jmx_src_cat,src_mm_y,'SRC_MM_Y',err=errmsg,/sil
rdfitscol,dol_jmx_src_cat,numjemx,'NUMJEMX',err=errmsg,/sil

if errmsg ne '' then begin
   print,errmsg
   return
endif

num_entries_cat = n_elements(ra_obj)
print,'num_entries_cat = ', num_entries_cat


jcat = replicate(source,num_entries_cat)

jcat.ra_obj = ra_obj
jcat.dec_obj = dec_obj
jcat.unique = unique
jcat.internal = internal
jcat.dist_cat = dist_cat
jcat.method = method
jcat.version = version
jcat.date = date
jcat.e_min = e_min
jcat.e_max = e_max
jcat.ontime = ontime
jcat.tstart = tstart
jcat.tstop = tstop
jcat.revol = revol
jcat.pid = pid
jcat.subindex = subindex
jcat.peaksize = peaksize
jcat.corcountrate = corcountrate
jcat.localrms = localrms
jcat.detlev = detlev
jcat.offaxis = offaxis
jcat.src_mm_x = src_mm_x
jcat.src_mm_y = src_mm_y
jcat.numjemx = numjemx

print,'The JEMX source catalog is now placed in'
print,'   common jcat_com, jcat, num_entries_cat, dol_jmx_src_cat'
print,' Elements: ra_obj, dec_obj, unique, internal, version, date, e_min, e_max,'
print,'           ontime, tstart, tstop, revol, pid, subindex, peaksize, corcountrate,'
print,'           localrms, detlev, offaxis, src_mm_x, src_mm_y, numjemx'
print

end


