pro read_positions
;
;  Procedure to read positions from plot made by 'plofitsky'
;
;   2004-05-16/NJW
;

common pfs_image_info, imheader

naxis1 = fxpar(imheader,'NAXIS1')
naxis2 = fxpar(imheader,'NAXIS2')

outfile = get_next_filename('pfs_pos_????.scm')
openw,lun,outfile,/get_lun

curmark,r

npoints = n_elements(r)/2

for i = 0, npoints-1 do begin

   skypos_fits,imheader,r(0,i)*naxis1, r(1,i)*naxis2,ra,dec,dir='sky',/hdr,/sil
   src = nearest_source(ra,dec,0.2)
   printf,lun,ra,dec,src(0),format='(2f10.3,"  ",a)'
   print,ra,dec,src(0),format='(2f10.3,"  ",a)'

endfor

free_lun,lun

end
