function readfits_keydef, filename, keyword, value, hdr=hdr
;
;   Read a FITS array from an extension whose header must
;   contain a keyword with the given value, typically a string
;
;   2003-12-12/NJW
;
if n_params() lt 3 then begin
   print,'Syntax: image = readfits_keydef(filename, keyword, value[,hdr=])'
   print,'   If keyword ''hdr'' is given then the FITS header is returned'
   return,-1
endif

num_exts = nfits_extens( filename )
sv = size(value)
vtype = sv(sv(0)+1)

for i = 0, num_exts do begin

   hdr = headfits( filename, ext=i )
   hval = fxpar( hdr, keyword )

   if !err eq -1 then continue

   si = size(hval)
   if si(0) eq 0 then begin
      if vtype eq 7 then begin ; Input kw value is a string
         if si(1) eq 7 then begin
            if value eq strtrim(hval,2) then begin
               return, readfits(filename, ext=i)
            endif
         endif else begin
            print,'readfits_keydef error: keyword type does not match argument'
	    return,-1
         endelse
      endif else begin ; Input kw value is a number
         if vtype eq 7 then begin
            print,'readfits_keydef error: keyword type does no match argument'
	    return,-1
         endif else begin
            if value eq hval then begin
               return, readfits(filename, ext=i)
            endif
         endelse
      endelse
   endif
endfor

return, -1

end
