function rebin_pi2linear, old, escal=escal
;
;   Rebin to 0.02 keV intervals
;   Assumes that 'old' is given in the PI scale with
;   increasing step size in energy to a scale
;   with constant step size (namely 0.032 keV.
;
;       2003-08-18/NJW
;
if n_params() lt 1 then begin
   print,'Syntax: new_array = rebin_pi2linear( old_array )'
   print,'  where old_array must have dimension 256'
   return,-1
endif

new = fltarr(4096)
escal = 0.01 + findgen(4096)*0.02
k = 0
for i = 0, 31 do begin ; step 0.06 keV
   for j = 0,2 do begin
      new(k) = old(i)/3.
      k = k + 1
   endfor
endfor
;print, 'old e_max = ', e_max(31)
;print, 'new e_max = ', k*0.02

for i = 32, 111 do begin ; step 0.08 keV
   for j = 0,3 do begin
      new(k) = old(i)/4.
      k = k + 1
   endfor
endfor
;print, 'old e_max = ', e_max(111)
;print, 'new e_max = ', k*0.02

for i = 112, 127 do begin ; step 0.10 keV
   for j = 0,4 do begin
      new(k) = old(i)/5.
      k = k + 1
   endfor
endfor
;print, 'old e_max = ', e_max(127)
;print, 'new e_max = ', k*0.02

for i = 128, 159 do begin ; step 0.16 keV
   for j = 0,7 do begin
      new(k) = old(i)/8.
      k = k + 1
   endfor
endfor
;print, 'old e_max = ', e_max(159)
;print, 'new e_max = ', k*0.02

for i = 160, 191 do begin ; step 0.26 keV
   for j = 0,12 do begin
      new(k) = old(i)/13.
      k = k + 1
   endfor
endfor
;print, 'old e_max = ', e_max(191)
;print, 'new e_max = ', k*0.02

for i = 192, 223 do begin ; step 0.66 keV
   for j = 0,17 do begin
      new(k) = old(i)/18.
      k = k + 1
   endfor
endfor
;print, 'old e_max = ', e_max(223)
;print, 'new e_max = ', k*0.02

for i = 224, 254 do begin ; step 1.68 keV
   for j = 0,63 do begin
      new(k) = old(i)/64.
      k = k + 1
   endfor
endfor
;print, 'old e_max = ', e_max(254)
;print, 'new e_max = ', k*0.02

for i = 255, 255 do begin ; step 7.36 keV
   for j = 0,367 do begin
      new(k) = old(i)/368.
      k = k + 1
   endfor
endfor
;print, 'old e_max = ', e_max(255)
;print, 'new e_max = ', k*0.02

return, new

end
