function rebinning, arr, nx, ny
;
; Rebinning of a 2D array. New bins must contain an integer
; number of old bins
;
inx = fix(nx)
iny = fix(ny)
sz = size(arr)
if sz(1) mod inx ne 0 then begin
   print,'Non integer fraction in x'
   retall
endif
if sz(2) mod iny ne 0 then begin
   print,'Non integer fraction in y'
   retall
endif
fx = sz(1) / inx
fy = sz(2) / iny
newarr = arr(0:inx-1,0:iny-1)
for i = 0, inx-1 do begin
   for j = 0, iny-1 do begin
      newarr(i,j) = total(arr(i*fx:(i+1)*fx-1,j*fy:(j+1)*fy-1))
   endfor
endfor
return, newarr
end
