pro reduce_files, filename, exten_no
;
; Remove most of the rows in a FITS binary table extension
; with the help of the FTOOL: fselect
;
; 'filename' may contain wild cards: e.g. '/r1/njw/RSIM0/evnt*.fits'
;
if n_params() ne 2 then begin
   print,'Syntax: reduce_files, filename, exten_no'
   print,'        The filename may contain wild cards'
   return
endif

if filename eq 'jsim' then begin
   list = findfile('evnt*fits',count=n_list)
   lisu = findfile('rcor*fits',count=n_lisu)
   list = [list,lisu]
   n_list = n_list + n_lisu
   lisu = findfile('rprp*fits',count=n_lisu)
   list = [list,lisu]
   n_list = n_list + n_lisu
   lisu = findfile('rraw*fits',count=n_lisu)
   list = [list,lisu]
   n_list = n_list + n_lisu
   lisu = findfile('fraw*fits',count=n_lisu)
   list = [list,lisu]
   n_list = n_list + n_lisu
   lisu = findfile('fprp*fits',count=n_lisu)
   list = [list,lisu]
   n_list = n_list + n_lisu
   lisu = findfile('fcor*fits',count=n_lisu)
   list = [list,lisu]
   n_list = n_list + n_lisu
endif else begin
   list = findfile(filename, count=n_list)
endelse
if n_list eq 0 then begin
   print,'No files found !'
   return
endif

; clean up on /pool1

res = findfile('/pool1/a#_#_#.fits',count=n_res)
if n_res gt 0 then spawn,'rm /pool1/a#_#_#.fits'

for i = 0, n_list-1 do begin

   arg1 = 'fselect "'+list(i)+'['+strtrim(exten_no,2)+']" '
   arg2 = '/pool1/a#_#_#.fits "#row >= 1 && #row <= 5"'
   spawn,arg1+arg2
   res = findfile('/pool1/a#_#_#.fits',count=n_res)
   if n_res ne 1 then begin
      print,'Could not reduce ',list(i)+'['+strtrim(exten_no,2)+']'
   endif else begin
      spawn,'rm '+list(i)
      spawn,'cp /pool1/a#_#_#.fits '+list(i)
      spawn,'rm /pool1/a#_#_#.fits'
      print,list(i),' has been reduced'
   endelse

endfor

end



