function remove_jump, array_in, step
;
;  This function scans the array for a discontinuity
;  larger than step/2 and adds 'step' to the lower part
;  of the array
;
;    2004-06-15/NJW
;

ndim = n_elements(array_in)
step_h = step/2.
array = array_in ; Avoid modifying the input variable

i_jump = -1L
for i = 0L, ndim-2 do begin
   dif = array(i+1) - array(i)
   if abs(dif) gt step_h then begin
      i_jump = i
      jump = dif
      break
   endif
endfor

if i_jump ge 0 then begin ; There has been a jump
   print,'A jump is noticed ...'
   if jump gt 0 then begin ; Raise left side
	   print,'Up left side'
      array(0:i_jump) = array(0:i_jump) + step
   endif else begin ; Raise right side
	   print,'Up right side'
      array(i_jump+1:*) = array(i_jump+1:*) + step
   endelse
endif

return, array

end
