pro resiplot, e_arr, model, data_values,data_errs,ttle,_extra=xxtra
;
; plot log-log of data with errors and model with
; separate plot of residuals
;
;  DSRI/96????/NJW
;
;   Updated 991001/NJW
;

if( n_params() ne 5 ) then begin
   print,'resiplot,e_arr,model,data_values,data_errs,title[,keywds]'
   return
endif

; Check the array sizes

nx = n_elements(e_arr)
ny = n_elements(data_values)
nm = n_elements(model)
if( (nx ne ny) or (nx ne nm) or (nx ne n_elements(data_errs)) ) then begin
  print,'The arrays have different dimensions !'
  return
endif

; Plot data and model:

!p.multi = [0,1,2]
!p.position = [.1,.37,.95,.95]
!p.title = ttle
!x.title = ' '
!y.title = 'Counts / channel'
dataplot, e_arr, data_values, data_errs, itype=3, _extra=xxtra
oplot,e_arr,model,linestyle=0
add_date

; Plot the residuals:

!p.position = [.1,.09,.95,.3]
plus = where(data_errs gt 0, nplus)
c2 = chi2(model(plus),data_values(plus),data_errs(plus))
!p.title = 'Residuals  !4v!3!u2!n ='+string(c2,format='(f6.1)')
!y.title = 'Number of !4r!3'
!x.title = 'Photon energy (keV)'
dataplot,e_arr(plus), (data_values(plus) - model(plus))/data_errs(plus), $
             replicate(1.,nplus),itype=2, _extra=xxtra
oplot, e_arr, fltarr(nx), linestyle=1
!p.multi = 0
!p.position = 0
!p.title = ' '
!x.title = ' '
!y.title = ' '
end
