pro rever_aitoff, x_in, y_in, gl, gb, verb=verb
;
;  Reverse Aitoff projection, assume degrees
;
;  2004-11-03/NJW
;
if n_params() ne 4 then begin
   print,'Syntax: rever_aitoff, x, y, gl, gb'
   print,'     Basic unit is degrees'
   print,'     ''x'' in [-180,180]'
   print,'     ''y'' in [-90,90]'
   return
endif

x = x_in / 180.0
y = y_in / 90.0
if x gt 1 then x = x - 2

r2 = x^2 + y^2

if r2 ge 1.0 then begin
   print,'REVER_AITOFF error, x,y outside valid region'
   gl = -99.0
   gb = -99.
   return
endif

d = 2.0 - r2
sqd = sqrt(d)
del = asin(y*sqd)
alp = asin(x*sqd/cos(del))

gl = 2 * alp * !radeg
gb = del * !radeg

end
