pro reverse99,filename
;
; Read the ncol-column data in 'filename', check the initial value
; and write a file 'filename.rev' in order if i.v. = -99. and
; reversed if i.v. =  99.
; For 2 column data add column with distance in mm
; For 3 column data convert motor position to mm
;
; See if file has already been reversed
openr,2,filename + '.rev',error=err
if( err eq 0 ) then begin
   print,'Reversed file existed already : ', filename+'.rev'
   close,2
   return
endif
;
; Continue if reversed file not found ...
; First get number of columns
;
close,1
s = '    '
openr,1,filename
readf,1,s
close,1
st = strtrim(s,2) ; remove leading and trailing spaces
ncol = strlen(strcompress(st))-strlen(strcompress(st,/remove_all))+1
print,ncol,' columns found'
;
if ncol eq 2 then rtab,filename,x1,x2 else if ncol eq 3 then rtab,filename,x1,x2,x3 else begin
   print,'Illegal number of columns specified'
   stop
endelse
iv = x1(0)
x1 = x1(1:*)
x2 = x2(1:*)
if ncol eq 3 then x3 = x3(1:*)
if iv gt 0 then begin
   x1 = reverse(x1)
   x2 = reverse(x2)
   if ncol eq 3 then x3 = reverse(x3)
   print,'Columns are indeed reversed'
endif
if ncol eq 2 then begin
   x3 = x2
   x2 = x1
   n = n_elements(x2)
   x1 = findgen(n) * 180./n + 10.
endif else x1 = x1 /80. + 10.
wtab,filename+'.rev',x1,x2,x3
end
