function root_table,x,y,yvalue
;
; Get x value where y(interpolated) = yvalue
; If more than one zero is found the first one is returned
;
n = n_elements(x)
if n ne n_elements(y) then begin
   print,'The arrays have different sizes ... '
   return,0.
endif
if( n_elements(yvalue) ne 1 ) then begin
   print,'The yvalue is not a single number ...'
   return,0.
endif
z = y - yvalue
zero = indgen(n)
nzeros = 0
for i = 0, n - 2 do begin
   if( z(i)*z(i+1) le 0.0 ) then begin
      zero(nzeros) = i
      nzeros = nzeros + 1
   endif
endfor
if nzeros eq 0 then begin
   print,'No root found ...'
   return,0.
endif
if nzeros gt 1 then print,'Warning: ',nzeros,' roots found ...'
;
;  Interpolate around first zero
;
i = zero(0)
dx = x(i+1) - x(i)
dz = z(i+1) - z(i)
if dz eq 0.0 then return,x(i)+0.5*dx
return,x(i)-z(i)*dx/dz
end
