pro rps, por=por, col=col, lan=lan, hei=hei, file=name, sq=sq, $
         eps=eps,small=small,lsq1=lsq1,lsq2=lsq2,la3=la3,narrow=narrow
;
; Procedure to change to PS plot
;
; Keywords:  por    : Portrait
;            col    : Color plot
;            lan    : Landscape
;            hei    : Height (fill page in portrait)
;            file   : Name of output file
;            sq     : Produce plot with square window
;            eps    : Set encapsulated PostScript
;            small  : Make a plot somewhat smaller than portrait
;            lsq1   : Large square part1
;            lsq2   : Large square part2
;            la3    : Landscape, A3 size, la3 is height in cm
;

common plotfilename, plotfile

set_plot,'ps'
print,'Plot device is now PS'
plotfile = 'idl.ps'
if keyword_set(name) then begin
   device,filename=name
   print,'The output file will be ', name
   plotfile = name
endif
if keyword_set(col) then begin
   device,/color
   print,'The option color has been set'
endif
if keyword_set(lan) then begin
   device,/landscape
   print,'The option landscape has been set'
endif
if keyword_set(por) then begin
   device,/portrait,xsize=18.,ysize=13.,xoffset=2.,yoffset=13.
   print,'The option portrait has been set'
endif
if keyword_set(small) then begin
   device,/portrait,xsize=12.,ysize=9.,yoffset=15.,xoffset=4.
   print,'The option small has been set'
endif
if keyword_set(hei) then begin
   if not keyword_set(lan) then begin
      device,/portrait,xsize=17.,ysize=25.,yoffset=1.5
      print,'The option height has been set'
   endif
endif
if keyword_set(narrow) then begin
   if not keyword_set(lan) then begin
      device,/portrait,xsize=9.,ysize=25.,xoffset=5.,yoffset=1.5
      print,'The option narrow has been set'
   endif
endif
if keyword_set(sq) then begin
   if keyword_set(small) then begin
      device,/portrait,xsize=12.,ysize=12.,yoffset=12.
      print,'The options small and square have been set'
   endif else begin
      device,/portrait,xsize=17.,ysize=17.,yoffset=10.
      print,'The option square has been set'
   endelse
endif
if keyword_set(lsq1) then begin
   device,/portrait,xsize=28.,ysize=28.,xoffset=1.,yoffset=0.5
   print,'The Large Square - part1 option has been set'
endif
if keyword_set(lsq2) then begin
   device,/portrait,xsize=28.,ysize=28.,xoffset=-10.,yoffset=0.5
   print,'The Large Square - part2 option has been set'
endif
if keyword_set(eps) then begin
   device,/encapsulated
   print,'The option encapsulated PS has been set'
endif
if keyword_set(la3) then begin
   ysize = la3
   xoffset = (30. - ysize)/2
   device,/landscape,xsize=38,ysize=ysize,xoffset=xoffset,yoffset=40
   print,'Landscape on A3 paper has been set'
endif
end
