pro rscolm, filename, coldata, colnum,str=str,$
      int=int, long=long, dble=dble, silent=silent, nrows=nrows
;
;  Use RAM for storing column data
;  This is useful when repeated readings
;  of the same column are done in the
;  same IDL session
;
;   2003-10-30/NJW
;
common memcom2, fn2mc, cn2mc, ne2mc, st2mc, data2mc
common memcom3, fn3mc, cn3mc, ne3mc, st3mc, data3mc
common memcom4, fn4mc, cn4mc, ne4mc, st4mc, data4mc
common memcom5, fn5mc, cn5mc, ne5mc, st5mc, data5mc
common memcom7, fn7mc, cn7mc, ne7mc, st7mc, data7mc
; Common arrays: filenames, colnumbers, nelems, startnum,
;                data-array

type = 4 ; float (default)
if keyword_set(str) then type = 7
if keyword_set(int) then type = 2
if keyword_set(long) then type = 3
if keyword_set(dble) then type = 5


case type of

   4 : begin  ;   FLOAT   (Default)

filnam = strtrim(filename,2)
sz = size(fn4mc)
if sz(0)+sz(1) eq 0 then nw = 0 else $
   w = where( fn4mc eq filnam and cn4mc eq colnum, nw )
if nw eq 1 then begin
   i = w(0)
   coldata = data4mc(st4mc(i):st4mc(i)+ne4mc(i)-1)
endif else begin
   rscol, filename, coldata, colnum,silent=silent
   if sz(0)+sz(1) eq 0 then begin
      fn4mc = filnam
      cn4mc = colnum
      ne4mc = n_elements(coldata)
      st4mc = 0
      data4mc = coldata
   endif else begin
      fn4mc = [fn4mc,filnam]
      cn4mc = [cn4mc,colnum]
      nnew = n_elements(coldata)
      ne4mc = [ne4mc,nnew]
      st4mc = [st4mc,n_elements(data4mc)]
      data4mc = [data4mc,coldata]
   endelse
endelse

    end

   2 : begin  ;  INT

filnam = strtrim(filename,2)
sz = size(fn2mc)
if sz(0)+sz(1) eq 0 then nw = 0 else $
   w = where( fn2mc eq filnam and cn2mc eq colnum, nw )
if nw eq 1 then begin
   i = w(0)
   coldata = data2mc(st2mc(i):st2mc(i)+ne2mc(i)-1)
endif else begin
   rscol, filename, coldata, colnum,/int,silent=silent
   if sz(0)+sz(1) eq 0 then begin
      fn2mc = filnam
      cn2mc = colnum
      ne2mc = n_elements(coldata)
      st2mc = 0
      data2mc = coldata
   endif else begin
      fn2mc = [fn2mc,filnam]
      cn2mc = [cn2mc,colnum]
      nnew = n_elements(coldata)
      ne2mc = [ne2mc,nnew]
      st2mc = [st2mc,n_elements(data2mc)]
      data2mc = [data2mc,coldata]
   endelse
endelse

    end

   3 : begin  ;  LONG

filnam = strtrim(filename,2)
sz = size(fn3mc)
if sz(0)+sz(1) eq 0 then nw = 0 else $
   w = where( fn3mc eq filnam and cn3mc eq colnum, nw )
if nw eq 1 then begin
   i = w(0)
   coldata = data3mc(st3mc(i):st3mc(i)+ne3mc(i)-1)
endif else begin
   rscol, filename, coldata, colnum, /long,silent=silent
   if sz(0)+sz(1) eq 0 then begin
      fn3mc = filnam
      cn3mc = colnum
      ne3mc = n_elements(coldata)
      st3mc = 0
      data3mc = coldata
   endif else begin
      fn3mc = [fn3mc,filnam]
      cn3mc = [cn3mc,colnum]
      nnew = n_elements(coldata)
      ne3mc = [ne3mc,nnew]
      st3mc = [st3mc,n_elements(data3mc)]
      data3mc = [data3mc,coldata]
   endelse
endelse

    end

   5 : begin  ;   DOUBLE

filnam = strtrim(filename,2)
sz = size(fn5mc)
if sz(0)+sz(1) eq 0 then nw = 0 else $
   w = where( fn5mc eq filnam and cn5mc eq colnum, nw )
if nw eq 1 then begin
   i = w(0)
   coldata = data5mc(st5mc(i):st5mc(i)+ne5mc(i)-1)
endif else begin
   rscol, filename, coldata, colnum, /dble,silent=silent
   if sz(0)+sz(1) eq 0 then begin
      fn5mc = filnam
      cn5mc = colnum
      ne5mc = n_elements(coldata)
      st5mc = 0
      data5mc = coldata
   endif else begin
      fn5mc = [fn5mc,filnam]
      cn5mc = [cn5mc,colnum]
      nnew = n_elements(coldata)
      ne5mc = [ne5mc,nnew]
      st5mc = [st5mc,n_elements(data5mc)]
      data5mc = [data5mc,coldata]
   endelse
endelse

    end

   7 : begin   ;   STRING

filnam = strtrim(filename,2)
sz = size(fn7mc)
if sz(0)+sz(1) eq 0 then nw = 0 else $
   w = where( fn7mc eq filnam and cn7mc eq colnum, nw )
if nw eq 1 then begin
   i = w(0)
   coldata = data7mc(st7mc(i):st7mc(i)+ne7mc(i)-1)
endif else begin
   rscol, filename, coldata, colnum, /str,silent=silent
   if sz(0)+sz(1) eq 0 then begin
      fn7mc = filnam
      cn7mc = colnum
      ne7mc = n_elements(coldata)
      st7mc = 0
      data7mc = coldata
   endif else begin
      fn7mc = [fn7mc,filnam]
      cn7mc = [cn7mc,colnum]
      nnew = n_elements(coldata)
      ne7mc = [ne7mc,nnew]
      st7mc = [st7mc,n_elements(data7mc)]
      data7mc = [data7mc,coldata]
   endelse
endelse

    end
endcase

nrows = n_elements(coldata)

return
end
