pro rtab,filename,c1,c2,c3,c4,c5,c6,c7,c8,c9,c10,c11,c12,c13,c14,c15,silent=silent
;
; This procedure will read an ASCII file organized as a table
; with up to 15 columns. The actual number of columns must be
; specified in the call e.g.
;
;              IDL> rtab,'mytable',x,y,z
;
; if 'mytable' contains 3 columns. 'rtab' will create the arrays
; with length equal to the number of rows in the table
;
; The keyword 'silent' suppresses the messages

nmax = 50000
n = n_params() - 1
if not keyword_set(silent) then print,'RTAB: ', n,' columns expected in '+filename
openr,lun,filename,/get_lun
c = fltarr(nmax,n)
x = fltarr(n)
i = 0
while not eof(lun) and i lt nmax do begin
  readf,lun,x
  for j = 0, n-1 do c(i,j) = x(j)
  i = i + 1
endwhile
if not keyword_set(silent) then print,'Size of table = ',i
c = c(0:i-1,*)
c1 = c(*,0)
if( n gt 1 ) then c2 = c(*,1)
if( n gt 2 ) then c3 = c(*,2)
if( n gt 3 ) then c4 = c(*,3)
if( n gt 4 ) then c5 = c(*,4)
if( n gt 5 ) then c6 = c(*,5)
if( n gt 6 ) then c7 = c(*,6)
if( n gt 7 ) then c8 = c(*,7)
if( n gt 8 ) then c9 = c(*,8)
if( n gt 9 ) then c10 = c(*,9)
if( n gt 10 ) then c11 = c(*,10)
if( n gt 11 ) then c12 = c(*,11)
if( n gt 12 ) then c13 = c(*,12)
if( n gt 13 ) then c14 = c(*,13)
if( n gt 14 ) then c15 = c(*,14)
close,lun
free_lun,lun
end
