pro sanew, dol_of_og, spec=spec
;
;  Standard Analysis of JSIM simulation results
;
if n_params() lt 1 then begin
   print,'Syntax: sanew,<dol_of_og>'
   return
endif


ebm_get_child,dol_of_og,1,swg_idx,errmsg

; Get the SWG's

ebm_get_child,swg_idx,1,swg,errmsg,count=n_swg

; Loop over all the SWG's

for i_swg = 1, n_swg do begin

   ebm_get_child,swg_idx, i_swg, swg, errmsg
   pos = strpos(swg,'.fits')
   swg_base_name = strmid(swg,0,pos)

   ;  Get statistics of number of counts etc.

   jsim_statistics, swg ; works for both JEMX units

   for jemxnum = 1, 2 do begin

      strjemx = 'JMX'+strtrim(jemxnum,2)


      ; Find the source lists for each image

      ebm_get_all_idxmembers, dol_of_og, i_swg, strjemx+'-FIND-RES-IDX',$
                      arr_file_find,errmsg, count=n_mem_find


      ;  Loop over all the members

      for mem = 0, n_mem_find - 1 do begin

         get_exten_no, arr_file_find(mem), ffind, extno_find

         ; Compare results with input sources

         rps,/sq,file=swg_base_name+'_'+strtrim(extno_find,2)+'_svi.ps'
         loadct,0
         jsim_vs_input,swg_base_name, extno_find
         xps,/x,/nop

      endfor  ;  Terminate loop over all RSTI IDX table members

      if keyword_set(spec) then begin

         ; Plot the spectra

         ; Get the number of included sources

         ebm_get_child_by_name, swg, strjemx+'-SPEC-NJW', specfile, errmsg

         get_exten_no, specfile, fspec, extno_spec
         fxbopen, unit, fspec, extno_spec
         hdr = fxbheader(unit)
         fxbclose,unit

         nbins = fxpar(hdr,'NAXIS2')
         nbytes = fxpar(hdr,'NAXIS1')

         nsources = (nbytes - 12)/8

         if nbins gt 0 then begin

            ; Do the plotting

            for i_source = 1, nsources do begin
               pos = strpos(fspec,'.fits')
               bspec = strmid(fspec,0,pos)
               ff = bspec+'_'+strtrim(i_source,2)+'.ps'
               rps,/por,file=ff
               loadct,0
               jsim_plot_spectrum,specfile,i_source,pressure=pressure,alpha=1.0
               xps,/x,/nop
            endfor

         endif
        
      endif ; end 'if spectra are requested'
   endfor ; end loop over JEMX units
endfor ; end loop over SWGs

end
