pro scale_arf, filename, factor
;
;  If filename is a jmxi_srcl_arf.fits type then
;
;  If filename is a jmxi_rmf_grp_nnnn.fits type then
;  change the AXIS-ARF in jmxi_rmf_grp_nnnn.fits
;      where 'nnnn' is the instance number
;
;   2004-06-18/NJW, cloned from substi_axis_arf.pro
;

if n_params() lt 2 then begin
   print,'Syntax; scale_arf, filename, factor'
   return
endif

if not file_test(filename,/reg) then return

type = 'non'

if n_params() lt 2 then begin
   print,'Syntax: scal_arf, filename, factor'
   print,'  where ''factor'' is the factor to apply
   return
endif

hdr = headfits(filename,ext=1)
extname = strtrim(fxpar(hdr,'EXTNAME'),2)
if extname eq 'GROUPING' then begin
   grpname = strtrim(fxpar(hdr,'GRPNAME'),2)
   if strmid(grpname,5,8) eq 'RMF.-GRP' then type = 'rmf'
endif
if strmid(extname,5,8) eq 'SRCL-ARF' then type = 'arf'

if type eq 'non' then begin
   print,'Bad filetype, exit'
   return
endif

print,'File '+filename+' is of type '+type

if type eq 'arf' then begin

   rdfitscol,filename+'+1',arf,'SPECRESP',nrows=nrows,/sil
   arf = arf * factor
   if nrows eq 1 then arf = reform(arf,500,1)
   fits_replace_col, filename+'+1','SPECRESP', arf

endif

if type eq 'rmf' then begin

   rdfitscol,filename+'+4',arf,'SPECRESP',/sil
   arf = arf * factor
   fits_replace_col, filename+'+4','SPECRESP', arf

endif


end
