pro seek_src_id, catdol
;
;  Seek the identification of all sources in a catalog FITS file
;  i.e. with a RA_OBJ and DEC_OBJ column
;
;   2006-12-19/NJW
;
if n_params() lt 1 then begin
   print,'Syntax: seek_src_id, catdol'
   return
endif
get_exten_no, catdol, catfile, extno
if not file_test( catfile, /reg ) then begin
   print, catfile+' does not exist'
   return
endif

rdfitscol, catdol, ra_obj, 'ra_obj', /sil, nrows=nrows
rdfitscol, catdol, dec_obj, 'dec_obj', /sil

for i = 0, nrows-1 do begin
   print,'--------------------------------------'
   strradec = string( ra_obj(i), dec_obj(i), format='(2f8.3)')
   print,'Searching around source #'+stri(i+1)+' at: '+strradec
   nearby_sources, ra_obj(i), dec_obj(i), 0.5, /nof, /silent
endfor

end
