function senslm_pick_swids, flux_limit
;
;  A procedure in the SENSLM package
;  to pick the SWIDs with no source stronger than 'flux_limit'
;
;   2005-07-26/NJW
;
catalog = '/home/njw/work/jmx2_cat_c2_001.fits+1'
rdfitscol,catalog,swid,'SWID',nrows=nrows
rdfitscol,catalog,flux,'FLUX',/sil

done = intarr(nrows)
result = strarr(1000)

kount = 0
for i = 0, nrows-1 do begin
   if done(i) then continue
   w = where( swid eq swid(i), nw )
   done(w) = 1
   if max(flux(1,w)) lt 20 then begin
      result(kount) = swid(i)
      kount = kount + 1
   endif
endfor

return, result(0:kount-1)

end
