pro set_cut, im, lolim, hilim
;
;  Set image cuts interactively
;
;   2004-04-01/NJW
;
if n_params() lt 3 then begin

   print,'Syntax: set_cut, im, lolim, hilim'
   print,'  Plot device cannot be PS'
   print,'  Selected values are returned in lolim and hilim'
   return

endif

if !d.name eq 'PS' then begin
   print,'Not applicable for plot device PS'
   return
endif


lolim = min(im)
hilim = max(im)
window,8

disp,pa=9,im
histo,im,h,x,nbins=200

repeat begin

   wset,8
   plot_io,x,h,ps=10,yr=[0.5,1.5*max(h)]
   oplot,lolim*[1,1],[0.5,1.5*max(h)]
   oplot,hilim*[1,1],[0.5,1.5*max(h)]
   curmark,r,npoints=n

   if n ge 2 then begin
      lolim = r(0,0)
      hilim = r(0,1)
      disp,pa=9,(im > lolim) < hilim
   endif

endrep until n eq 0

wdelete,8,9

end
