function sflux,e1,e2,earr,spectrum
;
;  Calculate source strength (S) in erg cm-2 s-1
;  from e1 to e2 of 'spectrum' where 'earr' is the
;  energy scale
;
npa = n_params()
if npa lt 4 then begin
   print,'SFLUX, e1, e2, energy_array, spectrum'
   return,-1.
endif
n = n_elements(earr)
if n ne n_elements(spectrum) then begin
  print,'Arrays do not match'
  return,-1.
endif
a = earr
b = shift(earr,1)
a = a - b
a(0) = a(1)
index = where( (e1 lt earr) and (e2 ge earr) )
return,total(a(index)*earr(index)*spectrum(index)*1.6e-9)
end
