pro shd_xy_conv, p,q, to=to
;
; Procedure for converting positions between detector coordinates in mm
; to array indices in shadowgram (see j_os_glgethexcell.c and
; j_os_brconvolve).
;

if n_params() ne 2 then begin  ; Wrong number of arguments
   print,'%SHD_XY_CONV Illegal number of parameters'
   retall
endif

rho = 1.65; mm

if keyword_set(to) then begin
   if to eq 'shd' then begin
      i = (p - q/sqrt(3))/(2*rho) + 47
      j = q / (sqrt(3)*rho) + 47
      p = i
      q = j
   endif else begin
      x = rho*(2.*(p-47)+q-47)
      y = rho*sqrt(3)*(q-47)
      p = x
      q = y
   endelse
   return
endif else begin
   print,'%POS_CONV error - keyword ''to'' must be given'
   retall
endelse

end

