function shiftf, array, dx, xfrac, dy, yfrac
;
;  Shift a fractional pixel
;
xfr = fix(xfrac)
if xfr ne 1 and xfr ne 2 and xfr ne 3 then begin
   print,'Illegal value: X fraction must be 1, 2, or 3'
   return,-1
endif
yfr = fix(yfrac)
if yfr ne 1 and yfr ne 2 and yfr ne 3 then begin
   print,'Illegal value: Y fraction must be 1, 2, or 3'
   return,-1
endif

sz = size(array)

b = 1.0 * congrid(array, xfr*sz(1), yfr*sz(2)) / (xfr*yfr)

b = shift(b,dx,dy)

c = fltarr(sz(1),sz(2))

for i = 0, sz(1)-1 do begin
for j = 0, sz(2)-1 do begin
   c(i,j) = total(b(i*xfr:(i+1)*xfr-1,j*yfr:(j+1)*yfr-1))
endfor
endfor

return, c

end
