pro sort_variables, filename, outfile=outfile
;
;   Organizing variables in c program
;
;   This is a simple version where one is looking
;   for variables in structs
;
;    2006-02-27/NJW
;
vb = 1
text = read_slist(filename, count=ntext)
; restructure into a single string
ftext = text(0)
for i = 1, ntext-1 do ftext = ftext+text(i)

if keyword_set(outfile) then begin
   openw,lun,outfile,/get_lun
endif else lun = -1

fp = 0
while 1 do begin

   if lun ge 0 then printf,lun,'-------------------------' $
   else print,'--------------------------'

   curlist = ''

   ; select piece of string between brackets
   pbl = strpos(ftext, '{', fp )
   if pbl lt 0 then begin
      print,'No more information - terminate'
      if lun ge 0 then free_lun, lun
      return
   endif
   pbr = strpos(ftext, '}', pbl+1 )
   if pbr lt 0 then begin
      print,'Missing bracket - terminate'
      if lun ge 0 then free_lun, lun
      return
   endif

   fp = pbr + 1
   piece = strmid(ftext,pbl+1,pbr-pbl-1)
   pp = 0
   con = 1
   while con do begin
      ; pick out all strings ending with ';'
      pn = strpos( piece, ';', pp )
      if pn ge 0 then begin ; found a new string
         newstring = strtrim(strmid(piece,pp,pn-pp),1)
         if(vb)then print,'# newstring: '+newstring
         if curlist(0) eq '' then curlist = [newstring] $
         else curlist = [curlist, newstring]
         pp = pn + 1
      endif else con = 0 ; no more variables in this piece
   endwhile

   if pp gt 0 then begin ; Yes, found indeed, start processing
      n = n_elements(curlist)
      if(vb) then print,'# n_elements in curlist: '+stri(n)
      s = sort(strlowcase(curlist))
      curlist = curlist(s)
      if lun ge 0 then column_printf, lun, curlist,margin=6 $
      else column_print, curlist, margin=3
   endif
endwhile

if lun ge 0 then free_lun, lun

end
