function sost, x, x0, lambda
;
;     2003-04-07/NJW
;
;  Return exponential low value cutting function
;
if n_params() lt 3 then begin
   print,'Syntax: res = sost(x, x0, lambda)'
   return,-1
endif

sz = size(x)
if sz(0) eq 0 then begin
   if x le x0 then return, 0.5*exp((x-x0)/lambda) $
     else return, 1.-0.5*exp((x0-x)/lambda)
endif else begin
   res = fltarr(n_elements(x))
   w = where( x le x0, nw)
   if nw gt 0 then res(w) = 0.5*exp((x(w)-x0)/lambda)
   w = where( x gt x0, nw)
   if nw gt 0 then res(w) = 1. - 0.5*exp((x0 - x(w))/lambda)
endelse
return, res
end
