function spand, xmin, xmax, n
;  DOCUMENT arr = spand( xmin, xmax, n )
; 
;   Returns n numbers with linearly increasing differences.
;   A result somewhere beteen 'span' and 'spanl'.
; 
   if n_params() lt 3 then begin
      print,'Syntax: arr = spand( xmin, xmax, n )
      print,''
      print,'Returns numbers between xmin and xmax with linearly increasing difference'
      print,' SEE ALSO  xlingen alias span, xloggen alias spanl'
      return, -1
   endif

   xmn = double(xmin);
   xmx = double(xmax);
   k2 = (xmx-xmn)/(double(n)*(n-1));
   a = double(indgen(n));
   return, k2 * a * (a + 1) + xmin;

end
