function spanl, xmin, xmax, nval
;
; Generate an array with nval logarithmically distributed
; numbers from xmin to xmax, both included
;
;  1995-01-01(???)/NJW
;  2007-01-18/NJW update with documentation output
;
   if n_params() ne 3 then begin
      print,'Syntax: array = spanl( xmin, max, nval )'
      print,'  Returns a (double) array with logarithmically spaced x-values'
      print,'SEE ALSO span alias xlingen, and spand'
      return,-1
   endif
   s = ((1.d0*xmax) / xmin)^(1.d0/(nval-1))
   return,xmin*s^findgen(nval)
end
