function squeeze, im, limit
;
;  Redistribute values in 2D array (image) so all
;  pixel values are less than 'limit'
;
sz = size(im)
if sz(0) ne 2 then begin
   print,'SQUEEZE error - bad array dimensions'
   retall
endif
av = avg(im)
if limit le av then begin
   print,'SQUEEZE error - limit less than average'
   retall
endif

kernel = [[0.6,.8,.6],[0.8,1.,.8],[0.6,.8,.6]]
tot = total(kernel)
a = im

dum = where(a gt limit, n_above)

while n_above gt 0 do begin
   a0 = a*0.
   a0(dum) = a(dum)
   a(dum) = 0.
   b = convol(a0,kernel,tot,/edge_truncate)
   a = a + b
   dum = where(a gt limit, n_above)
endwhile
return, a
end
