function stddev_dist, x, y
;
; Return standard deviation of distribution
;
;  x0 = SUM(xy) / SUM(y)
;
; stddev = sqrt( SUM((x-x0)^2 * y) / SUM(y) )
;
sumy = total(y)
x0 = total(x*y) / sumy
return,sqrt(total((x-x0)^2 * y) / sumy)
end
