function str2arr, str
;
;   Convert an expression such as '3,5,6,9-14,16-20'
;   to array[3,5,6,9,10,11,12,13,14,16,17,18,19,20]
;
;   2004-02-11/NJW
;
if n_params() lt 1 then begin
   print,'Syntax: array = str2arr(string)'
   print,'    string is of type ''3,5,7-9,11,13-15'''
   print,' resulting in [3,5,7,8,9,11,13,14,15]'
   return,-1
endif

sz = size(str)
if sz(1) ne 7 then begin
   print,'Argument must be a string'
   return,-1
endif

tok = strsplit(str,',',/extract)
ntok = n_elements(tok)

first = 1
for i = 0, ntok-1 do begin

   pos = strpos(tok(i),'-')
   if pos eq 0 or pos eq strlen(tok(i))-1 then begin
      print,'Illegal format'
      return,-1
   endif
   if pos gt 0 then begin
      upl = strsplit(tok(i),'-',/extract)
      nupl = n_elements(upl)
      if nupl ne 2 then begin
	 print,'Illegal format'
	 return,-1
      endif
      k1 = fix(upl(0))
      k2 = fix(upl(1))
      if k2 le k1 then begin
	 print,'Illegal format'
	 return,-1
      endif
      if first then begin
	 array = indgen(k2-k1+1) + k1
	 first = 0
      endif else begin
	 array = [array,indgen(k2-k1+1) + k1]
      endelse
   endif else begin
      if first then begin
	 array = fix(tok(i))
	 first = 0
      endif else begin
	 array = [array,fix(tok(i))]
      endelse
   endelse

endfor

return, array

end
