function str_join, str_array, char
;
; Join string array 'str_array' into a single string scalar
; using 'char' as glue
;
;  NJW  000726
;
if n_params() ne 2 then begin
   print,'STR_JOIN error - wrong number of parameters'
   return,''
endif

sz = size(str_array)
dimsz = n_elements(sz)
n_str_array = sz(dimsz-1)
stra = strarr(n_str_array)

; If the array is not a string array then it is transformed into
; a string array 'stra'

if sz(dimsz-2) ne 7 then begin
   for i = 0, n_str_array-1 do begin
      stra(i) = strtrim(str_array(i),2)
   endfor
endif else stra = str_array ;  simple copy if already a string array

if n_str_array lt 2 then return, stra(0)

result = ''

for i = 0, n_str_array-2 do begin
   result = result+stra(i)+char
endfor
result = result+stra(i)

return, result

end

