function strcharrepl, str_in, old_char, new_char, pos=pos
;
;  Replace all occurrences of 'old_char' in string 'str'
;  with 'new_char' from position 'pos' if given
;
;   NJW/010525
;   2003-12-15/NJW  Updated with keyword 'pos'
;
if n_params() ne 3 then begin
   print,'Syntax: res = strcharrepl(string, old_char, new_char[,pos=])'
   return,''
endif

if strlen(old_char) ne 1 then begin
   print,'Bad length of 2. argument'
   return,''
endif

if strlen(new_char) ne 1 then begin
   print,'Bad length of 3. argument'
   return,''
endif

str = str_in ; avoid to change input string
nstr = n_elements(str)

for i = 0, nstr-1 do begin

   len = strlen(str(i))

   if not keyword_set(pos) then pos = 0

   while pos lt len do begin

      npos = strpos(str(i),old_char,pos)
      if npos ge 0 and npos lt len then begin
         tmp = str(i)
         strput, tmp, new_char, npos
         str(i) = tmp
         pos = npos
      endif else begin
         pos = len
      endelse

   endwhile

endfor

return, str

end

