function strinsert, oldstring, newpiece, position
;
;  Insert 'newpiece' into 'oldstring' just after
;         position 'position'
;
; e.g. res = strinsert('0123456789','abc',4)
;        gives  '01234abc56789'
;
;   NJW/991210
;
;-----------------------------------
;  Check input parameters
;
if n_params() ne 3 then begin
   print,'STRINSERT, oldstring, newpiece, position'
   print,'  ''newpiece'' will be inserted AFTER ''position'''
   return, ''
endif

sz_old = size(oldstring)

cont = 1
if sz_old(0) ne 0 then begin
   print,'''oldstring'' must be a scalar'
   cont = 0
endif
if sz_old(1) ne 7 then begin
   print,'''oldstring'' must be a string'
   cont = 0
endif

sz_new = size(newpiece)

if sz_new(0) ne 0 then begin
   print,'''newpiece'' must be a scalar'
   cont = 0
endif
if sz_new(1) ne 7 then begin
   print,'''newpiece'' must be a string'
   cont = 0
endif

sz_pos = size(position)

if sz_pos(0) ne 0 then begin
   print,'''position'' must be a scalar'
   cont = 0
endif
if sz_pos(1) eq 7 then begin
   print,'''position'' cannot be a string'
   cont = 0
endif
if not cont then return, ''

len_old = strlen(oldstring)

if position ge len_old then return, ''

str_before = strmid(oldstring,0,position+1)
str_after  = strmid(oldstring,position+1, len_old)

return,str_before+newpiece+str_after

end
