function strrepl, input_string, oldpiece, newpiece
;
;  Replace first occurrence of 'oldpiece' with 'newpiece'
;
;   Old version: NJW/991210
;   Updated version: 2005-09-30/NJW
;
;-----------------------------------
;  Check input parameters
;
if n_params() ne 3 then begin
   print,'STRREPL, oldpiece, newpiece, position'
   return, ''
endif

sz = size(input_string)

cont = 1
if sz(0) ne 0 then begin
   print,'''input_string'' must be a scalar'
   cont = 0
endif
if sz(1) ne 7 then begin
   print,'''input_string'' must be a string'
   cont = 0
endif

sz_old = size(oldpiece)

cont = 1
if sz_old(0) ne 0 then begin
   print,'''oldpiece'' must be a scalar'
   cont = 0
endif
if sz_old(1) ne 7 then begin
   print,'''oldpiece'' must be a string'
   cont = 0
endif

sz_new = size(newpiece)

if sz_new(0) ne 0 then begin
   print,'''newpiece'' must be a scalar'
   cont = 0
endif
if sz_new(1) ne 7 then begin
   print,'''newpiece'' must be a string'
   cont = 0
endif

if not cont then return, ''

position = strpos( input_string, oldpiece )

if position lt 0 then begin
   print,'''',oldpiece,''' not found in input_string'
   return,''
endif

len_old = strlen(oldpiece)
len_new = strlen(newpiece)

str_before = strmid(input_string,0,position)
str_after  = strmid(input_string,position+len_old, 9999)

return,str_before+newpiece+str_after

end
