function strsci, t, ndec=ndec
;
; Return a string with scientific notation of t
;  Keyword 'ndec' is the number of decimals
;
;    NJW/991210 (update)
;
nd = 0  ; number of decimals - default
if keyword_set(ndec) then nd = ndec

sgn = 1.0
if t lt 0 then sgn = -1.0

at = abs(t)

e = alog10(at)
ie = fix(e)     ; integer exponent
if e lt 0. then ie = ie - 1  ; adjusted

if nd eq 0 then begin
   m = fix(at/10.^ie + 0.5)
   if m eq 10 then begin
      m = 1
      ie = ie + 1
   endif
   ae = abs(e)
   nsp = fix(alog10(ae)) + 1
   if e lt 0. then nsp = nsp + 1
   format_str = '(i1," 10!u",i?,"!n")' ; the '?' simply reserves a position
   digit = string(nsp,format='(i1)')
   strput,format_str,digit,13          ; replaces the '?'
   if sgn gt 0.0 then begin
      return,string(m,ie,format=format_str)
   endif else begin
      return,'-'+string(m,ie,format=format_str)
   endelse
endif else begin
   if sgn lt 0.0 then outstring = '-' else outstring = ''
   xm = at/10.^ie   ; mantissa 1 <= xm < 10
   w = 2 + nd ; width of 'f4.2'
   fform = '(f'+strtrim(w,2)+'.'+strtrim(nd,2)+')'
   outstring = outstring+string(xm,format=fform)+' 10!u'
   outstring = outstring+strtrim(ie,2)+'!n'
   return, outstring
endelse
end
