;
; Update 2D image from an array of x values and one of y values with
; weights
;
function sum2image,im,xval,yval,xmin,xmax,ymin,ymax,w
;
if( n_params() lt 7 ) then begin
   print,'sum2image,im,xval,yval,xmin,xmax,ymin,ymax[,w]'
   return,-1.
endif
if( n_params() lt 8 ) then w = 0.*xval+1.
index = size(im)
if( index(0) ne 2 ) then begin
   print,'Incorrect number of dimensions for image'
   return,-1.
endif
nx = n_elements(xval)
if( nx ne n_elements(yval) or nx ne n_elements(w) ) then begin
   print,'Not matching number of dimensions in call'
   return,-1.
endif
;
dx = (xmax - xmin)/index(1)
dy = (ymax - ymin)/index(2)
for i = 0,nx-1 do begin
   ix = ((xval(i) - xmin) / dx) > 0
   ix = ix < (index(1)-1)
   iy = ((yval(i) - ymin) / dy) > 0
   iy = iy < (index(2)-1)
   im(ix,iy) = im(ix,iy) + w(i)
endfor
return,im
end
