pro supergrep, object, file_with_list, log=log, mon=mon
;
;  Probably first version around 1996
;
;   2004-03-27/NJW  Updated
;   2004-05-11/NJW  Updated, adding 'mon'(itor) keyword
;   2004-12-20/NJW  Updated, avoid using UNIX 'grep' so linenumbers can be added
;
if n_params() lt 2 then begin
   print,'Syntax: supergrep, object, file_with_filelist[,log=][,/mon]'
   print,'    keyword   log  :   save results in this log file'
   print,'              mon  :   monitoring keyword i.e. show progress'
   return
endif

if keyword_set(log) then begin
   openw,lun,log,/get_lun
   print,'The result is logged in '''+log+''''
endif
if keyword_set(mon) then besked,'init',/in
list = read_slist(file_with_list)
n = n_elements(list)

; enclose 'object' in quotes if not already done

;l_object = strlen(object)
;c1 = strmid(object,0,1)
;c2 = strmid(object,l_object-1,1)
;if c1 ne '''' then object = ''''+object
;if c2 ne '''' then object = object+''''

; Go through the list of files

for i = 0,n-1 do begin
   if keyword_set(mon) then begin
      besked,list(i)
      wait,0.1
   endif
   text = read_slist( list(i), count=nlines )
   result = strarr(nlines)
   kres = 0
   for j = 0L, nlines-1 do begin
      pos = strpos( text(j), object )
      if( pos ge 0 ) then begin
         result(kres) = string(j+1,format='(i5.5)')+' '+text(j)
         kres = kres + 1
      endif
   endfor
   if result(0) ne '' then begin
      print,'-------------------------------------------'
      print, 'Next file : ', list(i)
      print,'-------------------------------------------'
      for j = 0L, kres-1 do print,result(j)
      if keyword_set(log) then begin
         printf,lun,'-------------------------------------------'
         printf,lun, 'Next file : ', list(i)
         printf,lun,'-------------------------------------------'
         for j = 0L, kres-1 do printf,lun,result(j)
      endif
   endif
endfor
if keyword_set(log) then free_lun,lun
end
