pro sweepdir
;
; Move all older versions of a file created with 'back'
; to subdirectory 'obsolete' except the newest one
;

; Get all files

list = file_search('*', /test_reg, count=n_list)

; Make sure that the 'obsolete' directory exists

if file_test('obsolete',/dir) eq 0 then spawn,'mkdir obsolete'

; Sort list with file names

is = sort(list)
list = list(is)

; Find possible candidates

in_family = 0
for i = 0,n_list-1 do begin  ; A

   len = strlen( list(i) )

   ;  Remove files with names ending with '_' (underscore)

   if len gt 0 then begin    ; AA
      if strmid(list(i),len-1,1) eq '_' then $
         spawn,'rm '+list(i)
   endif                     ; end AA

   ;  Remove files with names ending with '~' (tilde)

   if len gt 0 then begin    ; AAA
      if strmid(list(i),len-1,1) eq '~' then $
         spawn,'rm '+list(i)
   endif                     ; end AAA

   ; Remove specific file(s)

   if len gt 0 then begin   ; AAAA
      if list(i) eq 'sync.tar' then spawn,'rm sync.tar'
      if list(i) eq 'asdf' then spawn,'rm asdf'
   endif

   ;  Look for back up versions of a file

   if len gt 4 then begin    ; B
      ext = strmid(list(i),len-4,4)
      if strmid(ext,0,1) eq '.' $
         and is_digit(strmid(ext,1,3)) then begin  ; C

         if not in_family then begin                ; D
            ; possibly a new family
            possible_name = strmid(list(i),0,len-4)
            if list(i-1) eq possible_name then begin ; E
               in_family = 1
               family_name = possible_name
            endif                                  ; end E
         endif else begin                         ; cont D
            ; still in this family ?
            possible_name = strmid(list(i),0,len-4)
            if possible_name eq family_name then begin  ; F
               spawn,'mv '+list(i-1)+' obsolete'
               print,'mv '+list(i-1)+' obsolete'
            endif else begin                          ; cont F
               in_family = 0
            endelse                                  ; end F
         endelse                                   ; end D

      endif else in_family = 0   ;   end C
   endif else in_family = 0    ; end B
endfor ; A

; See if 'obsolete' is empty - then remove it

;  Checks for both regular files and directories

list = file_search('obsolete/*', count=n_list)
if n_list eq 0 then spawn,'rmdir obsolete'


end



