function swid_is_pvsurvey, swid
;
;  Function that returns 1 is the 12 digit (string) SWID
;  is in group PV and returns 2 if in group SURVEY
;
;  2004-02-12/NJW
;
if n_params() lt 1 then begin
   print,'Syntax: answer = swid_is_pvpurvey(swid)'
   print,'   where ''swid'' is 12 digit string'
   return,-1
endif

sz = size(swid)
if sz(sz(0)+1) ne 7 then begin
   print,'Wrong argument'
   return,-1
endif

n_swid = n_elements(swid)
res = intarr(n_swid)

; Read the data

rscolm,'/r6/jemx/pointings/swids_of_group_pv.list',pvswids,1,/sil,/str
rscolm,'/r6/jemx/pointings/swids_of_group_survey.list',svswids,1,/sil,/str

for i = 0, n_swid-1 do begin

   w = where(pvswids eq swid(i), nw)
   if nw eq 1 then res(i) = 1 else begin
      w = where(svswids eq swid(i), nw)
      if nw eq 1 then res(i) = 2 else res(i) = 0
   endelse

endfor

if n_swid eq 1 then return, res(0) else return, res

end
