pro swpfunc,x,a,f,pder
if n_elements(a) ne 10 then begin
  print,'Array a does not have length 10'
  return
endif
f = x
pder = fltarr(n_elements(x),10)
for i = 0,n_elements(x)-1 do begin
; Geocoronal line
  if( abs(a(1)) lt 1.e-10 ) then arg = 10. else arg = (x(i) - 1216.0) / a(1)
  if abs(arg) gt 7.0 then begin
    f(i) = 0.0
    pder(i,0) = 0.0
    pder(i,1) = 0.0
  endif else begin
    e = exp(-0.5*arg^2)
    f(i) = a(0)*e
    pder(i,0) = e
    pder(i,1) = a(0) * e * arg^2 / a(1)
  endelse
; Lyman alpha
  if( abs(a(3)) lt 1.e-10 ) then arg = 10. else arg = (x(i) - 1258.6) / a(3)
  if abs(arg) gt 7.0 then begin
    pder(i,2) = 0.0
    pder(i,3) = 0.0
  endif else begin
    e = exp(-0.5*arg^2)
    f(i) = f(i) + a(2)*e
    pder(i,2) = e
    pder(i,3) = a(2) * e * arg^2 / a(3)
  endelse
; Silicon IV
  if( abs(a(5)) lt 1.e-10 ) then arg = 10. else arg = (x(i) - 1446.0) / a(5)
  if abs(arg) gt 7.0 then begin
    pder(i,4) = 0.0
    pder(i,5) = 0.0
  endif else begin
    e = exp(-0.5*arg^2)
    f(i) = f(i) + a(4)*e
    pder(i,4) = e
;    pder(i,5) = a(4) * e * arg^2 / a(5)
    pder(i,5) = 0.
  endelse
; Carbon IV
  if( abs(a(7)) lt 1.e-10 ) then arg = 10. else arg = (x(i) - 1600.0) / a(7)
  if abs(arg) gt 7.0 then begin
    pder(i,6) = 0.0
    pder(i,7) = 0.0
  endif else begin
    e = exp(-0.5*arg^2)
    f(i) = f(i) + a(6)*e
    pder(i,6) = e
    pder(i,7) = a(6) * e * arg^2 / a(7)
  endelse
; continuum
  f(i) = f(i) + a(8) + (x(i) - 1600.0)*a(9)
  pder(i,8) = 1.0
  pder(i,9) = x(i) - 1600.0
endfor
return
end
