pro tarf1, help=help
;
;  2004-09-17/NJW, cloned from new_arf_step1.pro, arffit_....pro, new_arf_step2.pro
;
;  
;
;  Procedure: Take a Crab spectrum and the corresponding ARF (ARFc).
;  Take the ARF (ARFr) from a selected RMF-GRP (e.g. jmx2_rmf_grp_0005.fits)
;  test that it matches the ARFc, at least at energies above 10 keV except
;  for a factor - the Crab could be observed off-axis.
;
;  Assume that the (combined?) Crab spectrum is in jmx2_0003_spe.fits
;
;  Create a new file jmx2_0003_arf.fits with ARFr (and the factor)
;  and make sure that the column 'ANCRFILE' gives the name 'jmx2_0003_arf.fits'
;  and the keyword 'RESPFILE' gives the name of the reference RMF-GRP
;  (in this text jmx2_rmf_grp_0005.fits)
;
;  The vignetting factor found is stored in 'new_arf_step1.par' and in 'new_arf_step2.par'
;

if keyword_set(help) then begin
   print,'Syntax: make_arf[,/help]'
   print
   return
endif

common instrument, e_min, e_max, matrix, arf
common observation, rate, stat_err, countspec, number
common model, elo, ehi, eline, spectrcode
common results, const, param1, nh, chi2red, sx
common rmf, rmf_grp_file

crab_spe_file = get_pars('make_arf.par','crab_spe_file')
crab_arf_file = get_pars('make_arf.par','crab_arf_file')

end
