function thruput, xp, yp, x, y, omega
;
;  Calculates the throughput of JEMX for a pointing at (xp,yp) [arcmin]
;  at the position (x,y) [arcmin] with an angle 'omega' [rad]
;  with respect to a collimator grid direction
;
;   NJW  970221
;

; --- off axis angle

alpha = sqrt((1.*xp-x)^2 + (1.*yp-y)^2) / 3438.  ; converted to radians
;* print,'alpha = ', alpha*3438., ' arcmin'

; --- area of the two circles

d = tan(alpha) * 3385.                     ; Det-Mask
f = circ_area1(d, 267.5, 125.) / (!pi * 125.^2)
;* print,'rel. circ area = ', f

; --- through collimator

q = (57./6.6) * tan(alpha)
;* print,'q = ', q
t = (1 - q * cos(omega)) * (1. - q * sin(omega))
;* print,' thru coll = ', t

return, f * t
end
