function thruput_instr, yp, zp
;
;  Calculates the throughput of JEMX for a pointing at (yp,zp) [arcmin]
;  relative to the instrument optical axis
;  The derived angle 'omega' is defined
;  with respect to a collimator grid direction
;
;   NJW  970221
;    Cloned from thruput.pro 980828 (NJW)
;

; --- off axis angle

alpha = sqrt(yp^2 + zp^2) / 3437.75  ; converted to radians
;* print,'alpha = ', alpha*3437.75, ' arcmin'

; --- Omega angle (azimuth)

angles = abs([zp,yp])
omega = atan(min(angles), max(angles))

; --- area of the two circles

d = tan(alpha) * 3385.                     ; Det-Mask
f = circ_area1(d, 267.5, 125.) / (!pi * 125.^2)
;* print,'rel. circ area = ', f

; --- through collimator

q = (57./6.6) * tan(alpha)
;* print,'q = ', q
t = (1 - q * cos(omega)) * (1. - q * sin(omega))
;* print,' thru coll = ', t

return, f * t
end
