function triprot,im,g,angle,peaksize
;
;  Function for image rotation and translation
;  Use linear regression on peaksearch result to determine
;  peak positions and rotation angle
;
;  Return translated and rotated image
;  The rotation angle is returned as an argument in degrees
;
sz = size(im)
; window,0,xsize=sz(1),ysize=sz(2)
tvscl,im
npeak = -1                            ; cancel image plots
p = peaks_byt(im,g,npeak,peaksize)    ; find the peaks
ab = lin_reg(p(0,*),p(1,*),yfit)      ; determine slope
angle = atan(ab(0))/0.0174533
print,'Rotation angle = ',angle
x = 256
y = ab(0)*x + ab(1)
print,'New x,y : ', x, y
rm = rot(im,angle,1.,x,y)
wset,0
tvscl,rm
return,rm
end
