pro tvcont_2in1, a, b, xa, ya, xb, yb, plsize=plsize, $
         pane=pane, _extra=e

;
;  Combine two 'tv' plots each with contour plot 
;  in one figure - side by side
;
npar = n_params()
if npar lt 1 then begin
   print,'TVCONT_2IN1, a, b[, xa, ya[, xb, yb]],plsize=,pane='
   return
end
pan = 0
if keyword_set(pane) then pan = pane

sza = size(a)
xdima = sza(1)
ydima = sza(2)
aspect = float(ydima)/xdima

szb = size(b)

;
; Define default values
;
if !d.name eq 'PS' then plsz = 16. else plsz = 600
mx = 0.07    ; normalized coordinates
nx = 0.07    ; normalized coordinates
ox = 0.05    ; normalized coordinates
my = 0.1    ; normalized coordinates
ny = 0.05    ; normalized coordinates
sx = 0.5*(1 - mx - nx - ox)    ; normalized coordinates
sy = 1 - my - ny    ; normalized coordinates
x1 = mx
x2 = mx + sx
x3 = mx + sx + nx
x4 = mx + sx + nx + sx
y1 = my
y2 = my + sy
;
; Use keyword value is given
;
if keyword_set(plsize) then plsz = plsize
print,'aspect = ', aspect,'  plsz = ', plsz

; xsz is the window size (device coordinates) in x

; sfx is x frame size in device coordinates

; aspect = sfy / sfx

xsz = plsz
sfx = plsz * sx
sfy = aspect * sfx
ysz = sfy / sy

!x.style = 1
!y.style = 17
if !d.name eq 'PS' then begin
   xof = 2. + (16.-xsz)/2
   yof = 8. + (16.-ysz)/2
   device,xsize=xsz,ysize=ysz,xo=xof,yo=yof
endif

; 1)  Start first frame

!p.position = [x1,y1,x2,y2]
xfactor = !p.position(2)-!p.position(0)
yfactor = !p.position(3)-!p.position(1)
if !d.name eq 'X' then begin
   window,pan,xs=xsz,ys=ysz
   tv,replicate(100,xsz,ysz)
   tvscl,congrid(a,xsz*xfactor,ysz*yfactor), $
                xsz*!p.position(0),ysz*!p.position(1)
endif else begin
   tvscl,congrid(a,400,400*aspect),!x.window(0),!y.window(0),$
      xsize=!x.window(1)-!x.window(0),$
      ysize=!y.window(1)-!y.window(0),/norm
endelse
if npar lt 3 then contour,a,col=0,/noerase,_extra=e $
   else contour,a,xa,ya,col=0,/noerase,_extra=e

; 2) Second frame

!p.position = [x3,y1,x4,y2]
xfactor = !p.position(2)-!p.position(0)
yfactor = !p.position(3)-!p.position(1)
if !d.name eq 'X' then begin
   tvscl,congrid(b,xsz*xfactor,ysz*yfactor), $
                xsz*!p.position(0),ysz*!p.position(1)
endif else begin
   tvscl,congrid(b,400,400*aspect),!x.window(0),!y.window(0),$
      xsize=!x.window(1)-!x.window(0),$
      ysize=!y.window(1)-!y.window(0),/norm
endelse
if npar lt 3 then contour,b,col=0,/noerase,_extra=e $
   else if npar lt 5 then contour,b,xa,ya,col=0,/noerase,_extra=e $
   else contour,b,xb,yb,col=0,/noerase,_extra=e

end



