pro tvcont_aux_fits, fitsimagefile, a, x, y
;
;  Auxiliary routine to use 'tvcont' on FITS image
;
;  Uses CDELT1 etc. to build 'x' and 'y' arrays
;
;  Call:   fitsimagefile     Name of FITS file with array (primary)
;
;  Return: a                 The primary array
;          x                 Vector with x values
;          y                 Vector with y values
;
fxread,fitsimagefile, a, hdr

cdelt1 = fxpar(hdr,'CDELT1')
cdelt2 = fxpar(hdr,'CDELT2')
crpix1 = fxpar(hdr,'CRPIX1')
crpix2 = fxpar(hdr,'CRPIX2')
; in FITS the first pixel has number 1
crval1 = fxpar(hdr,'CRVAL1')
crval2 = fxpar(hdr,'CRVAL2')
print,'  cdelt1 = ', cdelt1
print,'  cdelt2 = ', cdelt2
print,'  crval1 = ', crval1
print,'  crval2 = ', crval2
print,'  crpix1 = ', crpix1
print,'  crpix2 = ', crpix2
sz = size(a)
print,'Array ',sz(1),' x',sz(2)
x = crval1 + (indgen(sz(1)) - crpix1 + 1)*cdelt1
y = crval2 + (indgen(sz(2)) - crpix2 + 1)*cdelt2
end

