pro tvframe, a, plsize=plsize, pane=pane, _extra=e
;
; Make 'tv' plot with frame
;
; The keyword 'plsize' defines the size (for PS in cm)
; or the largest side of the plot
;
npar = n_params()
if npar lt 1 then begin
   print,'TVFRAME, array[,plsize=][,xr=][,yr=]'
   return
end

pan = 0
if keyword_set(pane) then pan = pane

sz = size(a)
xdim = sz(1)
ydim = sz(2)
aspect = float(ydim)/xdim
;
; Define default values
;
if !d.name eq 'PS' then plsz = 16. else plsz = 600
;
; Use keyword value is given
;
if keyword_set(plsize) then plsz = plsize
print,'aspect = ', aspect,'  plsz = ', plsz
if aspect lt 1.0 then begin
   xsz = plsz
   ysz = aspect * plsz
endif else begin
   xsz = plsz / aspect
   ysz = plsz
endelse
print,'xsz = ', xsz, ' ysz = ', ysz,' plsz = ',plsz
!x.style = 1
!y.style = 17
if !d.name eq 'PS' then begin
   xof = 2. + (16.-xsz)/2
   yof = 8. + (16.-ysz)/2
   device,xsize=xsz,ysize=ysz,xo=xof,yo=yof
endif
!p.position = [0.10,0.10,0.95,0.95]
xfactor = !p.position(2)-!p.position(0)
yfactor = !p.position(3)-!p.position(1)
if !d.name eq 'X' then begin
   window,pan,xs=xsz,ys=ysz
   tv,replicate(100,xsz,ysz)
   tvscl,congrid(a,xsz*xfactor,ysz*yfactor), $
                xsz*!p.position(0),ysz*!p.position(1)
endif else begin
   tvscl,congrid(a,400,400*aspect),!x.window(0),!y.window(0),$
      xsize=!x.window(1)-!x.window(0),$
      ysize=!y.window(1)-!y.window(0),/norm
endelse
plot,[0,1],_extra=e,/noerase,/nodata,xr=[0,xdim],yr=[0,ydim]
end
