pro twogauss,x,a,f,pder
if n_elements(a) ne 6 then begin
  print,'Array a does not have length 6'
  return
endif
f = x
pder = fltarr(n_elements(x),6)
for i = 0,n_elements(x)-1 do begin
; Lyman alpha emission
  if( abs(a(1)) lt 1.e-10 ) then arg = 10. else arg = (x(i) - 1254.0) / a(1)
  if abs(arg) gt 7.0 then begin
    f(i) = 0.0
    pder(i,0) = 0.0
    pder(i,1) = 0.0
  endif else begin
    e = exp(-0.5*arg^2)
    f(i) = a(0)*e
    pder(i,0) = e
    pder(i,1) = a(0) * e * arg^2 / a(1)
  endelse
; Lyman alpha absorption
  if( abs(a(3)) lt 1.e-10 ) then arg = 10. else arg = (x(i) - 1260.0) / a(3)
  if abs(arg) gt 7.0 then begin
    pder(i,2) = 0.0
    pder(i,3) = 0.0
  endif else begin
    e = exp(-0.5*arg^2)
    f(i) = f(i) + a(2)*e
    pder(i,2) = e
    pder(i,3) = a(2) * e * arg^2 / a(3)
  endelse
; continuum
  f(i) = f(i) + a(4) + (x(i) - 1600.0)*a(5)
  pder(i,4) = 1.0
  pder(i,5) = x(i) - 1600.0
endfor
return
end
