pro twogauss8,x,a,f,pder
if n_elements(a) ne 8 then begin
  print,'Array a does not have length 8'
  return
endif
f = x
pder = fltarr(n_elements(x),8)
for i = 0,n_elements(x)-1 do begin
; Lyman alpha emission
  if( abs(a(2)) lt 1.e-10 ) then arg = 10. else arg = (x(i) - a(1)) / a(2)
  if abs(arg) gt 7.0 then begin
    f(i) = 0.0
    pder(i,0) = 0.0
    pder(i,1) = 0.0
    pder(i,2) = 0.0
  endif else begin
    e = exp(-0.5*arg^2)
    f(i) = a(0)*e
    pder(i,0) = e
    pder(i,1) = a(0) * e * arg / a(2)
    pder(i,2) = a(0) * e * arg^2 / a(2)
  endelse
; Lyman alpha absorption
  if( abs(a(5)) lt 1.e-10 ) then arg = 10. else arg = (x(i) - a(4)) / a(5)
  if abs(arg) gt 7.0 then begin
    pder(i,3) = 0.0
    pder(i,4) = 0.0
    pder(i,5) = 0.0
  endif else begin
    e = exp(-0.5*arg^2)
    f(i) = f(i) + a(3)*e
    pder(i,3) = e
    pder(i,4) = a(3) * e * arg / a(5)
    pder(i,5) = a(3) * e * arg^2 / a(5)
  endelse
; continuum
  f(i) = f(i) + a(6) + (x(i) - 1600.0)*a(7)
  pder(i,6) = 1.0
  pder(i,7) = x(i) - 1600.0
endfor
return
end
