pro ugenjw, aar_in, ugenummer
;
; Reference Jan 1, 1970 var en torsdag
;
if n_params() lt 2 then begin
   print,'UGE, aar, ugenummer'
   print,'   --- hvis ugenummer er array: [u1,u2] vil alle'
   print,'       mellemliggende uger blive inkluderet'
   return
endif

ugedage = ['Man','Tir','Ons','Tor','Fre',$
            'L{\o}r','S{\o}n']
maaneder = ['Jan','Feb','Mar','Apr','Maj','Jun','Jul','Aug','Sep',$
          'Okt','Nov','Dec']
dage_i_maaneder = [31,28,31,30,31,30,31,31,30,31,30,31]
if aar_in mod 4 eq 0 then dage_i_maaneder(1) = 29
accum_dage = intarr(12)
for i = 1,11 do accum_dage(i) = accum_dage(i-1)+dage_i_maaneder(i-1)

aar = aar_in
if aar lt 100 then begin
   if aar gt 50 then aar = aar + 1900
   if aar le 50 then aar = aar + 2000
endif

;  En eller flere uger ?

flere = n_elements(ugenummer)

basdir = '/home/njw/Htex/kalender/'
fil_part1 = 'kalnjw'+strtrim(aar,2)+'_'
if flere eq 1 then begin
   fil_part2 = strtrim(ugenummer,2)
endif else begin
   fil_part2 = strtrim(ugenummer(0),2)+'_'+strtrim(ugenummer(1),2)
endelse

print,'Output til '+basdir+fil_part1+fil_part2+'.tex'
openw,lun,basdir+fil_part1+fil_part2+'.tex',/get_lun
;
; LaTeX preamble kommandoer
;
printf,lun,'\documentclass[a4paper]{book}'
printf,lun,'\pagestyle{empty}%'
printf,lun,'\addtolength{\oddsidemargin}{-20mm}'
printf,lun,'\addtolength{\evensidemargin}{-50mm}'
printf,lun,'\addtolength{\topmargin}{-20mm}'
printf,lun,'\addtolength{\textheight}{40mm}'
printf,lun,'\setlength{\textwidth}{160mm}'
printf,lun,'\begin{document}'
printf,lun,'\Large'
;
; Selve beregningen
;
antal_aar = aar - 1970
antal_skudaar = (antal_aar+1)/4

ugedag_dag1 = (3 + antal_aar + antal_skudaar) mod 7

;* print,'Day 1 of ',aar,' is a ',ugedage(ugedag_dag1)

if ugedag_dag1 le 3 then dagnum_thur = 4 - ugedag_dag1 $
                     else dagnum_thur = 11 - ugedag_dag1

;* print,'Daynummer of first thursdag : ', dagnum_thur
dagnum_mon = dagnum_thur - 3
;* print,'Daynummer of first mondag : ', dagnum_mon

if flere eq 2 then begin
   ugenummer1 = ugenummer
endif else begin
   ugenummer1 = [ugenummer,ugenummer]
endelse
for ugenum = ugenummer1(0), ugenummer1(1) do begin

   if ugenum eq 53 then num_first_dag = dagnum_mon - 7 $
      else num_first_dag = dagnum_mon + 7*(ugenum-1)

   printf,lun,'\vspace*{3cm}'
   printf,lun,'\begin{tabular}{|p{32mm}|p{128mm}|} \hline'
   printf,lun,'   &      \\'
   printf,lun,'{\Large Uge '+strtrim(ugenum,2)+' '+strtrim(aar)+'}    &   \\'
   printf,lun,'   &      \\ \hline'
   for i = 0,6 do begin
      maaned = where(num_first_dag+i gt accum_dage, nm)
      if nm eq 0 then begin
         maaned = 11; december aaret foer
         dag_i_maaneden = 31 + num_first_dag + i
      endif else begin
         maaned = reverse(maaned)
         maaned = maaned(0)
         dag_i_maaneden = num_first_dag+i - accum_dage(maaned)
      endelse
      printf,lun,'   &      \\'
      printf,lun,ugedage(i)+' '+strtrim(dag_i_maaneden,2)+' '+maaneder(maaned)+' &       \\'
      print,ugedage(i)+' '+strtrim(dag_i_maaneden,2)+' '+maaneder(maaned)
      printf,lun,'   &      \\ \hline
   endfor
   printf,lun,'\end{tabular}'
   if flere eq 2 then printf,lun,'\newpage'
endfor
printf,lun,'\end{document}'
free_lun,lun
end
