;
;  Main program to organize files in proc and proc/dos_copies
;

;    Create lists of directory contents

spawn,'ls *.pro > pro_files_in_proc_ls'
cd,'dos_copies'
spawn,'ls *.pro > pro_files_in_dos_copies_ls'
cd,'..'

proc = read_slist('pro_files_in_proc_ls',count=nproc)
flag = intarr(nproc)

dos = read_slist('dos_copies/pro_files_in_dos_copies_ls',count=ndos)

;   Make recipients for 1) in both 2) only in dos_copies 3) only in this (proc)

openw,lun,'pro_files_in_both',/get_lun
openw,luo,'pro_files_only_in_dos',/get_lun
openw,lup,'pro_files_only_in_proc',/get_lun

;   Walk through the dos_copies files and check whether found in .

for i = 0, ndos-1 do begin
   w = where(dos(i) eq proc, n_w)
   if n_w gt 0 then begin
      printf,lun,dos(i)
      flag(w(0)) = 1
   endif else begin
      printf,luo,dos(i)
   endelse
endfor

;  The files in . that were not flagged exist only here

w = where( flag eq 0, n_w)
if n_w gt 0 then begin
   for i = 0, n_w-1 do begin
      printf,lup,proc(w(i))
   endfor
endif

free_lun, lun
free_lun, luo
free_lun, lup

end
