function vign_matrix, roll
;
;  Function that returns a vignetting matrix corresponding
;  to the output of j_ima_basic_recon
;
;   2004-07-28/NJW
;
if n_params() ne 1 then begin
   print,'Syntax: matrix = vign_matrix(roll_angle_degrees)'
   return,-1
endif

ndim = 200 ; Hardwired until further notice
cdelt = 800. / ndim
nhalf = (ndim-1)/2

mat = fltarr(ndim,ndim)

cr = cos(roll * !pi / 180)
sr = sin(roll * !pi / 180)

for i = 0, ndim-1 do begin
for j = 0, ndim-1 do begin

   y1 = cdelt * (i - nhalf)
   z1 = cdelt * (j - nhalf)

   y2 = cr * y1 - sr * z1
   z2 = sr * y1 + cr * z1

   mat(i,j) = thruput_instr(y2,z2)

endfor
endfor

return, mat

end
