function w50hist,y,hmin=hmin,hmax=hmax,bin=bin
;
; Function that returns the 50% width for an
; 1D array with values
;
n = n_elements(y)
if( n lt 4 ) then begin
   print,'The array has too small size : ',n
   return,0.
endif
z = y - avg(y)
if keyword_set(hmin) then hmn=hmin else hmn = min(y)
if keyword_set(hmax) then hmx=hmax else hmx = max(y)
if keyword_set(bin) then bins=bin else bins=(hmx-hmn)/100

h = histogram(y,min=hmn,max=hmx,binsize=bins)
xh = findgen(n_elements(h))*bins + hmn
return,w50(xh,h*1.0)
end
