PRO write_nexp_arf, energy, effa 
  
  ;; this is for xspec compatible arfs  
  dE = 0.2
  template = {ENERG_LO:0.0, ENERG_HI:0.0, SPECRESP:0.0}
  AREA = replicate(template, 1003)
  en_out = findgen(1003)*de+0.3  ; 0.3 to 200 keV in steps of 0.2
  arf_out = interpol(effa, energy, en_out) 

  AREA.SPECRESP = arf_out 
  AREA.ENERG_LO = en_out-dE/2.
  AREA.ENERG_HI = en_out+dE/2.
 
  hdr = ["EXTNAME = 'SPECRESP'",$
         "TELESCOP= 'NEXP'", $
         "INSTRUME= 'FPM'", $
         "HDUCLASS= 'OGIP'", $
         "HDUCLAS1= 'RESPONSE'", $
         "HDUCLAS2= 'SPECRESP'", $
         "HDUVERS = '1.1.0'", $
	 "COMMENT = 'includes one telescopes with spacers and 0.5 keV cutoff'",$
	 "COMMENT = 'created date: Oct. 27. 2011.'",$
	 "COMMENT = 'Goes with RMF v2.0'",$
         ""]
  mwrfits, AREA, "nexp_v2.0.arf", hdr, /create

END

