PRO write_arf, energy, effa 
  
  ;; this is for xspec compatible arfs  
  dE = 0.1
  template = {ENERG_LO:0.0, ENERG_HI:0.0, SPECRESP:0.0}
  AREA = replicate(template, 820)
  en_out = findgen(820)*de+3.  ; 3 to 85 keV in steps of 0.1
  arf_out = interpol(effa, energy, en_out) 

  AREA.SPECRESP = arf_out 
  AREA.ENERG_LO = en_out-dE/2.
  AREA.ENERG_HI = en_out+dE/2.
 
  hdr = ["EXTNAME = 'SPECRESP'",$
         "TELESCOP= 'NuSTAR'", $
         "INSTRUME= 'FPM'", $
         "HDUCLASS= 'OGIP'", $
         "HDUCLAS1= 'RESPONSE'", $
         "HDUCLAS2= 'SPECRESP'", $
         "HDUVERS = '1.1.0'", $
	 "COMMENT = 'includes thermal covers(MLI), Be, scattering, 2 telescopes.'",$
	 "COMMENT = 'created date: nov 10. 2010.'",$
	 "COMMENT = 'Goes with RMF v2.0'",$
         ""]
  mwrfits, AREA, "nustar_v2.0.arf", hdr, /create

END

