pro wsmatrix, filename, header, arr, fm=fm, silent=silent, append=append
;
; Write a 2D array in ASCII
; The format may be given (but without parentheses) as a keyword: fm
;
;   Original version ~1996/NJW
;
if n_params() lt 3 then begin
   print,'Syntax: wsmatrix, filename, header, arr[, fm=][, /silent][, /append]'
   return
endif

sz = size(arr)
if sz(0) ne 2 then begin
   print,'Array must be 2D'
   return
endif

ncol = sz(2)
nrow = sz(1)

sz = size(header)
if sz(1 + sz(0)) ne 7 then begin
   print,'WSTAB: 2nd parameter must be a string or string array'
   print,'       It may be empty'
   return
endif

; open the output file

openw,lun,filename,/get_lun,append=append

; put header line(s) into the file

if sz(0) gt 0 then begin
   for i = 0, sz(1)-1 do printf,lun,header(i)
endif else printf,lun,header

; put data columns into the file

form = '(e13.5,$)'
if keyword_set(fm) then form = '('+fm+',$)'
if not keyword_set(silent) then print, 'WSMATRIX: ', nrow,' rows and', ncol,' columns'

for i = 0, nrow - 1 do begin
   for j = 0, ncol-1 do printf,lun,format=form,arr(i,j)
   printf,lun
endfor

free_lun,lun

end
