pro wstab, filename, header, c1,c2,c3,c4,c5,c6,c7,c8,$
         c9,c10,c11,c12,fmt=fmt,quiet=quiet,app=app
;
; Write a table in ASCII with columns as indicated
; The format may be given (but without parentheses) as a keyword: fmt
;
;  Original version ~1994
;  2005-09-21/NJW Updated with keyword fmt in stead of fm
;

ncol = n_params() - 2

sz = size(header)
if sz(1 + sz(0)) ne 7 or ncol lt 1 then begin
   print,'Syntax: wstab,filename, header, c1, ...[,fmt=][,/quiet][,/app]'
   return
endif

; open the output file

if keyword_set(app) then begin
   openw,lun,filename,/get_lun,/append
endif else begin
   openw,lun,filename,/get_lun
endelse

; put header line(s) into the file

if sz(0) gt 0 then begin
   for i = 0, sz(1)-1 do printf,lun,header(i)
endif else begin
   if strlen(header) ne 0 then printf,lun,header
endelse

; put data columns into the file

form = '(e13.5,$)'
if keyword_set(fmt) then form = '('+fmt+',$)'
if not keyword_set(quiet) $
      then print, 'WSTAB: ', n_elements(c1),' rows and', ncol,' columns'
for i = 0L, n_elements(c1) - 1 do begin
   printf,lun,format=form,c1(i)
   if( ncol gt 1 ) then printf,lun,format=form,c2(i)
   if( ncol gt 2 ) then printf,lun,format=form,c3(i)
   if( ncol gt 3 ) then printf,lun,format=form,c4(i)
   if( ncol gt 4 ) then printf,lun,format=form,c5(i)
   if( ncol gt 5 ) then printf,lun,format=form,c6(i)
   if( ncol gt 6 ) then printf,lun,format=form,c7(i)
   if( ncol gt 7 ) then printf,lun,format=form,c8(i)
   if( ncol gt 8 ) then printf,lun,format=form,c9(i)
   if( ncol gt 9 ) then printf,lun,format=form,c10(i)
   if( ncol gt 10 ) then printf,lun,format=form,c11(i)
   if( ncol gt 11 ) then printf,lun,format=form,c12(i)
   printf,lun
endfor
close,lun
free_lun,lun
end
