pro wtab, filename, c1,c2,c3,c4,c5,c6,c7,c8,c9,c10,c11,c12,c13,c14,c15,fmt=fmt,app=app
;
; Write a table in ASCII with a maximum of 15 columns as indicated
; The format may be given (but without parentheses) as a keyword: fm
;
; Niels J. Westergaard, around 1990, Danish Space Research Institute
;
;   2005-09-21/NJW  Updated with info when no parameters given
;
n = n_params() - 1
if n lt 1 then begin
   print,'Syntax: wtab, filename, c1, ...[,fmt=][,/app]'
   return
endif
if n gt 15 then begin
   print,'%WTAB: number of columns must not exceed 15'
   retall
endif
form = '(e14.5,$)'
if keyword_set(fmt) then form = '('+fmt+',$)'
print, 'WTAB: ', n_elements(c1),' rows and', n,' columns'
if keyword_set(app) then begin
   openw,lun,filename,/get_lun,/append
endif else begin
   openw,lun,filename,/get_lun
endelse
for i = 0L, n_elements(c1) - 1 do begin
   printf,lun,format=form,c1(i)
   if( n gt 1 ) then printf,lun,format=form,c2(i)
   if( n gt 2 ) then printf,lun,format=form,c3(i)
   if( n gt 3 ) then printf,lun,format=form,c4(i)
   if( n gt 4 ) then printf,lun,format=form,c5(i)
   if( n gt 5 ) then printf,lun,format=form,c6(i)
   if( n gt 6 ) then printf,lun,format=form,c7(i)
   if( n gt 7 ) then printf,lun,format=form,c8(i)
   if( n gt 8 ) then printf,lun,format=form,c9(i)
   if( n gt 9 ) then printf,lun,format=form,c10(i)
   if( n gt 10 ) then printf,lun,format=form,c11(i)
   if( n gt 11 ) then printf,lun,format=form,c12(i)
   if( n gt 12 ) then printf,lun,format=form,c13(i)
   if( n gt 13 ) then printf,lun,format=form,c14(i)
   if( n gt 14 ) then printf,lun,format=form,c15(i)
   printf,lun
endfor
close,lun
free_lun,lun
end
