function x_sel, x, y, _extra=e, out=out, count=count, xr=xr

if n_params() lt 2 then begin
	print,'Syntax: sel = x_sel(x,y[,/out][,count=][,extra keywds])'
	return,-1
endif

plot,x,y,_extra=e

print,'Define the left x value first and then the '
print,'             right x value with the cursor ...'

xr = fltarr(2)

curmark,res,npoints=npoints
if npoints eq 2 then begin ; The x interval has been chosen
	xmin = res(0,0)
	xmax = res(0,1)
	xr(0) = xmin
	xr(1) = xmax

   sel = where(x ge xmin and x le xmax, jsel)
   outsel = where(x lt xmin or x gt xmax, ksel)

   if keyword_set(out) then begin
   	count = ksel
   endif else begin
		count = jsel
	endelse

   if count eq 0 then begin
      print,'No events selected - return with -1'
      return, -1
   endif else begin
   	print,count,' events selected'
   	if keyword_set(out) then begin
   		sel = outsel
   	endif
      oplot,x(sel),y(sel),_extra=e,col=100  ;  Show effect of selection
      return, sel
   endelse
endif else begin
	print,'Selection given up, returns -1'
	count = 0
	return, -1
endelse

end
