pro xfit_init, dol_of_og, number_swg, num_spec, evnts=evnts
;
;  prepare fitting an observed X-ray spectrum from j_src_spectra
;  (default) or from the event list by setting keyword: /evnts
;
;   NJW/2002-06-28
;
if n_params() lt 2 then begin
   print,'Syntax: xfit_init, dol_of_og, number_swg, num_spec'
   return
endif

;   Setup the common areas

common instrument, e_min, e_max, matrix, arf
common observation, rate, stat_err, countspec, number
common model, elo, ehi, eline, spectrcode
common results, const, param1, nh, chi2red, sx

number = num_spec

;   Set the rebinning i.e. avoid first 30 channels
;   and last 56

rebin = indgen(200-30) + 30

;   Get the spectral data

if keyword_set(evnts) then begin
   j_get_spectrum, doloog(name), 1, e_min, e_max, spec_array, expo=exposure
   sz = size(spec_array)
   n_spectra = sz(2)
   if num_spec eq 9999 then num_spec = n_spectra-1
   rate = spec_array(*,num_spec)
   stat_err = sqrt(rate)
   rate = rate / exposure
   stat_err = stat_err / exposure
endif else begin
   j_get_src_spectrum, dol_of_og, number_swg, number, rate, stat_err
endelse

rate = rate(rebin)
stat_err = stat_err(rebin)

;   Get the RMF data

grpname = '/home/njw/jemx/response_matrix/jmx1_rmf_grp_0003.fits+1'
ebm_get_child_by_name,grpname,'JMX1-FBDS-MOD',fbds_name
rdfitscol,fbds_name,e_min,'E_MIN',/sil
rdfitscol,fbds_name,e_max,'E_MAX',/sil

e_min = e_min(rebin)
e_max = e_max(rebin)

ebm_get_child_by_name,grpname,'JMX1-RMF.-RSP',rmf_name
rdfitscol,rmf_name,elo,'ENERG_LO',/sil
rdfitscol,rmf_name,ehi,'ENERG_HI',/sil
rdfitscol,rmf_name,matrix,'MATRIX',/sil
eline = sqrt(elo*ehi)

matrix = matrix(rebin,*)

ebm_get_child_by_name,grpname,'JMX1-AXIS-ARF',arf_name
rdfitscol,arf_name,arf,'SPECRESP',/sil

;   Define the spectral model

spectrcode = ''
read,'What is the spectral model? (PL,TB,DF) : ... ', spectrcode


spectrcode = strupcase(strtrim(spectrcode,2))

case spectrcode of
     'PL' :
     'TB' :
     'DF' :
     default : begin
               print,'No such spectral model allowed: ', spectrcode
               return
               end
endcase

end
