function xhistogram, h, minval, binsize=binsize
;
; Returns the corresponding x coordinates to histogram 'h'
; formed from the data values (array) 'y'
; provided the binsize and minval are identical to those used
; when generating the histogram, e.g.
;
;   IDL> his = histogram(y, binsize=0.35, min=-35.)
;   IDL> xhis = xhistogram(his, -35., binsize=0.35)
;
; The 'minval' is entered as a parameter because there is trouble
; with giving the value zero to a keyword ('binsize' should never
; be zero)
;
bs = 1.
if keyword_set(binsize) then bs = binsize
return,findgen(n_elements(h))*bs + minval + 0.5*bs
end
