pro xjour
;
; Journal program
;
dd = date(2)

if !journal eq 0 then begin

   ; No journal is running, find latest file of today

   list = findfile('journal'+dd+'*',count=nlist)

   if nlist eq 0 then begin ; no previous journals today

      journal,'journal'+dd+'_000'
      print,'Started '+'journal'+dd+'_000'
      return
   endif else begin

      jmax = 0
      for i = 0,nlist-1 do begin ; determine latest journal

         j = fix(strmid(list(i),14,3))
         if j gt jmax then jmax = j

      endfor

      journal,'journal'+dd+'_'+string(jmax+1,format='(i3.3)')
      print,'Started '+'journal'+dd+'_'+string(jmax+1,format='(i3.3)')
      return

   endelse

endif else begin

   ; Terminate running journal

   journal

   ; and initiate a new one

   
   list = findfile('journal'+dd+'*',count=nlist)

   if nlist eq 0 then begin ; no previous journals today - error

      print,'Error, there should be a journal today'

      return
   endif else begin

      jmax = 0
      for i = 0,nlist-1 do begin ; determine latest journal

         j = fix(strmid(list(i),14,3))
         if j gt jmax then jmax = j

      endfor

      journal,'journal'+dd+'_'+string(jmax+1,format='(i3.3)')
      print,'Started '+'journal'+dd+'_'+string(jmax+1,format='(i3.3)')
      return

   endelse

endelse

end
