function zero2pi, x, deg=deg
;
; Return scalar or array as 'x' but between
; zero and 2pi
;
npar = n_params()
if npar lt 1 then begin
   print,'Syntax: res = zero2pi(x[,/deg])'
   print,'    where x can be a scalar or an array'
   print,'  Keyword: deg   :  between 0 and 360 deg'
   return, -1
endif

a = double(1.0)*x
twopi = 2*!pi
if keyword_set(deg) then twopi = double(360)

; 1) reduce to level < 2PI

i = where(a ge twopi,n)
while n gt 0 do begin
   a(i) = a(i) - twopi;
   i = where(a ge twopi,n)
endwhile

; 2) increase to level >= 0

i = where(a lt 0,n)
while n gt 0 do begin
   a(i) = a(i) + twopi;
   i = where(a lt 0,n)
endwhile

return, a
end
